Copyright: Code Generation® Copyright© 1996-2001
Citation: WebScripter 4 Help


Compatible before Internet Explorer 3
Compatible before Netscape 3
Compatible since Internet Explorer 3
Compatible since Netscape 3
Compatible since Internet Explorer 4
Compatible since Netscape 4
Compatible since Internet Explorer 5
Compatible since Netscape 6
No support from Internet Explorer
No support from Netscape


What’s New

Welcome to WebScripter 4, we at Code Generation hope you find this software useful. WebScripter has evolved along with our company. Being our flagship product, it has received the most attention in development efforts. There is a lot to know about WebScripter so lets get started.

This help file was created with the developer in mind. Most areas in WebScripter are context sensitive to help. In most cases, you can simply click on the area you want information on and then press F1. The appropriate topic will open and you can usually navigate from there.

We do not pretend to be authorities on HTML, XHTML, Cascading Style Sheets, Dynamic HTML or even JavaScript. We have done extensive research on the web to learn about these things and incorporated them into WebScripter. This help file contains a lot of information on these subjects. To see a reference to the sources of information, you can look up References in the contents window.

For support or just for general information on WebScripter or any other products

from Code Generation, please visit us on the web at http://www.codegeneration.com.


Whats New
What’s New in Version 4?

Projects

General Project Information

New Project

Directory Structure

Project Options

Assistants

Attribute Assistant

Style Assistant

JavaScript Assistant

Component Objects

What are Component Objects?

How do they work?

How do I access them?

Interface

Environment

Toolbars


Directory Structures

WebScripter keeps track of all files in a project. When you create a project, you will be prompted for a Project Path. This will be where WebScripter saves the project file and optionally the saved desktop if you choose that option. WebScripter also creates a default directory structure.

The first sub-directory of the project path is the Root folder. This is the default folder for any hypertext (html) files. You will be prompted when adding a file to a project, asking if you want to save the file to the default directory for this file type. You can accept or choose no and either save the file to an existing folder, or create a new directory. It is recommended that all folders be sub-folders of the Root directory. This makes it easier when WebScripter is constructing links correctly. Whenever you add a file of any type, if it is part of a URL, WebScripter will construct the URL using this information.

The default directory structure and a brief description is defined below:

Project Path: location of project file

Root: Root directory of site, default html folder

Cgi-bin: folder for all cgi/perl files

Css-bin: folder for all css(cascading style sheet) files

Images: folder for images

Js-bin: folder for all external JavaScript files (.js)

Other: folder for all other files (flash, media, sound etc.)

In the project tree, you can see this structure laid out in a familiar tree format. Double-clicking on a file in the project tree, will open the file. You can also drag files from the File Explorer into the editor to open them.


Project Options

General

In the general options tab you can set a couple of project options: Use Template File: This will set the template file for use with your project. When selecting “New” you can tell it to create a new file from template. This is the file that will be created as a starting point. Template File: A field to browse for the file to use as a template. Save Desktop: This tells WebScripter to save the desktop configuration to the project file. This can be useful if you are using a different desktop for an individual project. This will however, slow the loading of project files when opened. After the project is loaded, performance is unaffected.
Auto Comments

In the Auto Comments  tab you can set the comments that are inserted into your pages. Use Auto Comments: This tells WebScripter to insert the auto comments into each new document. Authors Name: Type in your name. Company: Type in your company information. Copyright: Type in copyright information. This string is preceded by “Copyright©”


This will set the template file for use with your project. When selecting “New” you can tell it to create a new file from template. This is the file that will be created as a starting point.


A field to browse for the file to use as a template.


This tells WebScripter to save the desktop configuration to the project file. This can be useful if you are using a different desktop for an individual project. This will however, slow the loading of project files when opened. After the project is loaded, performance is unaffected.


Type in your name.


Type in your company information.


Type in copyright information. This string is preceded by “Copyright©”


This tells WebScripter to insert the auto comments into each new document.


New Choices

This dialog determines which type of new file will be created. Your choices:

Project: Prompts you with the dialog to set up a new project.

Html Document: Creates a new hypertext document, either from a template or the default skeleton document.

JavaScript File: Creates a new skeleton for an external JavaScript file (.js).

Style Sheet: Creates a new skeleton for an external style sheet (.css)

You can double-click on a file type or select the type and press OK.


Determines the file type. Double-click on an item or select an item and press OK.


Gives a brief description of the file type.


The WebScripter Environment

We have tried to make the interface or IDE of WebScripter as user friendly as possible. Most windows can be closed depending on user preference. You can customize, even create your own toolbars and position them anywhere you like in the interface.

Help

Finding help in WebScripter is very easy. If you want to find help on a particular word, simply highlight the word in the editor and press F1, this does a search of the help files on that word. Most dialogs have “Whats this?” context help and the Assistants all have F1 context sensitive help. Any time you need a reference on a property, attribute, method or style definition, just put your cursor in that field and press F1.

Searching

The search and replace facilities of WebScripter have been expanded to being able to search all the files open, all the files in a project or all the files in a particular directory. This will open a window at the bottom of your screen with the results displayed. Double-clicking on any result will open that file and take you directly to the found text. Searches can also now be done using regular expressions.

Wizards

The “Outlook” type bar at the left of the screen has all the links to wizards and editors. Click on the label for the category to change the button selection of this bar. The wizards can also be accessed directly from the menus.

Previewing

You can preview your work by clicking on the Browser View toolbar button or menu item. This will show you what you currently have in the editor without having to save your work. This also works with the sized preview. The sized preview is a small executable browser that takes a command line specifying the size to open at. This can be very useful when trying out your pages at different screen resolutions. There is also access to up to six external browser besides the system default browser on your PC.

Hot Keys

There several hot keys in WebScripter, most of them standard. The ones worth mentioning are for the custom coding and quick access to the built-in coding.

Ctrl + Alt + H Gives you access to all HTML 4.0 tags, selecting a tag opens the Attribute Assistant to set the attributes and construct the tag.

Ctrl + Alt + S Gives you access to all CSS2 styles, their properties and the Style Assistant will open to help with creating styles.

Ctrl + Alt + J Gives you access to standard JavaScript code formatting.

Ctrl + Shift + H Gives you access to an unlimited number of saved code templates for HTML. Please refer to custom code templates for more information on this.

Ctrl + Shift + S Gives you access to an unlimited number of saved code templates for Style. Please refer to custom code templates for more information on this.

Ctrl + Shift + J Gives you access to an unlimited number of saved code templates for JavaScript. Please refer to custom code templates for more information on this.


Customizing Toolbars

WebScripter now has fully customizable toolbars. Customizing these is very easy. Right click on any toolbar, select Customize from the popup menu. The following dialog appears:

Toolbars

Checking or un-checking a toolbar will determine the visibility of the corresponding toolbar.

To create a new toolbar Click New.

Type in a name for the toolbar.

When the toolbar is created, dock the bar where you want it, just drag it to any side of the screen.

Now you can add buttons by clicking the Commands Tab, selecting a category and then dragging the command over the toolbar you created.

To Reset the “Usage” of a toolbar, click the Reset button while the toolbar you want to reset is selected. This will reset the toolbars usage which is how the bars determine which items are most frequently used. Most frequently used items are raised to the top of menu lists etc.

Commands

To add or delete buttons from a toolbar,  simply drag the button from the commands box to the toolbar or drag the button from the toolbar and release your mouse button.

Options

This tab is where you can set the different options of the toolbars. These are pretty self explanatory. There are no real large icons though, so the small icons are simply blown up and look pretty distorted.


The Editor

The WebScripter editor is a powerful code editor. You can customize almost every aspect of the editor. To set up the editor the way you want to choose the “Editor Options” item in the View menu. This will open up the following dialog:

To customize the syntax highlighting in the editor follow this procedure:

Select the element to change or select that type of element in the display window.

Change the colors, font or text attributes as you like. This will be updated immediately in the display window.

Click OK to save your changes.

In the Options Tab:

You can make changes to the way the editor behaves. Here is a brief description of how these changes effect the editor behavior:

Print Options

Wrap Long Lines: This will wrap lines longer than the printing space when printing a document.

Line Numbers: This will number the lines when printing.

Title in Header: This will put the filename in the header.

Date in Header: This will put the date in the header.

Page Numbers: This will number the apges.

General Options

Word Wrap: This will wrap lines that are longer than the editor width.

Override Wrapping: This overrides word wrapping.

Auto Indent: This will automatically indent the next line to begin as indented as the line above.

Smart Tab: This will tab to the indentation of the line above.

Smart Fill: Requires Smart Tab, automatically fills in the spaces required for tabbing.

Use Tab Character: This allows the editor to recognize the \t character. (recommended)

Line Numbers in Gutter: This shows the line numbers in the left gutter of the editor.

Mark Wrapped Lines: This inserts an icon marking a wrapped line in the gutter.

Title as Filename: This designates the title of the document as the source filename. (Required)

Block Cursor for Overwrite: This displays a wider cursor when in overwrite mode.

Word Select: This allows double-clicking on a word to select the entire word.

Syntax Highlighting: Turns syntax highlighting on and off.

Show All Characters: This allows the editor to display all characters whether recognized or not.

Margins

Visible Right Margin: This displays the right margin as a dotted line.

Right Margin: Sets the location of the right margin.

Visible Gutter: This allows the gutter on the left to be displayed.

Gutter Width: Designates the width of the gutter in pixels.

Indents and Tabs

Block Indent Step Size: This is the number of spaces for indentation.

Word Wrap Column: Designates the location of the word wrap column.

Show Word Wrap Column: Displays the word wrap extent as a dotted line.

Tab Columns: This sets the numbers for tabbing. Space delimit the numbers.

Tab Stop: The amount of characters to tab.


About Code Generation

Code Generation is a small software company dedicated to providing powerful easy to use software tools for the internet.

We can be reached on the web at:

http://www.codegeneration.com

http://www.codegeneration.com/support

or by conventional means at:

Code Generation

35695 W State Highway BB

Bethany, Missouri 64424

(660) 425-8991


Uploading a Project or File(s)

To upload single files, you can use the WebFTP Lite ftp client that came with WebScripter. There is an icon in the toolbar that will start this utility, or you can use the WebFTP item in the preview menu. WebFTP comes with its own help file, so please see that documentation for more information on using that utility.

The thing to remember when uploading files, is that you also upload any external files that the html document depends on. These can include image files, style sheets, javascript(js) files or any other file type you have a reference to in the document.

When uploading a project, please pay attention to the directory structure created by WebScripter. You should duplicate this structure on your server. The “Root” folder will not need to be created, that is the root directory of your storage space on the server. For instance the root directory for codegeneration.com is “codegeneration.com”. Again, you can use the ftp utility to create the directory structure on your server.

If you are working with a project, WebScripter will create relative links that will adhere to the directory structure in the project. For your pages to be viewed correctly, the directory structure on your server must be the same as on your local machine. These directories are case sensitive on most servers.


HTML Tags (A)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<a>	Anchor	Anchors and hyperlinks
<abbr>	Abbreviation	Abbreviated text
<acronym>	Acronym	Content is an Acronym
<address>	Address	Addresses signatures, authorship etc.
<applet>	Applet	Java applet container
<area>	Area	Image map linking


<a> Anchor Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The anchor tag is what defines anchors and hyperlinks. The "name" and "href" attributes determine how the tag is defined. Either the "name" or "href" attribute must be present in the tag.

WebScripter provides a wizard for creating anchors and hyperlinks. You can create many variations of the anchor using the wizard.

Anchor: A destination point for an href hyperlink.

<a name=”#myAnchor”>My Anchor</a>

An anchor can optionally contain text. The browser will jump to the point in the document where the tag resides.

Hyperlink: A link to another document or an anchor.

<a href=”mypage.html#myAnchor>Link to anchor in mypage.html</a>

In the above example the link jumps to an anchor contained in another document. Using the "target" attribute, you can also have the linked document loaded in the specified frame.


<a> Anchor Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

datafld

datasrc

dir

href

id

lang

language

name

style

tabindex

target

title


<a> Anchor Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBlur

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<abbr> Abbreviation Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This tag indicates that the text is an abbreviation.


<a> Abbreviation Attributes
<abbr> Abbreviation Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

There are no attributes for this tag supported by the major browsers.


<a> Abbreviation Event Handlers
<abbr> Abbreviation Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag supported by the major browsers.


<acronym> Acronym Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This tag indicates that the text is an acronym.


<acronym> Acronym Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex


<acronym > Acronym Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onSelectStart


<address> Address Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The address tag indicates the enclosed text is an address. It is usually rendered in italics.


<address> Address Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<address> Address Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<applet> Applet Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The applet tag works as a container for a Java application within the document. Parameters are passed to the Java application using the “param” attribute.


<applet> Applet Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

alt

archive

class

code

codebase

datafld

datasrc

height

hspace

id

lang

language

mayscript

name

src

style

tabindex

vspace

width


<applet> Applet Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onCellChange

onClick

onContextMenu

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onErrorUpdate

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onRowsDelete

onRowsInserted

onScroll


<area> Area Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The area tag specifies destinations for regions (shapes) in an image using an html encoding format. Multiple areas may share the same hyperlink destination.

<map name=”imagemap”>

<area coords="0,0,100,100” href=”myPage.html” shape=”rect”>

</map>


<area> Area Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

alt

coords

dir

href

lang

language

nohref

shape

tabindex

target

title


<area> Area Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUpdate

onBlur

onClick

onContextMenu

onCopy

onCut

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onSelectStart


Event Handler Index

onAbort

onAfterPrint

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforePrint

onBeforeUnload

onBeforeUpdate

onBlur

onBounce

onCellChange

onChange

onClick

onContextMenu

onCopy

onCut

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDragStart

onDrop

onError

onErrorUpdate

onFilterChange

onFinish

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onMove

onPaste

onPropertyChange

onReadyStateChange

onReset

onResize

onRowEnter

onRowExit

onRowsDelete

onRowsInserted

onScroll

onSelect

onSelectStart

onStart

onStop

onSubmit

onUnload


onAbort Event Handler

Index of Event Handlers

The onAbort event is fired when an image download is interupted.

Compatibility table

Legend

<img>


onAfterPrint Event Handler

Index of Event Handlers

The onAfterPrint event is fired when a document has just been printed.

Compatibility table

Legend

<body>
<frameset>


onAfterUpdate Event Handler

Index of Event Handlers

The onAfterUpdate event is fired when a data transfer has finished from the data source to the data object.

Compatibility table

Legend

<applet>
<area>
<bdo>
<body>
<button>
<caption>
<div>
<embed>
<fieldset>
<hr>
<img>
<input>
<map>
<object>
<rt>
<ruby>
<select>
<table>
<td>
<textarea>
<th>
<tr>


onBeforeCopy Event Handler

Index of Event Handlers

The onBeforeCopy event is fired when a selection is about to be copied to the clipboard.

Compatibility table

Legend

<a>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<i>
<img>
<kbd>
<label>
<legend>
<li>
<listing>
<menu>
<ol>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<td>
<textarea>
<th>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onBeforeCut Event Handler

Index of Event Handlers

The onBeforeCut event is fired when a part of the element is about to be cut to the clipboard.

Compatibility table

Legend

<a>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<i>
<img>
<kbd>
<label>
<legend>
<li>
<listing>
<menu>
<ol>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<td>
<textarea>
<th>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onBeforeEditFocus Event Handler

Index of Event Handlers

The onBeforeEditFocus event is fired when the element is about to become the active element.

Compatibility table

Legend

<a>
<applet>
<area>
<button>
<div>
<fieldset>
<input>
<marquee>
<object>
<select>
<span>
<table>
<td>
<textarea>
<th>
<tr>


onBeforePaste Event Handler

Index of Event Handlers

The onBeforePaste event is fired when content is about to pasted from the clipboard.

Compatibility table

Legend

<a>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<i>
<img>
<kbd>
<label>
<legend>
<li>
<listing>
<menu>
<ol>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<td>
<textarea>
<th>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onBeforePrint Event Handler

Index of Event Handlers

The onBeforePrint event is fired when a document is about to be printed.

Compatibility table

Legend

<body>
<frameset>


onBeforeUnload Event Handler

Index of Event Handlers

The onBeforeUnload event is fired when a document is about to be unloaded.

Compatibility table

Legend

<body>
<frameset>
<img>
<td>
<textarea>
<th>


onBeforeUpdate Event Handler

Index of Event Handlers

The onBeforeUpdate event is fired to notify the target element before content is pasted from the clipboard.

Compatibility table

Legend

<applet>
<area>
<bdo>
<body>
<button>
<caption>
<div>
<embed>
<fieldset>
<hr>
<img>
<input>
<map>
<object>
<rt>
<ruby>
<select>
<table>
<td>
<textarea>
<th>
<tr>


onBlur Event Handler

Index of Event Handlers

The onBlur event is fired when an element loses focus.

Compatibility table

Legend

<a>
<area>
<bdo>
<body>
<button>
<frameset>
<ilayer>
<input>
<layer>
<select>
<textarea>


onBounce Event Handler

Index of Event Handlers

The onBounce event is fired when the content of a marquee element has moved to the boundary of the display area.

Compatibility table

Legend

<marquee>


onCellChange Event Handler

Index of Event Handlers

The onCellChange event is fired when the data in a data source is changed.

Compatibility table

Legend

<applet>
<bdo>
<object>


onChange Event Handler

Index of Event Handlers

The onChange event is fired when the content of an element has changed and the element loses focus.

Compatibility table

Legend

<body>
<caption>
<div>
<fieldset>
<img>
<input>
<legend>
<select>
<textarea>


onClick Event Handler

Index of Event Handlers

The onClick event is fired when an element is clicked with the mouse.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onContextMenu Event Handler

Index of Event Handlers

The onContextMenu event is fired when the context menu is invoked over an element.

Compatibility table

Legend

<a>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<i>
<img>
<input>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onCopy Event Handler

Index of Event Handlers

The onCopy event is fired when a selection is copied to the clipboard.

Compatibility table

Legend

<a>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<i>
<img>
<kbd>
<label>
<legend>
<li>
<listing>
<menu>
<ol>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<td>
<textarea>
<th>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onCut Event Handler

Index of Event Handlers

The onCut event is fired when a selection is cut to the clipboard.

Compatibility table

Legend

<a>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<i>
<img>
<kbd>
<label>
<legend>
<li>
<listing>
<menu>
<ol>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<td>
<textarea>
<th>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDataAvailable Event Handler

Index of Event Handlers

The onDataAvailable event is fired when data arrives asynchronously from the source.

Compatibility table

Legend

<applet>
<area>
<body>
<img>
<object>


onDatasetChanged Event Handler

Index of Event Handlers

The onDatasetChanged event is fired when data in the source object has changed.

Compatibility table

Legend

<applet>
<area>
<body>
<img>
<object>


onDatasetComplete Event Handler

Index of Event Handlers

The onDatasetComplete event is fired when all available data has been loaded from the source object.

Compatibility table

Legend

<applet>
<area>
<body>
<img>
<object>


onDblClick Event Handler

Index of Event Handlers

The onDblClick event is fired when an element is double clicked with the mouse.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDrag Event Handler

Index of Event Handlers

The onDrag event is fired continuously while an element is being dragged.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDragDrop Event Handler

Index of Event Handlers

The onDragDrop event is fired when an external resource has been dropped into the a window or frame.

Compatibility table

Legend

<body>
<frameset>


onDragEnd Event Handler

Index of Event Handlers

The onDragEnd event is fired when a drag operation has completed.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDragEnter Event Handler

Index of Event Handlers

The onDragEnter event is fired when content is dragged over a valid target.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDragLeave Event Handler

Index of Event Handlers

The onDragLeave event is fired when content is dragged outside the boundary of a valid target.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDragOver Event Handler

Index of Event Handlers

The onDragOver event is fired continuously while content is being dragged over a valid target.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDragStart Event Handler

Index of Event Handlers

The onDragStart event is fired when content is dragged from a souce element.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onDrop Event Handler

Index of Event Handlers

The onDrop event is fired when a drag operation is completed and the content is dropped into a valid element.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onError Event Handler

Index of Event Handlers

The onError event is fired when there is an error either in executing a script or there is an error loading an external page dependency.

Compatibility table

Legend

<body>
<frameset>
<img>
<link>
<object>
<script>
<style>


onErrorUpdate Event Handler

Index of Event Handlers

The onErrorUpdate event is fired when the onBeforeUpdate event has cancelled the data transfer.

Compatibility table

Legend

<a>
<applet>
<area>
<bdo>
<body>
<caption>
<fieldset>
<input>
<map>
<object>
<rt>
<ruby>
<select>
<textarea>


onFilterChange Event Handler

Index of Event Handlers

The onFilterChange event is fired when an element has been changed by a filter.

Compatibility table

Legend

<bdo>
<body>
<button>
<div>
<img>
<input>
<marquee>
<rt>
<ruby>
<span>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>


onFinish Event Handler

Index of Event Handlers

The onFinish event is fired when a marquee element has finished its described action.

Compatibility table

Legend

<marquee>


onFocus Event Handler

Index of Event Handlers

The onFocus event is fired when an element receives focus.

Compatibility table

Legend

<a>
<area>
<bdo>
<body>
<button>
<frameset>
<ilayer>
<input>
<layer>
<select>
<textarea>


onHelp Event Handler

Index of Event Handlers

The onHelp event is fired when a user has requested help for an element either by pressing F1 or by clicking the help menu for this element.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<legend>
<li>
<listing>
<map>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onKeyDown Event Handler

Index of Event Handlers

The onKeyDown event is fired when a keyboard key has been pressed for an element with focus.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onKeyPress Event Handler

Index of Event Handlers

The onKeyPress event is fired when a keyboard key has been pressed and released for an element with focus.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onKeyUp Event Handler

Index of Event Handlers

The onKeyUp event is fired when a keyboard key has been released for an element with focus.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onLoad Event Handler

Index of Event Handlers

The onLoad event is fired when the document or external dependency has finished loading in the browser.

Compatibility table

Legend

<applet>
<area>
<body>
<embed>
<frameset>
<ilayer>
<img>
<layer>
<link>
<object>
<script>
<style>


onLoseCapture Event Handler

Index of Event Handlers

The onLoseCapture event is fired when an element has lost selection focus from the mouse.

Compatibility table

Legend

<a>
<applet>
<area>
<bdo>
<body>
<button>
<caption>
<col>
<colgroup>
<div>
<embed>
<fieldset>
<form>
<frame>
<heading>
<hr>
<img>
<input>
<ins>
<kbd>
<label>
<legend>
<li>
<map>
<marquee>
<object>
<ol>
<option>
<select>
<span>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<ul>


onMouseDown Event Handler

Index of Event Handlers

The onMouseDown event is fired when the mouse button has been pressed.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onMouseMove Event Handler

Index of Event Handlers

The onMouseMove event is fired when the mouse moves within the boudary of an element.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onMouseOut Event Handler

Index of Event Handlers

The onMouseOut event is fired when the mouse has moved out of the boundary of an element.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<ilayer>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<layer>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onMouseOver Event Handler

Index of Event Handlers

The onMouseOver event is fired when the mouse has moved into the boundary of an element.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<ilayer>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<layer>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onMouseUp Event Handler

Index of Event Handlers

The onMouseUp event is fired when the mouse button is released.

Compatibility table

Legend

<a>
<acronym>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<html>
<i>
<img>
<input>
<ins>
<isindex>
<kbd>
<label>
<legend>
<li>
<listing>
<marquee>
<menu>
<nobr>
<object>
<ol>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onMove Event Handler

Index of Event Handlers

The onMove event is fired when the browser window is moved.

Compatibility table

Legend

<body>
<frameset>


onPaste Event Handler

Index of Event Handlers

The onPaste event is fired when content is being pasted from the clipboard.

Compatibility table

Legend

<a>
<address>
<area>
<b>
<bdo>
<big>
<blink>
<blockquote>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<i>
<img>
<kbd>
<label>
<legend>
<li>
<listing>
<menu>
<ol>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<td>
<textarea>
<th>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onPropertyChange Event Handler

Index of Event Handlers

The onPropertyChange event is fired when an elements property has been changed.

Compatibility table

Legend

<a>
<address>
<applet>
<area>
<b>
<bdo>
<big>
<blockquote>
<body>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<embed>
<fieldset>
<font>
<form>
<heading>
<hr>
<i>
<img>
<input>
<kbd>
<label>
<legend>
<li>
<listing>
<map>
<marquee>
<menu>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onReadyStateChange Event Handler

Index of Event Handlers

The onReadyStateChange event is fired when the elements ready state has changed.

Compatibility table

Legend

<applet>
<area>
<bdo>
<body>
<embed>
<fieldset>
<img>
<link>
<object>
<script>
<style>


onReset Event Handler

Index of Event Handlers

The onReset event is fired when the user resets the form with a reset button.

Compatibility table

Legend

<form>


onResize Event Handler

Index of Event Handlers

The onResize event is fired when the window is resized.

Compatibility table

Legend

<applet>
<area>
<body>
<embed>
<fieldset>
<frameset>
<img>
<marquee>
<select>
<table>
<td>
<th>


onRowEnter Event Handler

Index of Event Handlers

The onRowEnter event is fired when the data in the current data object has changed and new data is available.

Compatibility table

Legend

<applet>
<area>
<body>
<button>
<caption>
<div>
<embed>
<hr>
<img>
<map>
<marquee>
<object>
<select>
<table>
<td>
<textarea>
<th>
<tr>


onRowExit Event Handler

Index of Event Handlers

The onRowExit event is fired when the data in the current data object is about to change.

Compatibility table

Legend

<applet>
<area>
<body>
<button>
<caption>
<div>
<embed>
<hr>
<img>
<map>
<marquee>
<object>
<select>
<table>
<td>
<textarea>
<th>
<tr>


onRowsDelete Event Handler

Index of Event Handlers

The onRowsDelete event is fired when rows are about to be deleted from the current data source object.

Compatibility table

Legend

<applet>
<object>


onRowsInserted Event Handler

Index of Event Handlers

The onRowsInserted event is fired when rows have been inserted into the current data source object.

Compatibility table

Legend

<applet>
<object>


onScroll Event Handler

Index of Event Handlers

The onScroll event is fired when the window is scrolled.

Compatibility table

Legend

<applet>
<bdo>
<body>
<caption>
<div>
<embed>
<fieldset>
<img>
<legend>
<map>
<marquee>
<object>
<select>
<table>
<textarea>


onSelect Event Handler

Index of Event Handlers

The onSelect event is fired when text in a text input box or textarea has been selected.

Compatibility table

Legend

<button>
<input>
<textarea>


onSelectStart Event Handler

Index of Event Handlers

The onSelectStart event is fired when the user begins to select content.

Compatibility table

Legend

<a>
<acronym>
<address>
<area>
<b>
<bdo>
<big>
<blockquote>
<button>
<caption>
<center>
<cite>
<code>
<dd>
<del>
<dfn>
<dir>
<div>
<dl>
<dt>
<em>
<fieldset>
<font>
<form>
<heading>
<hr>
<i>
<img>
<input>
<ins>
<kbd>
<label>
<legend>
<li>
<listing>
<map>
<marquee>
<menu>
<object>
<ol>
<option>
<p>
<plaintext>
<pre>
<q>
<rt>
<ruby>
<s>
<samp>
<select>
<small>
<span>
<strike>
<strong>
<sub>
<sup>
<table>
<tbody>
<td>
<textarea>
<tfoot>
<th>
<thead>
<tr>
<tt>
<u>
<ul>
<var>
<xmp>


onStart Event Handler

Index of Event Handlers

The onStart event is fired when the content of a marquee starts its described movement.

Compatibility table

Legend

<marquee>


onStop Event Handler

Index of Event Handlers

The onStop event is fired when the browsers stop button has been pressed.

Compatibility table

Legend

<body>
<frameset>


onSubmit Event Handler

Index of Event Handlers

The onSubmit event is fired when the user submits the form using the forms submit button.

Compatibility table

Legend

<form>


onUnload Event Handler

Index of Event Handlers

The onUnload event is fired when the browser is about to unload the current document.

Compatibility table

Legend

<body>
<frameset>
<img>


HTML Tags (B)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<b>	Bold	Add bold style to enclosed text
<base>	Base	Base URL reference
<basefont>	Basefont	Default document font
<bdo>	Bi-directional override	Overrides directional properties
<bgsound>	Bgsound	Background sound
<big>	Big	Applies larger font formatting
<blink>	Blink	Creates blinking text
<blockquote>	Blockquote	Indicates several lines of quoted content
<body>	Body	The body section of a document
<br>	Break	Creates a forced line break
<button>	Button	IE supported buttons


<b>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The bold tag applies the bold font style to any text enclosed within the tag.


<b>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<b>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<base>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The base tag used with the href attribute allows a global reference to a base URL address for interpreting any relative hyperlinks and external files, including images.


<base>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

href

id

target


<base>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<basefont>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The basefont tag provides a method of setting the default font properties for the content of a document.


<basefont>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

color

face

id

lang

size

style

tabindex

title


<basefont>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<bdo>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The bdo (bi-directional override) allows the forcing of directionality of text that uses characters from different languages. Use the dir attribute to set the direction the content is rendered.


<bdo>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

language

style

tabindex

title


<bdo>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforePaste

onBeforeUpdate

onBlur

onCellChange

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onReadyStateChange

onScroll

onSelectStart


<bgsound>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The background sound tag provides a means of playing an external audio file in the background when a document is being viewed. There are several attributes that provide control over how the file is played.


<bgsound>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

balance

class

delay

id

lang

loop

src

volume


<bgsound>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<big>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The big tag renders the enclosed text larger than the default font size. Usually incremented by one.


<big>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<big>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<blink>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The blink tag will render the enclosed text as blinking.


<blink>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

id

lang

style

title


<blink>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste


<blockquote>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The blockquote tag usually indicates quoted content covering several lines.


<blockquote>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<blockquote>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<body>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The body tag represents the body section of the document. All content is contained within the body section. The attributes are applied document wide.


<body>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

alink

background

bgcolor

bgproperties

bottommargin

class

datafld

dataformatas

datasrc

dir

id

lang

language

leftmargin

link

marginheight

id

nowrap

rightmargin

scroll

style

tabindex

text

title

topmargin

vlink


<body>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterPrint

onAfterUpdate

onBeforePrint

onBeforeUnload

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onError

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onMove

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onScroll

onSelectStart

onStop

onUnload


<br>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The break tag forces a line break at the location the tag is inserted.


<br>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

clear

id

language

style


<br>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<button>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The button tag provides a means of creating a more flexible form control button. This tag allows html formatting within the button tags.


<button>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

datafld

dataformatas

datasrc

dir

disabled

id

lang

language

name

style

tabindex

title

type

value


<button>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onRowEnter

onRowExit

onSelect

onSelectStart


HTML Tags (C)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<caption>	Caption	Provides a caption for tables
<center>	Center	Centers the enclosed content
<cite>	Cite	Indicates text is used as a citation
<code>	Code	Indicates text is a sample of code
<col>	Col	Defines the generic properties of a table column
<colgroup>	Colgroup	Container for a group of columns
<comment>	Comment	Used for commenting html code


<caption>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The caption tag provides an optional caption or title for a table.


<caption>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

dir

id

lang

language

style

tabindex

title

valign


<caption>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforePaste

onBeforeUpdate

onChange

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onRowEnter

onRowExit

onScroll

onSelectStart


<center>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The center tag aligns the enclosed content to the center of the available viewing area.


<center>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<center>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<cite>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The cite tag is used to indicate that the enclosed text is a citation. It is usually rendered in italics.


<cite>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<cite>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<code>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The code tag indicates the enclosed text is a sample of code, usually rendered in a fixed width font.


<code>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<code>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<col>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The col tag is used to define generic properties of a table column as an alternative to using the traditional cell and row management tags. It defines a single column within a column group.


<col>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

align

bgcolor

class

dir

id

lang

span

style

valign

width


<col>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onLoseCapture


<colgroup>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The colgroup tag is used as a container for a group of table columns defined with the col tag.


<colgroup>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

align

bgcolor

class

dir

id

lang

span

style

valign

width


<colgroup>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onLoseCapture


<comment>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The comment tag is used to enclose commenting within the html document. The enclosed text is not rendered in the browser. This tag has been replaced by using the comment symbols:

<!--  and -- >


<comment>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

There are no attributes for this tag.


<comment>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


HTML Tags (D)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<dd>	Definition Description	Definition description within a definition list
<del>	Deleted Text	Indicates deleted text
<dfn>	Definition	Indicates text is a definition
<dir>	Directory list	A list of items
<div>	Division	The division block element
<dl>	Definition list	Container for a group of definitions
<dt>	Definition term	Definition term within a definition list


<dd>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This element is only used within a definition list tag. It is usually used in conjunction with the definition term tag. It serves to present a definition description of one of the items in a definition list.


<dd>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

clear

dir

id

lang

language

nowrap

style

tabindex

title


<dd>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<del>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This tag indicates that text was deleted. It is for reference only, it does not actually delete anything.


<del>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex


<del>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onSelectStart


<dfn>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This indicates that the enclosed text is a definition of a term in a definition list.


<dfn>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<dfn>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<dir>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This element is used to represent a list of short items. It is usually rendered like an unordered list.


<dir>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title

type


<dir>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<div>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The division tag is a block element tag. (Line break before and after the tag) It is nestable and provides great flexibility for cascading style sheets.


<div>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

datafld

dataformatas

datasrc

dir

id

lang

language

nowrap

style

tabindex

title


<div>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUpdate

onChange

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onRowEnter

onRowExit

onScroll

onSelectStart


<dl>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The definition list tag acts as a container for a list of definition terms and their corresponding definitions.


<dl>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

clear

compact

dir

id

lang

language

style

tabindex

title


<dl>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<dt>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This element is only used within a definition list tag. It is usually used in conjunction with the definition description tag. It serves to present a definition term for one of the items in a definition list.


<dt>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

clear

dir

id

lang

language

nowrap

style

tabindex

title


<dt>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (E)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<em>	Emphasis	Displays text with emphasis
<embed>	Embed	Container for an external plug-in


<em>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The emphasis tag indicates the enclosed text is emphasized. It is usually rendered in italics.


<em>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<em>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onSelectStart


<embed>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The embed tag is used as a container for an external plug-in. It allows custom attributes dependent on the plug-in. Any attributes not understood by the browser are passed to the plug-in.


<embed>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

atomicselection

dir

disabled

height

id

hspace

lang

language

name

palette

pluginspage

pluginurl

src

tabindex

type

units

unselectable

vspace

width


<embed>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeUpdate

onClick

onContextMenu

onDblClick

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onScroll


HTML Tags (F)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<fieldset>	Fieldset	Groups related form fields
<font>	Font	Defines how text is rendered
<form>	Form	Container for form elements
<frame>	Frame	Defines a frame within a frameset
<frameset>	Frameset	Defines the frames within a document


<fieldset>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The fieldset tag is used to group related form field elements together. It also provides speech-based navigation a better idea on how to render the content.


<fieldset>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

dir

id

lang

language

style

tabindex

title


<fieldset>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUpdate

onChange

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onReadyStateChange

onResize

onScroll

onSelectStart


<font>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Defines how the enclosed text will be rendered.


<font>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

color

dir

face

id

lang

language

point-size

size

style

tabindex

title


<font>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<form>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The form tag acts as a container for individual form elements. It also contains information on how to process the form when submitted.


<form>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

action

autocomplete

class

dir

enctype

id

lang

language

method

name

style

target

title


<form>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onReset

onSelectStart

onSubmit


<frame>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The frame tag defines the a particular frame within a frameset. The attributes define how the frame is rendered by the browser. A frame is actually a window object and can be accessed and coded as such.


<frame>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

application

bordercolor

class

datafld

datasrc

frameborder

id

lang

language

marginheight

marginwidth

name

noresize

scrolling

src

style

title


<frame>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onLoseCapture


<frameset>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The frameset tag defines a set of frames to be displayed within the browser. This tag can be nested to include framesets within a frameset. This tag replaces the body tag within the document and therefore defines the document in areas or sub-windows instead of the browser window as a whole.


<frameset>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

border

bordercolor

class

cols

frameborder

framespacing

id

language

rows

style

title


<frameset>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterPrint

onBeforePrint

onBeforeUnload

onBlur

onDrag

onDragDrop

onError

onFocus

onLoad

onMove

onResize

onStop

onUnload


HTML Tags (H)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<head>	Head	Document head section
<hr>	Horizontal Rule	Defines a horizontal rule (line)
<html>	Html	Top level document container
<h1>	Heading Level 1	Highest level section heading
<h2>	Heading Level 2	Second level section heading
<h3>	Heading Level 3	Third level section heading
<h4>	Heading Level 4	Fourth level section heading
<h5>	Heading Level 5	Fifth level section heading
<h6>	Heading Level 6	Sixth level section heading


<head>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The head tag is a top level element required by every document. It contains no actual content but script definitions and references as well as links to external style sheets must be declared in the head section.


<head>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

dir

id

lang

language

title


<head>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<hr>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The hr tag defines a horizontal rule or line in a document.


<hr>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

color

id

noshade

size

style

tabindex

title

width


<hr>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeUpdate

onClick

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onRowEnter

onRowExit

onSelectStart


<html>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The html tag is the top level container for all content within a document. You can use the xmlns attribute to specify a URI as a namespace to a custom tag definition.


<html>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

dir

id

style

title

xmlns


<html>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp


<h1>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The h tag is for defining a section heading. There are 6 levels of headings. h1 being the most important heading and h6 being the least important.


<h1>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

dir

id

lang

language

style

tabindex

title


<h1>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<h2>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The h tag is for defining a section heading. There are 6 levels of headings. h1 being the most important heading and h6 being the least important.


<h2>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

dir

id

lang

language

style

tabindex

title


<h2>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<h3>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The h tag is for defining a section heading. There are 6 levels of headings. h1 being the most important heading and h6 being the least important.


<h3>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

dir

id

lang

language

style

tabindex

title


<h3>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<h4>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The h tag is for defining a section heading. There are 6 levels of headings. h1 being the most important heading and h6 being the least important.


<h4>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

dir

id

lang

language

style

tabindex

title


<h4>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<h5>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The h tag is for defining a section heading. There are 6 levels of headings. h1 being the most important heading and h6 being the least important.


<h5>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

dir

id

lang

language

style

tabindex

title


<h5>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<h6>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The h tag is for defining a section heading. There are 6 levels of headings. h1 being the most important heading and h6 being the least important.


<h6>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

clear

dir

id

lang

language

style

tabindex

title


<h6>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (I)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<i>	Italics	Renders contained text in italics
<iframe>	Inline frame	Defines an inline frame
<ilayer>	Inline Layer	Defines an inline layer
<img>	Image	Defines an image
<input-button>	Input - Button	Defines a button form element
<input-checkbox>	Input - Checkbox	Defines a checkbox form element
<input-file>	Input – File	Defines a file form element
<input-hidden>	Input – Hidden	Defines a hidden form element
<input-image>	Input – Image	Defines a image form element
<input-password>	Input – Password	Defines a password form element
<input-radio>	Input – Radio	Defines a radio form element
<input-reset>	Input – Reset	Defines a reset form element
<input-submit>	Input – Submit	Defines a submit form element
<input-text>	Input – Text	Defines a text form element
<ins>	Inserted Text	Indicates inserted text
<isindex>	Is Index	Keyword search


<i>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The italics tag renders the enclosed text as italics.


<i>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<i>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<iframe>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The iframe tag allows you to define an inline frame that contains content from an external document. This is also commonly referred to as a floating frame.


<iframe>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

align

application

class

datafld

datasrc

frameborder

height

hspace

id

lang

language

marginheight

marginwidth

name

scrolling

src

style

vspace

width


<iframe>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<ilayer>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The ilayer tag allows you to define an inline layer. Inline layers are blocks of content precisely controlled by the attributes of this tag. Layers can be stacked on top of one another allowing layers of overlapping content.


<ilayer>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

above

background

below

bgcolor

class

clip

height

id

left

name

pagex

pagey

src

style

top

visibility

width

z-index


<ilayer>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBlur

onFocus

onLoad

onMouseOut

onMouseOver


<img>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The image tag allows you to define an image to be rendered within the document.


<img>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

alt

border

class

controls

datafld

datasrc

dir

disabled

dynsrc

height

hspace

id

ismap

lang

language

loop

lowsrc

name

src

start

style

suppress

tabindex

title

usemap

vrml

vspace

width


<img>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAbort

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforePaste

onBeforeUnload

onBeforeUpdate

onChange

onClick

onContextMenu

onCopy

onCut

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onError

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onScroll

onSelectStart

onUnload


<input-button>  Tag
<input type=”button”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (button type) allows you to define a form element of the type button.


<input-button>  Attributes
<input type=”button”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

datafld

dataformatas

datasrc

dir

disabled

height

id

lang

language

name

style

tabindex

title

type

value

width


<input-button>  Event Handlers
<input type=”button”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-checkbox>  Tag
<input type=”checkbox”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (checkbox type) allows you to define a form element of the type checkbox.


<input-checkbox>  Attributes
<input type=”checkbox”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

checked

class

datafld

datasrc

dir

disabled

id

lang

language

name

style

tabindex

title

type

value


<input-checkbox>  Event Handlers
<input type=”checkbox”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onPropertyChange

onSelect

onSelectStart


<input-file>  Tag
<input type=”file”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (file type) allows you to define a form element of the type file.


<input-file>  Attributes
<input type=”file”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

disabled

id

lang

language

name

readonly

style

tabindex

title

type

value


<input-file>  Event Handlers
<input type=”file”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-hidden>  Tag
<input type=”hidden”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (hidden type) allows you to define a form element of the type hidden.


<input-hidden>  Attributes
<input type=”hidden”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

datafld

datasrc

name

type

value


<input-hidden>  Event Handlers
<input type=”hidden”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus


<input-image>  Tag
<input type=”image”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (image type) allows you to define a form element of the image hidden.


<input-image>  Attributes
<input type=”image”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

alt

border

class

dir

disabled

height

id

ismap

lang

language

name

src

style

tabindex

title

type

usemap

value

width


<input-image>  Event Handlers
<input type=”image”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-password>  Tag
<input type=”password”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (password type) allows you to define a form element of the type password.


<input-password>  Attributes
<input type=”password”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

autocomplete

class

datafld

datasrc

dir

disabled

id

lang

language

name

readonly

style

tabindex

title

type

value

vcard_name


<input-password>  Event Handlers
<input type=”password”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-radio>  Tag
<input type=”radio”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (radio type) allows you to define a form element of the type radio.


<input-radio>  Attributes
<input type=”radio”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

checked

class

datafld

datasrc

dir

disabled

id

lang

language

name

style

tabindex

title

type

value


<input-radio>  Event Handlers
<input type=”radio”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-reset>  Tag
<input type=”reset”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (reset type) allows you to define a form element of the type reset.


<input-reset>  Attributes
<input type=”reset”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

disabled

height

id

lang

language

style

tabindex

title

type

value

width


<input-reset>  Event Handlers
<input type=”reset”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-submit>  Tag
<input type=”submit”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (submit type) allows you to define a form element of the type submit.


<input-submit>  Attributes
<input type=”submit”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

disabled

height

id

lang

language

name

style

tabindex

title

type

value

width


<input-submit>  Event Handlers
<input type=”submit”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-text>  Tag
<input type=”text”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (text type) allows you to define a form element of the type text.


<input-text>  Attributes
<input type=”text”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

autocomplete

class

datafld

datasrc

dir

disabled

id

lang

language

maxlength

name

readonly

size

style

tabindex

title

type

value

vcard_name


<input-text>  Event Handlers
<input type=”text”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<ins>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The insert tag indicates that the enclosed text was inserted after the initial creation of the document.


<ins>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex


<ins>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onSelectStart


<isindex>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The isindex tag presents a text input box and allows the user to search for keywords within the document.


<isindex>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

action

class

dir

id

lang

language

prompt

style

tabindex


<isindex>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp


HTML Tags (I)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<i>	Italics	Renders contained text in italics
<iframe>	Inline frame	Defines an inline frame
<ilayer>	Inline Layer	Defines an inline layer
<img>	Image	Defines an image
<input-button>	Input - Button	Defines a button form element
<input-checkbox>	Input - Checkbox	Defines a checkbox form element
<input-file>	Input – File	Defines a file form element
<input-hidden>	Input – Hidden	Defines a hidden form element
<input-image>	Input – Image	Defines a image form element
<input-password>	Input – Password	Defines a password form element
<input-radio>	Input – Radio	Defines a radio form element
<input-reset>	Input – Reset	Defines a reset form element
<input-submit>	Input – Submit	Defines a submit form element
<input-text>	Input – Text	Defines a text form element
<ins>	Inserted Text	Indicates inserted text
<isindex>	Is Index	Keyword search


<i>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The italics tag renders the enclosed text as italics.


<i>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<i>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<iframe>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The iframe tag allows you to define an inline frame that contains content from an external document. This is also commonly referred to as a floating frame.


<iframe>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

align

application

class

datafld

datasrc

frameborder

height

hspace

id

lang

language

marginheight

marginwidth

name

scrolling

src

style

vspace

width


<iframe>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<ilayer>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The ilayer tag allows you to define an inline layer. Inline layers are blocks of content precisely controlled by the attributes of this tag. Layers can be stacked on top of one another allowing layers of overlapping content.


<ilayer>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

above

background

below

bgcolor

class

clip

height

id

left

name

pagex

pagey

src

style

top

visibility

width

z-index


<ilayer>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBlur

onFocus

onLoad

onMouseOut

onMouseOver


<img>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The image tag allows you to define an image to be rendered within the document.


<img>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

alt

border

class

controls

datafld

datasrc

dir

disabled

dynsrc

height

hspace

id

ismap

lang

language

loop

lowsrc

name

src

start

style

suppress

tabindex

title

usemap

vrml

vspace

width


<img>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAbort

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforePaste

onBeforeUnload

onBeforeUpdate

onChange

onClick

onContextMenu

onCopy

onCut

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onError

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onScroll

onSelectStart

onUnload


<input-button>  Tag
<input type=”button”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (button type) allows you to define a form element of the type button.


<input-button>  Attributes
<input type=”button”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

datafld

dataformatas

datasrc

dir

disabled

height

id

lang

language

name

style

tabindex

title

type

value

width


<input-button>  Event Handlers
<input type=”button”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-checkbox>  Tag
<input type=”checkbox”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (checkbox type) allows you to define a form element of the type checkbox.


<input-checkbox>  Attributes
<input type=”checkbox”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

checked

class

datafld

datasrc

dir

disabled

id

lang

language

name

style

tabindex

title

type

value


<input-checkbox>  Event Handlers
<input type=”checkbox”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onPropertyChange

onSelect

onSelectStart


<input-file>  Tag
<input type=”file”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (file type) allows you to define a form element of the type file.


<input-file>  Attributes
<input type=”file”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

disabled

id

lang

language

name

readonly

style

tabindex

title

type

value


<input-file>  Event Handlers
<input type=”file”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-hidden>  Tag
<input type=”hidden”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (hidden type) allows you to define a form element of the type hidden.


<input-hidden>  Attributes
<input type=”hidden”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

datafld

datasrc

name

type

value


<input-hidden>  Event Handlers
<input type=”hidden”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus


<input-image>  Tag
<input type=”image”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (image type) allows you to define a form element of the image hidden.


<input-image>  Attributes
<input type=”image”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

alt

border

class

dir

disabled

height

id

ismap

lang

language

name

src

style

tabindex

title

type

usemap

value

width


<input-image>  Event Handlers
<input type=”image”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-password>  Tag
<input type=”password”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (password type) allows you to define a form element of the type password.


<input-password>  Attributes
<input type=”password”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

autocomplete

class

datafld

datasrc

dir

disabled

id

lang

language

name

readonly

style

tabindex

title

type

value

vcard_name


<input-password>  Event Handlers
<input type=”password”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-radio>  Tag
<input type=”radio”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (radio type) allows you to define a form element of the type radio.


<input-radio>  Attributes
<input type=”radio”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

checked

class

datafld

datasrc

dir

disabled

id

lang

language

name

style

tabindex

title

type

value


<input-radio>  Event Handlers
<input type=”radio”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-reset>  Tag
<input type=”reset”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (reset type) allows you to define a form element of the type reset.


<input-reset>  Attributes
<input type=”reset”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

disabled

height

id

lang

language

style

tabindex

title

type

value

width


<input-reset>  Event Handlers
<input type=”reset”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-submit>  Tag
<input type=”submit”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (submit type) allows you to define a form element of the type submit.


<input-submit>  Attributes
<input type=”submit”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

disabled

height

id

lang

language

name

style

tabindex

title

type

value

width


<input-submit>  Event Handlers
<input type=”submit”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<input-text>  Tag
<input type=”text”>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The input tag (text type) allows you to define a form element of the type text.


<input-text>  Attributes
<input type=”text”>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

autocomplete

class

datafld

datasrc

dir

disabled

id

lang

language

maxlength

name

readonly

size

style

tabindex

title

type

value

vcard_name


<input-text>  Event Handlers
<input type=”text”>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeEditFocus

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelect

onSelectStart


<ins>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The insert tag indicates that the enclosed text was inserted after the initial creation of the document.


<ins>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex


<ins>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onDrag

onDragDrop

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onSelectStart


<isindex>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The isindex tag presents a text input box and allows the user to search for keywords within the document.


<isindex>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

action

class

dir

id

lang

language

prompt

style

tabindex


<isindex>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onDblClick

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp


HTML Tags (K)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<kbd>	Keyboard	Renders contained text in italics
<keygen>	Key generator	Used to generate key-challenge pairs


<kbd>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The keyboard tag indicates text entered from a keyboard. It is usually rendered in a fixed-width font.


<kbd>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<kbd>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<keygen>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The keygen tag is used to generate a challenge string to be paired with the name attribute of the tag.


<keygen>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

challenge

name


<keygen>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

This tag has no event handlers.


HTML Tags (L)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<label>	Label	Associates a text label with a form field
<layer>	Layer	Defines a layer
<legend>	Legend	Caption for a fieldset
<li>	List item	Defines a list item
<link>	Link	Indicates a relationship to an external object
<listing>	Listing	Defines a block of text that is listed as is


<label>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The label tag is used to associate a text label with a form field. Association can be achieved by either specifying the field in the “for” attribute or by enclosing the field within the label tag.


<label>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

datafld

dataformatas

datasrc

dir

for

id

lang

language

style

tabindex

title


<label>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onBlur

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<layer>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The layer tag allows you to define a layer. Layers are blocks of content precisely controlled by the attributes of this tag. Layers can be stacked on top of one another allowing layers of overlapping content.


<layer>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

above

background

below

bgcolor

class

clip

height

id

left

name

pagex

pagey

src

style

top

visibility

width

z-index


<layer>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBlur

onFocus

onLoad

onMouseOut

onMouseOver


<legend>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The legend tag is used to add a caption to a fieldset group of form elements.


<legend>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

dir

id

lang

language

style

tabindex

title


<legend>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onChange

onClick

onContextMenu

onDblClick

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onScroll

onSelectStart


<li>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The list item tag is used as a sub element to specify a particular list item. It can used with any of the following tags:

<dir>

<menu>

<ol>

<ul>


<li>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

clear

dir

id

lang

language

style

tabindex

title

type

value


<li>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<link>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The link tag is used to provide a relationship with an external object or document. One of the more common uses of this tag is to link an external style sheet to a document.


<link>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

disabled

href

id

media

rel

rev

src

target

title

type


<link>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onError

onLoad

onReadyStateChange


<listing>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The listing tag displays all characters as-is. It is recommended to use a character line 132 characters long or less. Until a closing tag is encountered, all elements are displayed as text and are not rendered as content.


<listing>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<listing>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (M)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<map>	Map	Client side image map
<marquee>	Marquee	Area of scrolling text
<menu>	Menu	List of items
<meta>	Meta	Defines meta information
<multicol>	Multi Column	Indicates enclosed text be multi column format


<map>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The map tag is used for client side image mapping. Using the area tag you can define shapes associated with links for an image.


<map>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

dir

lang

language

name


<map>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeUpdate

onErrorUpdate

onHelp

onLoseCapture

onPropertyChange

onRowEnter

onRowExit

onScroll

onSelectStart


<marquee>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The marquee tag creates an area of scrolling text controlled by its attributes.


<marquee>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

behavior

bgcolor

class

datafld

dataformatas

datasrc

dir

direction

height

hspace

id

lang

language

loop

scrollamount

scrolldelay

style

tabindex

title

truespeed

vspace

width


<marquee>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBounce

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onFinish

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onResize

onRowEnter

onRowExit

onScroll

onSelectStart

onStart


<menu>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X


<menu>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

type


<menu>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<meta>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The meta tag is used to identify specialized document meta-information. Probably the most common uses are keywords, description and refresh.


<meta>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

content

dir

http-equiv

name

title


<meta>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<multicol>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The multicol tag is used to render the enclosed text in a multi-column format.


<multicol>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

cols

gutter

id

style

width


<multicol>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


HTML Tags (N)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<nobr>	No Break	Prevents line break
<noembed>	No Embed	For browsers without embed functionality
<noframes>	No Frames	For browsers without frames functionality
<nolayer>	No Layer	For browsers without layer functionality
<noscript>	No Script	For browsers without scripting functionality


<nobr>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The no break tag prevents the browser from breaking the line of text enclosed within the tag.


<nobr>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

dir

id

lang

style

title


<nobr>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp


<noembed>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The no embed tag is used to display content to browsers that do not support embed functionality. The enclosed content is displayed rather than the actual embed object.


<noembed>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

This tag has no attributes.


<noembed>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<noframes>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The noframes tag is used to display content to browsers that do not support frames. The enclosed content is displayed in place of the frameset.


<noframes>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

id

style


<noframes>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<nolayer>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The no layer tag is used to display content to browsers that do not support layer functionality. The enclosed content is displayed rather than the actual layer object.


<nolayer>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

This tag has no attributes.


<nolayer>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<noscript>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The noscript tag is used to display content to browsers that do not support scripting. The enclosed content is displayed if the browser does not support scripting.


<noscript>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

id

language

style

title


<noscript>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


HTML Tags (O)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<object>	Object	Container for external files and objects
<ol>	Ordered List	Container for ordered list items
<option>	Option	An item in a select object


<object>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The object tag works as a container for external files. It can be used for multi-media and embedded objects within html content.


<object>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

classid

code

codebase

codetype

data

datafld

dataformatas

datasrc

dir

height

id

lang

language

name

style

tabindex

title

type

width


<object>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onCellChange

onClick

onDataAvailable

onDatasetChanged

onDatasetComplete

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onError

onErrorUpdate

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoad

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onReadyStateChange

onRowEnter

onRowExit

onRowsDelete

onRowsInserted

onScroll

onSelectStart


<ol>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The ordered list tag is used to define a list of items in a particular order. This tag uses the list item tag to define the items in the list.


<ol>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

clear

compact

dir

id

lang

language

start

style

tabindex

title

type


<ol>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<option>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The option tag is the actual container for an item in a select object.


<option>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

dir

id

lang

language

selected

style

value


<option>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onLoseCapture

onPropertyChange

onSelectStart


HTML Tags (P)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<p>	Paragraph	Container for a paragraph of text
<param>	Parameter	Container for values passed to an embedded object.
<plaintext>	Plain text	Renders enclosed text in a fixed-width font.
<pre>	Pre-formatted Text	Usually renders text in a fixed-width font.


<p>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The paragraph tag is used to block out a paragraph of content. It creates a line break before and after the tag.


<p>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

dir

id

lang

language

style

tabindex

title


<p>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<param>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The parameter tag is used with the applet and object tags to pass values to the embedded program or class file. The tag acts the same with both tags.


<param>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

datafld

dataformatas

datasrc

name

value


<param>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<plaintext>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The plain text tag is an obsolete tag that is supposed to inform the browser to stop interpreting html tags. It usually renders the following text as a fixed-width font.


<plaintext>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<plaintext>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<pre>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The preformatted-text tag usually indicates the text has been pre-formatted for the screen and is usually rendered using a fixed-width font. Text will retain white space.


<pre>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<pre>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (Q)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<q>	Short Quote	Short Quotation


<q>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The quote tag is used to indicate that the text is a quote from another source.


<q>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex


<q>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (R)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<rt>	Ruby Text	Container for the helper of a ruby
<ruby>	Ruby	Content pair (content and helper)


<rt>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The ruby text tag is used as a container for the helper part of the content pair of the ruby tag.

The enclosed text is rendered above the ruby content is a smaller font.


<rt>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

name

style

tabindex

title


<rt>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeUpdate

onClick

onContextMenu

onDblClick

onErrorUpdate

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onSelectStart


<ruby>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The ruby tag is used as a content pair. The content, being the ruby and the helper (ruby text) which serves as a caption usually for a pronunciation aid. This tag is used mostly in far-eastern languages.


<ruby>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

name

style

tabindex

title


<ruby>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeUpdate

onClick

onDblClick

onErrorUpdate

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onSelectStart


HTML Tags (U)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<u>	Underline	Underlined text
<ul>	Unordered list	Container for unordered list items


<u>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The underline tag is used to display the enclosed text with as underlined.


<u>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<u>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<ul>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The unordered list tag is used as a container for list items that are to be in no particular order. It is used with the list item (<li>) tag to display the list items in a format controlled by its attributes.


<ul>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

clear

compact

dir

id

lang

language

style

tabindex

title

type


<ul>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (W)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<wbr>	Word break	Indicates an allowable word break point


<wbr>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The word break tag notifies the browser of an allowable word break point. This does not force a word break.


<wbr>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

class

id

style


<wbr>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


HTML Tags (X)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<xml>	XML	Container for xml markup content
<xmp>	Example	Indicates as-is example text


<xml>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The xml tag is used to alert the browser that the enclosed is content is the xml markup language. All content enclosed within these tags should follow xml syntax rules.


<xml>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

id

ns

prefix

src


<xml>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<xmp>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The example tag is used to show as-is example text. When the browser encounters an example tag, it will not render the following content until it encounters a closing example tag. The content within the tags is usually rendered in a fixed width font.


<xmp>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<xmp>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (S)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<s>	Strike Through	Indicates strike through text
<samp>	Sample	Indicates sample text
<script>	Script	Container for scripting
<select>	Select	Container for an options list
<small>	Small	Smaller font
<spacer>	Spacer	White-space control
<span>	Span	Spanned style application
<strike>	Strike	Indicates strike through text
<strong>	Strong	Strongly emphasized text
style	Style	Container for style definitions
<sub>	Subscript	Renders enclosed text as subscript
<sup>	Superscript	Renders enclosed text as superscript


<s>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The strikethrough tag renders the enclosed text with a horizontal line through the middle.


<s>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<s>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<samp>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The sample tag is used to indicate sample text. It is usually rendered in a fixed-width font.


<samp>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<samp>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<script>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The script tag is used as a container for embedded scripting within the document. This tag is usually located in the head section of a document, but is not limited to the head section. This tag can also be used with the “src” attribute to link to an external file containing the scripting.


<script>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

archive

class

defer

event

for

id

language

src

title

type


<script>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onError

onLoad

onReadyStateChange


<select>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The select tag presents either a drop down list or list box with a list of items defined by the <option> tag.


<select>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

class

datafld

datasrc

dir

disabled

id

lang

language

multiple

name

size

style

tabindex


<select>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onMove

onPropertyChange

onReadyStateChange

onResize

onRowEnter

onRowExit

onScroll

onSelectStart


<small>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The small tag is used to render the enclosed text in a smaller font relative to the default font.


<small>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<small>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<spacer>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The spacer tag allows control over the white-space in a document.


<spacer>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

align

height

size

type

width


<spacer>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<span>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The span tag is used to apply style to content that is not contained within another tag that can apply the style.


<span>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

datafld

dataformatas

datasrc

dir

id

lang

language

style

tabindex

title


<span>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<strike>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The strike tag is used to render the enclosed text with a horizontal line through the middle.


<strike>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<strike>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<strong>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The strong tag is used to render the enclosed text with a strong emphasis.


<strong>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<strong>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<style>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The style tag is used as a container for style definitions within the document. This tag must be in the head section of the document. Use the link tag to link to an external style sheet definition file.


<style>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

dir

disabled

media

type


<style>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onError

onLoad

onReadyStateChange


<sub>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The subscript tag is used to render the enclosed text as subscript.


<sub>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<sub>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


<sup>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The superscript tag is used to render the enclosed text as superscript.


<sup>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<sup>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


HTML Tags (T)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<table>	Table	Container for table cells
<tbody>	Table body	Body section of a complex table
<td>	Table data	Container for a table cell
<textarea>	Text area	Container for a multi line text box
<tfoot>	Table foot	Footer section of a complex table
<th>	Table header cell	A cell in the head section of a complex table
<thead>	Table header	The head section of a complex table
title	Title	Container for the title of the document
<tr>	Table row	Container for a table row
<tt>	Teletype	Renders enclosed text in fixed-width font


<table>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table tag is used as a container for a group of rowed cells. Each cell can be controlled individually using the cell’s attributes. The table as a whole can be controlled using the table’s attributes. There are two types of tables, a simple table and a complex table. The complex table allows for more control over the way the content is rendered.


<table>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

background

bgcolor

border

bordercolor

bordercolordark

bordercolorlight

cellpadding

cellspacing

challenge

class

cols

datapagesize

datasrc

dir

frame

height

id

lang

language

rules

style

tabindex

title

width


<table>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeEditFocus

onBeforeUpdate

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onResize

onRowEnter

onRowExit

onScroll

onSelectStart


<tbody>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table body tag is used as a container for the body section in the complex table type. The complex table type contains three sections, the table header, the table body and the table footer.


<tbody>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

bgcolor

class

dir

id

lang

language

style

tabindex

title

valign


<tbody>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelectStart


<td>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table data tag is the actual container for the content of an individual cell within a table.


<td>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

background

bgcolor

bordercolor

bordercolordark

bordercolorlight

class

colspan

dir

height

id

lang

language

nowrap

rowspan

style

tabindex

title

valign

width


<td>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUnload

onBeforeUpdate

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onResize

onRowEnter

onRowExit

onSelectStart


<textarea>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The textarea tag is used as a container for a multi-line text field. Any enclosed text will be the initial text in the field.


<textarea>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

cols

datafld

datasrc

dir

disabled

id

lang

language

name

readonly

rows

style

tabindex

title

wrap


<textarea>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUnload

onBeforeUpdate

onBlur

onChange

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onErrorUpdate

onFilterChange

onFocus

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onRowEnter

onRowExit

onScroll

onSelect

onSelectStart


<tfoot>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table footer tag is used as a container for the footer section in the complex table type. The complex table type contains three sections, the table header, the table body and the table footer.


<tfoot>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

bgcolor

class

dir

id

lang

language

style

tabindex

title

valign


<tfoot>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelectStart


<th>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table header cell tag is used as a container for the actual content of a table cell. This tag is identical to the table data cell with the exception that the contained text is rendered as bold by default.


<th>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

background

bgcolor

bordercolor

bordercolordark

bordercolorlight

class

colspan

dir

height

id

lang

language

nowrap

rowspan

style

tabindex

title

valign

width


<th>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUnload

onBeforeUpdate

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onResize

onRowEnter

onRowExit

onSelectStart


<thead>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table head tag is used as a container for the head section in the complex table type. The complex table type contains three sections, the table header, the table body and the table footer.


<thead>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

bgcolor

class

dir

id

lang

language

style

tabindex

title

valign


<thead>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onClick

onContextMenu

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPropertyChange

onSelectStart


<title>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The title tag is used to define the title of the document. The enclosed text will show up in the caption bar of most browsers. This tag should be in the head section of the document.


<title>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

dir

id

lang

title


<title>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

There are no event handlers for this tag.


<tr>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The table row tag is used as a container for a row of table cells.


<tr>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

align

bgcolor

bordercolor

bordercolordark

bordercolorlight

class

dir

id

lang

language

nowrap

style

tabindex

title

valign


<tr>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onAfterUpdate

onBeforeCopy

onBeforeCut

onBeforeEditFocus

onBeforePaste

onBeforeUpdate

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onFilterChange

onHelp

onKeyDown

onKeyPress

onKeyUp

onLoseCapture

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onRowEnter

onRowExit

onSelectStart


<tt>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The teletype tag will render the enclosed text in a fixed-width font.


<tt>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<tt>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


above Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	V	W	X

This attribute specifies the name of the layer that will be displayed directly above the current layer in the z-order. This overrides the default behavior.

Possible Values:

Value:	Meaning:
Layer Name	An existing valid layer name value.


accesskey Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This core attribute provides a means of defining a keyboard shortcut. When the defined accesskey is used, it will give focus to the element containing the attribute.

Possible Values:

Value:	Meaning:
Character	A single alphanumeric character in the browser’s character set.


action Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL that will process the forms contents. If no action is specified, it will default to the page base URL.

Possible Values:

Value:	Meaning:
URL	An absolute or relative URL.


align Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute is a tag dependent attribute. It has different meanings dependent on which tag it is being used in. It will either define the alignment of the content surrounding the element or the alignment of the element itself.

Possible Values:

Value:	Meaning:
left	Left margin
right	Right margin
top	Top of the largest element in the line
texttop	Top of the text in the line
middle	Baseline of the text in the line
absmiddle	Middle of the line
baseline	Baseline of the text in the line
bottom	Bottom of the text in the line
absbottom	Bottom of the line


alink Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines the color of a link when it is active.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


alt Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines a string of text that will be displayed as alternative text. It will be in the position of an image while the image is loading. It also will act as a popup hint when the mouse is hovered over the element.

Possible Values:

Value:	Meaning:
Test string	A descriptive line of text.


application Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not the frames content is an html application. This was introduced with IE5 and is exempt from the browser security model.

Possible Values:

Value:	Meaning:
no	Normal browser security rules apply
yes	The frames content is trusted


archive Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to an archive file containing the classes for a Java applet.

Possible Values:

Value:	Meaning:
URL	An absolute or relative URL to an archive file


atomicselection Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines whether or not the object will be selected as a whole unit or if individual parts of the object may be selected.

Possible Values:

Value:	Meaning:
true	The object is selected as a whole unit.
false	Individual parts may be selected.


autocomplete Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not the auto complete feature of IE is turned on.

Possible Values:

Value:	Meaning:
on	The form elements auto-complete is turned on
off	The form elements auto-complete is turned off


background Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the image to be tiled on the background of the element or the full page if specified in the body tag.

Possible Values:

Value:	Meaning:
URL	An absolute or relative URL to an image file


balance Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute controls how sound will be balanced for left/right stereo output.

Possible Values:

Value:	Meaning:
Integer –10000 to 10000	-10000 is left only output, 10000 is right only output. 0 is the default.


behavior Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the movement of the text in a marquee tag.

Possible Values:

Value:	Meaning:
alternate	Text bounces from one side to the other
slide	Text starts from one side and scrolls to a stop at the other side
scroll	Text scrolls repeatedly from one side to the other


below Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the name of the layer that will be displayed directly below the current layer in the z-order. This overrides the default behavior.

Possible Values:

Value:	Meaning:
Layer Name	An existing valid layer name value.


bgcolor Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the background color of the element or the page as a whole if it is used in the body tag.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


bgproperties Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute is used in conjunction with the background attribute. It specifies that the background image of the page is to be displayed as a watermark and will not scroll with the content of the page.

Possible Values:

Value:	Meaning:
fixed	Background image does not scroll


border Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the thickness of the border around the element.

Possible Values:

Value:	Meaning:
Integer pixel value	0 will display no border, a positive integer will display a border the thickness in pixels of the integer.


bordercolor Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the color of the border around the element. It is required that the border attribute be set to a thickness greater than 0.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


bordercolordark Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the color of the upper and left-hand borders around the element. This displays the border with a 3D effect. It is required that the border attribute be set to a thickness greater than 0.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


bordercolorlight Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the color of the lower and right-hand borders around the element. This displays the border with a 3D effect. It is required that the border attribute be set to a thickness greater than 0.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


bottommargin Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space for the bottom margin of the page.

Possible Values:

Value:	Meaning:
Integer pixel value	The height in pixels of space for the margin.


cellpadding Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space between the content of a table cell and the border of the cell.

Possible Values:

Value:	Meaning:
Integer pixel value	The thickness of the space in pixels


cellspacing Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space between the individual cells of a table.

Possible Values:

Value:	Meaning:
Integer pixel value	The thickness of the space in pixels


challenge Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the challenge string to be passed with the public key for use in verification of the form submission.

Possible Values:

Value:	Meaning:
String	Alphanumeric characters


checked Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies if the checkbox or radio button is checked when created. The default is unchecked.

Possible Values:

Value:	Meaning:
on	Element is checked when created
off	Element is not checked when created


cite Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL of the source of the quotation.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the source of the quotation


class Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute classifies the element into one or more categories. This is commonly used with cascading style sheets to apply style to many elements at once.

Possible Values:

Value:	Meaning:
Space separated list of class names.	Alphanumeric class names. An element can belong to several classes and conversely several elements can belong to a single class.


classid Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL location of an object’s implementation. It may be used together with, or as an alternative to the data attribute, depending on the type of object involved.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the source of the implementation


clear Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies where the next line should begin.

Possible Values:

Value:	Meaning:
all	The next line starts below the row where both margins are cleared of images.
left	The next line starts below the row where the left margin is cleared of images.
none	The next line starts just below the current line, regardless of any margin being clear of images.
right	The next line starts below the row where the right margin is cleared of images.


clip Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the clipping rectangle of a layer. A layer’s clipping rectangle defaults to the size of the content of the layer.

Possible Values:

Value:	Meaning:
A comma separated list of integer pixel values	clip=”left,top,right,bottom”  The left and top values default to 0.


code Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL to the applets code or class file.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the source of the applets code


codebase Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the base URL for the code attribute if the code URL is relative.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the directory of the applets code


codetype Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the MIME type of the objects code referenced in the classid attribute.

Possible Values:

Value:	Meaning:
Alphanumeric MIME type	A valid MIME type


color Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the color of the element.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


cols Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute has two important meanings depending on its context. When used in the frameset tag, it divides the window into vertical columns. When used in the table tag, it explicitly defines the number of columns in the table.

Possible Values:

Value:	Meaning:
With frameset/a pixel integer value	The width of the column in pixels
With frameset/ a percentage of the container window	Using the percent(%) symbol, you can specify the percentage of the container window that the column will occupy.
With frameset/ a wildcard symbol	Using the wildcard(*) symbol, you can specify the remainder of the container window.
With table/ positive integer	A positive integer specifying the number of columns in the table.


colspan Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies how many columns in a table the cell should span.

Possible Values:

Value:	Meaning:
Positive integer	The number of columns the cell will span across in the table


compact Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies to use compact rendering if possible.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


content Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the value of the name/value pair. This value depends on the name or http-equiv attribute used.

Possible Values:

Value:	Meaning:
Alphanumeric string	A text string containing letters or integers.


controls Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies that the video controls be available to the user in IE.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


coords Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies coordinate values dependent on the shape attribute in the area tag.

Possible Values:

Value:	Meaning:
rect=”left,top,right,bottom”	Defines the rectangle in pixel coordinates
circle=”center-x,center-y,radius”	Defines the circle in polar coordinates
poly=”x1,y1,x2,y2,xn,yn”	Defines the polygon in an unlimited number of coordinate points.


data Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to the object’s data, such as a file.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the directory of the objects data


datafld Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the column name from the data source object that will supply the bound data.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


dataformatas Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether the data is plain text or HTML.

Possible Values:

Value:	Meaning:
html	Data  is html format
plaintext	Data is plaintext format
text	Data is plaintext format


datapagesize Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the number of records displayed in a data bound table.

Possible Values:

Value:	Meaning:
Integer	A positive integer


datasrc Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the ID of the data source object supplying data to the element.

Possible Values:

Value:	Meaning:
Data source ID	The ID of the data source


defer Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute informs the browser that the script will not generate any rendered content, so the browser can continue rendering.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


delay Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the number of seconds to delay before playing the sound file.

Possible Values:

Value:	Meaning:
Integer	A positive integer representing seconds for the delay


dir Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the direction the text content will be rendered. It should be used for bi-directional languages.

Possible Values:

Value:	Meaning:
ltr	Left to right
rtl	Right to left


direction Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the direction the marquee text should scroll.

Possible Values:

Value:	Meaning:
left	From right to left
right	From left to right
down	From top to bottom
up	From bottom to top


disabled Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies if the element is disabled initially.

Possible Values:

Value:	Meaning:
true	The object or element is initially disabled
false	The object is initially enabled


dynsrc Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL of an inline video.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the directory of the video file


enctype Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the MIME type used to encode the forms content.

Possible Values:

Value:	Meaning:
application/x-www-form-urlencoded	Default form type
multipart/form-data	Used when the form contains a file type input field


event Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the event that the script is for.

Possible Values:

Value:	Meaning:
Event name	Valid alphanumeric event name


face Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the name of the font’s typeface to be rendered.

Possible Values:

Value:	Meaning:
List of font typeface names	A comma separated list of font typeface names. If the typeface name contains spaces, enclose it in single quotes.


for Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies which element is being bound to the event script.

Possible Values:

Value:	Meaning:
Scripting object or element ID	The name of a scripting object or an elements ID


frame Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies which outside table borders are to be drawn.

Possible Values:

Value:	Meaning:
void	No borders are drawn
above	Top border only
below	Bottom border only
hsides	Top and bottom borders only
vsides	Left and right borders only
lhs	Left border only
rhs	Right border only
box	All four sides
border	All four sides


frameborder Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute will override the frameset’s border attribute to control the border rendering if used within the frame tag. Otherwise if used in the frameset tag, it controls the border of the frameset as a whole.

Possible Values:

Value:	Meaning:
0	No border rendered
1	Border is rendered


framespacing Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the space between individual frames in a frameset.

Possible Values:

Value:	Meaning:
Integer pixel value	Positive integer representing pixels of space


gutter Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space between columns.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer representing pixels of space between columns


height Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the height of the element in pixels.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer specifying the height of the element


hidden Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not the embedded object will be visible.

Possible Values:

Value:	Meaning:
true	The object is visible
false	The object is not visible


href Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to link to.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL


hspace Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a space in pixels to be shown horizontally around the element.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer specifying the space in pixels to the left and right of the element


http-equiv Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute binds the content part of the element to an http header field, causing the content part of the element to be attached to the document header.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


id Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a unique alphanumeric identifier for referencing the element. Very useful when using cascading style sheets.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


ismap Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies that the image is an image map. When used with a hyperlink linked to a mapping file, it instructs the browser to send the coordinates clicked on by the user to the mapping file for processing.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


lang Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the language of the enclosed content. It takes a string value that is case sensitive with no spaces allowed. Please refer to RFC-1776 for valid values for this attribute.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


language Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the scripting language used in the document.

Possible Values:

Value:	Meaning:
jscript	Specifies javascript as the scripting language
javascript	Specifies javascript as the scripting language
vbs	Specifies visual basic as the scripting language
vbscript	Specifies visual basic as the scripting language
xml	Specifies an embedded xml fragment


left Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the absolute pixel position of the left side of the layer relative to the parent layer. If no parent is present, it is relative to the window.

Possible Values:

Value:	Meaning:
Integer pixel value	An integer value, positive or negative


leftmargin Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space in pixels occupied by the left margin.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer value that can include 0


link Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the default color of inactivated hyperlinks.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


longdesc Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to a longer description of the image than that contained in the alt attribute.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the description


loop Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the number of times to loop the element.

Possible Values:

Value:	Meaning:
Integer value	A positive integer specifying the number of loops, or a –1 to indicate infinite loops


lowsrc Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to a low resolution image to be downloaded before the higher resolution image and displayed while the higher resolution image is downloading.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the low resolution image


marginheight Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines the amount of space in pixels of the top and bottom margins.

Possible Values:

Value:	Meaning:
Integer pixel value	An integer of zero or more in pixels of space


marginwidth Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines the amount of space in pixels of the left and right margins.

Possible Values:

Value:	Meaning:
Integer pixel value	An integer of zero or more in pixels of space


maxlength Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute assigns a limit to the number of characters that can be entered into the input field.

Possible Values:

Value:	Meaning:
Integer value	A positive integer indicating the limit of characters


mayscript Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines whether or not an applet may be scripted with JavaScript.

Possible Values:

Value:	Meaning:
yes	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


media Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute is a keyword representing the intended rendering surface of the style definitions. The value is given as a list of comma delimited destinations.

Possible Values:

Value:	Meaning:
screen	Renders to the computer screen
print	Renders to the printer or print preview
projection	Renders to transparent projected media devices
braille	Renders to Braille devices
speech	Renders to speech synthesizers
all	Renders to all devices


method Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the method of accessing the value of the action attribute of the form.

Possible Values:

Value:	Meaning:
Get	Gathers the forms content into name/value pairs as a query to be sent to the action URL.
Post	Send the name/value pairs from the form to the action URL as environment variables


multiple Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute defines that more than on option can be selected at a time.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


name Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies an alphanumeric name to the element.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


nohref Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies an area of an image that will not point to any URL.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


noresize Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies that the frame will not be resizable.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


noshade Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies that the rule will have no 3D look (shading).

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


nowrap Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not normal line breaking takes place within the elements content.

Possible Values:

Value:	Meaning:
false	Normal line breaking takes place
true	Line breaking only occurs with explicit <br> tags


ns Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to the XML namespace that the XML content is bound to

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the XML namespace


object Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the name of the resource of the serialized representation of an applet.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


pagex Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the absolute coordinates of the left boundary of the current layer relative to the document window.

Possible Values:

Value:	Meaning:
Integer pixel value	The amount of pixels expressed in an integer


pagey Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the absolute coordinates of the top boundary of the current layer relative to the document window.

Possible Values:

Value:	Meaning:
Integer pixel value	The amount of pixels expressed in an integer


palette Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies which color palette is used to render the embedded object.

Possible Values:

Value:	Meaning:
background	Background palette is used
foreground	Foreground palette is used


pluginspage Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL that contains information about downloading the plugin for the embedded object.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the page with download information for the objects plugin


pluginurl Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to the java archive containing the installation of the plugin for the embedded object.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the java archive


point-size Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specified the point-size of the font specified in the face attribute.

Possible Values:

Value:	Meaning:
Integer	An integer representing the font point-size


prefix Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the namespace prefix of the XML content.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


prompt Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies an alternative text to be presented to the user as a query.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


readonly Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies that the input field may not be modified.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


rel Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the relationships between the current document and the document referenced in the href attribute.

Possible Values:

Value:	Meaning:
String	A white space separated list of relationship names


rev Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the relationships between the current document and the document referenced in the href attribute. This is in the reverse order of the rel attribute.

Possible Values:

Value:	Meaning:
String	A white space separated list of relationship names


rightmargin Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space in pixels occupied by the right margin.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer value that can include 0


rows Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute divides the window into horizontal rows of content.

Possible Values:

Value:	Meaning:
Pixel integer value	The width of the row in pixels
Percentage of the container window	Using the percent(%) symbol, you can specify the percentage of the container window that the row will occupy.
Wildcard symbol	Using the wildcard(*) symbol, you can specify the remainder of the container window.


rowspan Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies how many rows the cell should occupy.

Possible Values:

Value:	Meaning:
Integer	The number of rows, default is 1


rules Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute is part of the complex table model. It controls the inner table borders of the table.

Possible Values:

Value:	Meaning:
all	All inner cell borders are displayed
cols	Vertical borders are displayed between columns
groups	Horizontal borders are displayed between all table groups
none	No borders are displayed
rows	Horizontal borders are displayed between rows


scroll Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not to render the scrollbar in the browser.

Possible Values:

Value:	Meaning:
no	No scrollbar is displayed
yes	Scrollbar is displayed (default)


scrollamount Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space between each repetition of the marquee text.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer indicating the amount of space


scrolldelay Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the milliseconds between each repetition of marquee text.

Possible Values:

Value:	Meaning:
Integer	A positive integer indicating the number of milliseconds


scrolling Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the display of the scrollbar in the individual frame.

Possible Values:

Value:	Meaning:
auto	The scrollbars are displayed only if needed
no	No scrollbars are displayed
yes	Scrollbars are always displayed


selected Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute indicates that this option is selected when the list is created.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


shape Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the shape of the region mapped in the current <area> tag.

Possible Values:

Value:	Meaning:
circ	Circular region
circle	Circular region
default	Rectangular coordinates are used to define the href value for all non-mapped areas
poly	Polygon region
polygon	Polygon region
rect	Rectangular region (default)
rectangle	Rectangular region


size Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute determines the size of the element.

Possible Values:

Value:	Meaning:
Integer	An integer value dependent on the context


span Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies how many columns the current column definition applies to.

Possible Values:

Value:	Meaning:
Integer	Positive integer value, default is 1


src Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL of the element.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the source dependent on the context


start Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies when the video will start playing, when used with the dynsrc attribute.

Possible Values:

Value:	Meaning:
fileopen	Video starts playing when the file is finished loading
mouseover	Video starts playing when the user moves the mouse over the image


style Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies additional style rendering that is applied to the element.

Possible Values:

Value:	Meaning:
String	A string of characters indicating style definitions


suppress Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not the image place holder is displayed while the image loads.

Possible Values:

Value:	Meaning:
false	Place holder is displayed (default)
true	Place holder is not displayed


tabindex Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the zero based index of the element in the tabbing order.

Possible Values:

Value:	Meaning:
Integer	Positive integer value


target Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the target window of the href attribute.

Possible Values:

Value:	Meaning:
String	Alphanumeric string of characters indicating a valid target name


text Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the default color of rendered text.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


title Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a suggested title for the referenced resource.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


top Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the coordinates of the top boundary of the current layer in pixels.

Possible Values:

Value:	Meaning:
Integer pixel value	An integer value representing the coordinates relative to the document window or parent layer


topmargin Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the amount of space in pixels occupied by the top margin.

Possible Values:

Value:	Meaning:
Integer pixel value	A positive integer value that can include 0


truespeed Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies that exact millisecond values are used. If this attribute is not present, all values less than 59 milliseconds are rounded to 60 milliseconds.

Possible Values:

Value:	Meaning:
true	If this attribute exists, it will define the attribute as true. It was a stand-alone attribute, but now uses a value as specified in XHTML 1.0


type Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the type of input field the element should be rendered as.

Possible Values:

Value:	Meaning:
button	The field is rendered as a button
checkbox	The field is rendered as a checkbox
file	The field is rendered as a file text field and browse button
hidden	The field is not rendered but may contain a name and value
image	The field is rendered as an image
password	The field is rendered as a password text filed
radio	The field is rendered as a radio button
reset	The field is rendered as a button that will reset all the fields in the form
submit	The field is rendered as a button that will submit the forms content
text	The field is rendered as a text input field


units Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the measurement unit for the width, height, vspace and hspace attributes.

Possible Values:

Value:	Meaning:
em	A scaling factor relative to the size of the current font
en	50% of the point-size of the current font
pixels	The unit will be in pixels
px	The unit will be in pixels


unselectable Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies whether or not the user can select the embedded object.

Possible Values:

Value:	Meaning:
off	The object can be selected
on	The object can not be selected


usemap Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the URL to the client-side image map specification.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to the image map specification


valign Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the vertical alignment of the content within the element.

Possible Values:

Value:	Meaning:
baseline	Aligned to the bottom of where the text would be
bottom	Aligned to the bottom of the container
middle	Aligned to the middle of the container
top	Aligned to the top of the container


value Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the value to be transmitted by the form element.

Possible Values:

Value:	Meaning:
String	A string of alphanumeric characters


valuetype Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the type of the value attribute.

Possible Values:

Value:	Meaning:
data	The data is passed directly to the object as a string
object	Indicates the value is a valid ID name
ref	Indicates the value is a URL


vcard_name Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies which vcard value to autocomplete the password box with.

Possible Values:

Value:	Meaning:
Microsoft	Please refer to Microsoft references for this information


visibility Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the whether or not the layer is visible.

Possible Values:

Value:	Meaning:
hide	Hides the layer
inherit	The layer inherits the visibility value from the parent layer
show	Shows the layer


vlink Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the default color value of previously visited links.

Possible Values:

Value:	Meaning:
Color value	Either an RGB(hex) color value or a named color value. These are both available through WebScripter’s color picker.


volume Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the volume output for the  background sound.

Possible Values:

Value:	Meaning:
Integer value	Range of –10000 to 0 (0 being full volume and the default)


vrml Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies a URL to an inline VRML world.

Possible Values:

Value:	Meaning:
URL	Absolute or relative URL to a vrml world


vspace Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies space to be reserved vertically around elements in pixels.

Possible Values:

Value:	Meaning:
Integer pixel value	The amount of pixels to reserve top and bottom around the element


width Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the width of the element in pixels.

Possible Values:

Value:	Meaning:
Integer pixel value	The amount of pixels wide the element should be rendered


wrap Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the wrapping behavior of the text area.

Possible Values:

Value:	Meaning:
off	No wrapping occurs
hard	The display word wraps, and text is transmitted at breakpoints
physical	Same as hard
soft	The display is wrapped, but text is transmitted as one long line
virtual	Same as soft


xmlns Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the xml namespace prefix for custom tags in the document.

Possible Values:

Value:	Meaning:
String	An xml namespace prefix with an optional URI


z-index Attribute

Some attributes may have different compatibility’s dependent on the tag they are used with. If an attribute contains different possible values in different tags, WebScripter’s attribute assistant will only offer the appropriate values in the attribute editor.			Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

This attribute specifies the stacking order of layers. The higher number will be on top. A positive integer will stack the layer above its parent layer, while a negative integer will stack it below its parent layer.

Possible Values:

Value:	Meaning:
Integer	A valid integer value including zero


HTML Tags (V)

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X
<var>	Variable	Represents a variable name


<var>  Tag

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

The variable tag is used to indicate the enclosed text is a variable name. It is usually rendered in italics.


<var>  Attributes

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Attributes:

accesskey

class

dir

id

lang

language

style

tabindex

title


<var>  Event Handlers

Attributes	Event Handlers		Legend
A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

Event Handlers:

onBeforeCopy

onBeforeCut

onBeforePaste

onClick

onContextMenu

onCopy

onCut

onDblClick

onDrag

onDragEnd

onDragEnter

onDragLeave

onDragOver

onDrop

onHelp

onKeyDown

onKeyPress

onKeyUp

onMouseDown

onMouseMove

onMouseOut

onMouseOver

onMouseUp

onPaste

onPropertyChange

onSelectStart


Html Reference

We have done a lot of research to find out what the major browsers are supporting in the way of html. We have compiled as up to date a reference as possible. This is not a definitive reference, but is meant to be a quick reference only.

Please select from the alphabetical links below. This will link you to the tags beginning with that letter. Each tag will also have links to attributes and event handlers for each tag. You can also simply press F1 while you have an attribute or event handler focused in the attribute assistant.

A	B	C	D	E	F	H	I	K	L	M	N	O	P	Q	R	S	T	U	V	W	X

For a more in-depth reference to HTML, here are some great reference links:

Brian Wilson’s indexDot-Html pages http://www.blooberry.com/indexdot

Rob Schluters Html Tag Index http://utopia.knoware.nl/users/schluter/doc/tags


Cascading Style Sheets

WebScripter 4 provides support for CSS2 cascading style sheets. You can access the different styles by using the Style Assistant. Below are listed the categories of style with links to their corresponding properties.

Aural

Borders

Classification

Colors/Backgrounds

Dimension

Dynamic Content

Fonts

Generated Content

International

Lists

Margins

Oulines

Padding

Positioning

Printing

Scrollbars

Tables

Text


Shorthand definitions can define multiple properties in the same category with a single definition. The definitions are a space separated list in order.


CSS time units are defined as such:

s = seconds

ms = milliseconds


Explicitly sets the property to that of the parent.


Defines the HTML tag that this style will apply to.


Defines how the code will be inserted into the document.

Inline Style: The properties are set as if within an HTML tag.

Declaration Block: The properties are set within a declaration block as if in an external style sheet.

Embedded Style: The properties are included in an HTML <style> tag in the head section of the document.


Defines the class that the style will be applied to.


Defines the ID that the style will be applied to


Style Colors can be defined in seven ways:

[RGB]: #000

[RRGGBB]: #000000

[rgb(r,g,b)]: rgb(0,0,0)

[rgb(r%,g%,b%): rgb(0%,0%,0%)

[VGA Name]: Black

[X11 Name]: Black

[UI Name]: ButtonText


Style measurement units are defined as follows:

em: relative to the elements font size

ex: relative to the size of an x in the font size

px: absolute measurement in pixels

in: inches

cm: centimeters

mm: millimeters

pt: points

pc: picas


A relative or absolute URL to an external file.


Aural Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Aural Styles are used for rendering the content of a page using speech synthesis and sound devices.

azimuth

cue

cue-before

cue-after

elevation

pause

pause-before

pause-after

pitch

pitch-range

play-during

richness

speak

speak-numeral

speak-punctuation

speech-rate

stress

voice-family

volume


Property: azimuth

Description: Defines the radial position of the listening plane.

Possible Values:

inherit

left-side

far-left

left

center-left

center

center-right

right

far-right

right-side

leftwards

rightwards

[Angle]

Example: { azimuth: 45deg }


Property: cue

Description: Allows attachment of key sounds to elements. This property is a shorthand definition.

Possible Values:

inherit

none

[url]

Example: { cue: url(before.wav) url(after.wav) }


Property: cue-before

Description: Defines the sound to be played before an element is rendered.

Possible Values:

inherit

none

[url]

Example: { cue-before: url(before.wav) }


Property: cue-after

Description: Defines the sound to be played after an element is rendered.

Possible Values:

inherit

none

[url]

Example: { cue-before: url(after.wav) }


Property: elevation

Description: Defines the desired end user effect.

Possible Values:

inherit

below

level

above

lower

higher

[angle]

Example: { elevation: 45deg }


Property: pause

Description: Defines the pause between any cue-before and cue after event. This property is a shorthand definition.

Possible Values:

inherit

[time]

[percentage] percentage of the speech-rate property

Example: { pause: 2s 2s }


Property: pause-before

Description: Defines the pause before any cue-before event.

Possible Values:

inherit

[time]

[percentage] percentage of the speech-rate property

Example: { pause-before: 2s }


Property: pause-after

Description: Defines the pause before any cue-after event.

Possible Values:

inherit

[time]

[percentage] percentage of the speech-rate property

Example: { pause-after: 2s }


Property: pitch

Description: Defines the average frequency of the speaking voice.

Possible Values:

inherit

x-low

low

medium

high

x-high

[frequency] a positive number indicating the frequency in Hertz or Kilohertz

Example: { pitch: x-low }


Property: pitch-range

Description: Defines the pitch variation from the normal pitch of the voice.

Possible Values:

inherit

[number] a number between 0-100 zero producing a monotone voice, 50 producing normal voice variation.

Example: { pitch-range: 50 }


Property: play-during

Description: Defines the sound to be played while the content is rendered.

Possible Values:

inherit

mix

repeat

auto

none

[url]

Example: { play-during: url(sound.wav) mix repeat }


Property: richness

Description: Defines the richness of the speaking voice.

Possible Values:

inherit

[number] a positive number between 0-100

Example: { richness: 50 }


Property: speak

Description: Defines whether or not the content is aurally rendered and how it is rendered.

Possible Values:

inherit

normal

none

spellout

Example: { speak: normal }


Property: speak-numeral

Description: Defines how numbers are spoken.

Possible Values:

inherit

digits

continuous

Example: { speak-numeral: digits }


Property: speak-punctuation

Description: Defines how punctuation is spoken.

Possible Values:

inherit

code

none

Example: { speak-punctuation: code }


Property: speech-rate

Description: Defines the speaking rate of the content.

Possible Values:

inherit

x-slow

slow

medium

fast

x-fast

[number] a positive number defining words per minute

Example: { speech-rate: medium }


Property: stress

Description: Defines the maximum output of the current voice in waveform.

Possible Values:

inherit

[number] a positive number between 0-100

Example: { stress: 50 }


Property: voice-family

Description: Defines the speaking voice used for rendering.

Possible Values:

inherit

male

female

child

[specific voice] a specific voice on the users system

Example: { voice-family: male }


Property: volume

Description: Defines the volume of the current voice.

Possible Values:

inherit

silent

x-soft

soft

medium

loud

x-loud

[number] a positive number between 0-100

[percentage] relative to the parents volume property

Example: { volume: soft }


Border Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Border styles allow an author to define the way a border area of a particular HTML element is rendered. The border area is a box around the element outside of any padding properties, but inside of any margin properties.

border

border-top

border-right

border-bottom

border-left

border-color

border-top-color

border-right-color

border-bottom-color

border-left-color

border-style

border-top-style

border-right-style

border-bottom-style

border-left-style

border-width

border-top-width

border-right-width

border-bottom-width

border-left-width


Property: border

Description: This property is a shorthand definition that will set the width, style and color in that order.

Possible Values:

inherit

[border-width]

[border-style]

[border-color]

Example: { border: thin solid black }


Property: border-top

Description: This property is a shorthand definition that will set the width, style and color of the top border.

Possible Values:

inherit

[border-width]

[border-style]

[border-color]

Example: { border-top: thin solid black }


Property: border-right

Description: This property is a shorthand definition that will set the width, style and color of the right border.

Possible Values:

inherit

[border-width]

[border-style]

[border-color]

Example: { border-right: thin solid black }


Property: border-bottom

Description: This property is a shorthand definition that will set the width, style and color of the bottom border.

Possible Values:

inherit

[border-width]

[border-style]

[border-color]

Example: { border-bottom: thin solid black }


Property: border-left

Description: This property is a shorthand definition that will set the width, style and color of the left border.

Possible Values:

inherit

[border-width]

[border-style]

[border-color]

Example: { border-left: thin solid black }


Property: border-color

Description: This property is a shorthand definition that will set the border-top-color, border-right-color, border-bottom-color and border-left-color properties with a single color definition.

Possible Values:

inherit

transparent

[color]

Example: { border-color: black white red blue }


Property: border-top-color

Description: This property will set the border-top-color.

Possible Values:

inherit

transparent

[color]

Example: { border-top-color: black }


Property: border-right-color

Description: This property will set the border-right-color.

Possible Values:

inherit

transparent

[color]

Example: { border-right-color: black }


Property: border-bottom-color

Description: This property will set the border-bottom-color.

Possible Values:

inherit

transparent

[color]

Example: { border-bottom-color: black }


Property: border-left-color

Description: This property will set the border-left-color.

Possible Values:

inherit

transparent

[color]

Example: { border-left-color: black }


Property: border-style

Description: This property is a shorthand definition that will set the border-top-style, border-right-style, border-bottom-style and border-left-style properties with a single border-style definition.

Possible Values:

inherit

none

hidden

dotted

dashed

solid

groove

ridge

inset

outset

double

Example: { border-style: solid dashed inset outset }


Property: border-top-style

Description: This property will set the border-top-style.

Possible Values:

inherit

none

hidden

dotted

dashed

solid

groove

ridge

inset

outset

double

Example: { border-top-style: solid }


Property: border-right-style

Description: This property will set the border-right-style.

Possible Values:

inherit

none

hidden

dotted

dashed

solid

groove

ridge

inset

outset

double

Example: { border-right-style: solid }


Property: border-bottom-style

Description: This property will set the border-bottom-style.

Possible Values:

inherit

none

hidden

dotted

dashed

solid

groove

ridge

inset

outset

double

Example: { border-bottom-style: solid }


Property: border-left-style

Description: This property will set the border-left-style.

Possible Values:

inherit

none

hidden

dotted

dashed

solid

groove

ridge

inset

outset

double

Example: { border-left-style: solid }


Property: border-width

Description: This property is a shorthand definition that will set the border-top-width, border-right-width, border-bottom-width and border-left-width properties with a single border-width definition.

Possible Values:

inherit

thin

medium

thick

[number] A positive number followed by a measurement unit.

Example: { border-width: 10px 10px 20px 20px }


Property: border-top-width

Description: This property will set the border-top-width.

Possible Values:

inherit

thin

medium

thick

[number] A positive number followed by a measurement unit.

Example: { border-top-width: 10px }


Property: border-right-width

Description: This property will set the border-right-width.

Possible Values:

inherit

thin

medium

thick

[number] A positive number followed by a measurement unit.

Example: { border-right-width: 10px }


Property: border-bottom-width

Description: This property will set the border-bottom-width.

Possible Values:

inherit

thin

medium

thick

[number] A positive number followed by a measurement unit.

Example: { border-bottom-width: 10px }


Property: border-left-width

Description: This property will set the border-left-width.

Possible Values:

inherit

thin

medium

thick

[number] A positive number followed by a measurement unit.

Example: { border-left-width: 10px }


Classification Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Classification styles are used to define the classification of elements and determine the element’s lay out when displayed.

clear

display

float

position

visibility


Property: clear

Description: Defines whether to allow floating elements to appear to either side.

Possible Values:

inherit

none

left

right

both

Example: { clear: right }


Property: display

Description: Defines the type of rendering box used for an element.

Possible Values:

inherit

none

inline

block

list-item

[table-header-group, table-footer-group]

Example: { display: inline }


Property: float

Description: Defines which side to shift the elements rendering box.

Possible Values:

inherit

none

left

right

Example: { float: right }


Property: position

Description: Determines the position method used to render the element.

Possible Values:

inherit

static

relative (requires top and left definitions)

absolute (requires top, right, bottom and left definitions)

Example: { position: absolute; top:20px; right: 20px; bottom: 20px; left: 20px  }


Property: visibility

Description: Determines the visibility of the element.

Possible Values:

inherit

visible

hidden

hide

show

Example: { visibility: hidden }


Colors/Background Styles
Colors/Backgrounds Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

The color and background properties in css allow you to control the foreground and background coloring of an element as well as background images. These are probably the most commonly used in controlling the visual representation of content.

background

background-attachment

background-color

background-image

background-position

background-positionX

background-positionY

background-repeat

color

layer-background-color

layer-background-image


Property: background

Description: This property is a shorthand definition that will set the background-color, background-image, background-repeat, background-attachment and background-position with one definition.

Possible Values:

inherit

[background-color]

[background-image]

[background-repeat]

[background-attachment]

[background-position]

Example: { background: blue image.gif no-repeat scroll 20px 20px }


Property: background-attachment

Description: This property controls the scrolling of the background-image when the browser is scrolled.

Possible Values:

inherit

fixed

scroll

Example: { background-attachment: fixed }


Property: background-color

Description: This property defines the background color of an elements rendering box.

Possible Values:

inherit

transparent

[color]

Example: { background-color: white }


Property: background-image

Description: This property defines the background image of an elements rendering box.

Possible Values:

inherit

[url]

none

Example: { background-image: url(bgimage.gif) }


Property: background-position

Description: This property defines the initial position of background-image if specified. It is set by using pairs to define the X and Y positions of the image relative to the rendering box of the element.

Possible Values:

inherit

[X% Y%]

[X Y]

[(left, center or right) (top, center or bottom)]

Example: { background-position: 20px 20px }


Property: background-positionX

Description: This property defines the initial X axis position of background-image if specified.

Possible Values:

inherit

[X%]

[number] A positive number followed by a measurement unit.

left

center

right

Example: { background-positionX: 20px }


Property: background-positionY

Description: This property defines the initial Y axis position of background-image if specified.

Possible Values:

inherit

[Y%]

[number] A positive number followed by a measurement unit.

top

center

bottom

Example: { background-positionY: top }


Property: background-repeat

Description: This property defines how the background-image is tiled if specified.

Possible Values:

inherit

repeat

repeat-x

repeat-y

no-repeat

Example: { background-repeat: repeat-x }


Property: color

Description: This property defines the color of the text within an elements rendering box.

Possible Values:

inherit

[color]

Example: { color: black }


Property: layer-background-color

Description: This property defines the background color of a layer in Netscape.

Possible Values:

transparent

[color]

Example: { layer-background-color: white }


Property: layer-background-image

Description: This property defines the background image of a layer in Netscape.

Possible Values:

[url]

none

Example: { layer-background-image: url(bgimage.gif) }


Dimension Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Dimension styles control the dimensions of an elements rendering box.

height

line-height

max-height

min-height

width

max-width

min-width


Property: height

Description: This property defines the height of the rendering box of an element.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the height of the containing element.

Example: { height: 20px }


Property: line-height

Description: This property defines the height of the inline rendering box of an element.

Possible Values:

inherit

normal

[multiplier] The current font size multiplied by this number.

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the font-size of the containing element.

Example: { line-height: 125% }


Property: max-height

Description: This property defines the maximum height of the rendering box of an element.

Possible Values:

inherit

none

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the height of the containing element.

Example: { max-height: 20px }


Property: min-height

Description: This property defines the minimum height of the rendering box of an element.

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the height of the containing element.

Example: { min-height: 20px }


Property: width

Description: This property defines the width of the rendering box of an element.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the height of the containing element.

Example: { width: 120px }


Property: max-width

Description: This property defines the maximum width of the rendering box of an element.

Possible Values:

inherit

none

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the containing element.

Example: { max-width: 120px }


Property: min-width

Description: This property defines the minimum width of the rendering box of an element.

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the containing element.

Example: { min-width: 120px }


Dynamic Content Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Oulines
Padding	Positioning	Printing	Scrollbars	Tables	Text

The dynamic content styles allow control over elements directly relative to user interaction.

behavior

cursor

filter

zoom


Property: behavior

Description: This property defines one or more behavior scripts to attach to the CSS selector. This is a new technology in IE5+ and documentation is hard to come by. It is essentially for creating custom elements.

Possible Values:

[script url] A relative or absolute url to the behavior

[#object id] A pound sign followed by an Object elements ID name.

[default behavior] One of the default behaviors that ship with IE5.

Example: { behavior: url(#behaviorObject) }


Property: cursor

Description: This property defines the cursor that is used when a pointing device moves over an element.

Possible Values:

inherit

default

auto

crosshair

pointer

move

text

wait

help

hand

[move/resize] One of the following:

(n-resize, ne-resize, e-resize, se-resize, s-resize, sw-resize, w-resize, nw-resize)

Example: { cursor: crosshair }


Property: filter

Description: This property defines special visual effects to be applied to the element. There are a host of other filters that are beyond the scope of this documentation.

Possible Values:

alpha

blur

chroma

dropshadow

fliph

flipv

glow

grayscale

invert

light

mask

shadow

wave

xray

Example: { filter: glow }


Property: zoom

Description: This property allows content within an element to be zoomed beyond its normal size.

Possible Values:

[decimal] A positive decimal allowed number. 1.0 is normal, .5 zooms out, 2.5 zooms in.

[percentage] A positive number indicating zoom factor.

Example: { zoom: 300% }


Font Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Font styles allow for definition of font properties within an element.

font

font-style

font-variant

font-weight

font-size

font-family

font-size-adjust

font-stretch


Property: font

Description: This property is a shorthand definition that will set the font-style, font-variant, font-weight, font-size and font-family properties with one definition.

Possible Values:

inherit

[font-style]

[font-variant]

[font-weight]

[font-size]

[font-family]

[System defined] One of the following:

(caption, icon, menu, messagebox, smallcaption, statusbar)

Example: { font: normal small-caps lighter 10pt Arial }


Property: font-style

Description: This property defines the style of the font within the element.

Possible Values:

inherit

normal

italic

oblique

Example: { font-style: italic }


Property: font-variant

Description: This property defines the type of capitalization of the font within the element.

Possible Values:

inherit

normal

small-caps

Example: { font-variant: small-caps }


Property: font-weight

Description: This property defines the weight of the font within the element.

Possible Values:

inherit

normal

bold

lighter

bolder

[Absolute font weight] One of the following:

(100, 200, 300, 400, 500, 600, 700, 800, 900)

Example: { font-weight: bold }


Property: font-size

Description: This property defines the size of the font within the element.

Possible Values:

inherit

xx-small

x-small

small

medium

large

x-large

xx-large

smaller

larger

[number] A positive number followed by a measurement unit.

[percentage] A positive number relative to the parent element.

Example: { font-size: 10pt }


Property: font-family

Description: This property defines the family of the font within the element. This can be a comma separated list of fonts to be used in order in case the first is not on the users system.

Possible Values:

inherit

[specific font] A specific named font. Font names with spaces need to be quoted.

[generic font families] One of the following:

(serif, sans-serif, cursive, fantasy, monospace)

Example: { font-family: Arial, fantasy }


Property: font-size-adjust

Description: This property defines the size of the font within the element if the specified font is not available.

Possible Values:

inherit

none

[number] A positive decimal allowed number used to calculate the font size if the specified font is not available. The formula follows:

[font-size]*([font-size-adjust]/[aspect value of available font]) = [font size to use]

Example: { font-size-adjust: .75 }


Property: font-stretch

Description: This property defines the expansion of the font in the horizontal direction within the element.

Possible Values:

inherit

narrower

wider

ultra-condensed

extra-condensed

condensed

semi-condensed

normal

ultra-expanded

extra-expanded

expanded

semi-expanded

Example: { font-stretch: expanded }


Generated Content Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Generated Content styles are used to control elements that are generated by the browser(strings, quotes, lists etc). To date there are no browsers supporting these properties.

content

counter-reset

counter-increment

include-source

quotes


Property: content

Description: This property is not supported by any browser but is included in the CSS2 specification. See the specification for details.

Possible Values:

Example:


Property: counter-reset

Description: This property is not supported by any browser but is included in the CSS2 specification. See the specification for details.

Possible Values:

Example:


Property: counter-increment

Description: This property is not supported by any browser but is included in the CSS2 specification. See the specification for details.

Possible Values:

Example:


Property: include-source

Description: This property is not supported by any browser but is included in the CSS2 specification. See the specification for details.

Possible Values:

Example:


Property: quotes

Description: This property is not supported by any browser but is included in the CSS2 specification. See the specification for details.

Possible Values:

Example:


International Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

The International style properties are for special rendering of pages with non-western language content.

direction

ime-mode

layout-grid

layout-grid-mode

layout-grid-type

layout-grid-line

layout-grid-char

layout-grid-char-spacing

line-break

ruby-align

ruby-overhang

ruby-position

text-justify

unicode-bidi

word-break

writing-mode


Property: direction

Description: This property defines the reading order of text content within the element.

Possible Values:

inherit

ltr

rtl

Example: { direction: ltr }


Property: ime-mode

Description: This property defines the state of an Input Method Editor (IME) user text input field.

Possible Values:

auto

active

inactive

deactivated

Example: { ime-mode: auto }


Property: layout-grid

Description: This property is a shorthand definition that will set the layout-grid-mode, layout-grid-type, layout-grid-line, layout-grid-char and layout-grid-char-spacing in one definition.

Possible Values:

[layout-grid-mode]

[layout-grid-type]

[layout-grid-line]

[layout-grid-char]

[layout-grid-char-spacing]

Example: { layout-grid: both loose 20px auto auto }


Property: layout-grid-mode

Description: This property defines the type of the page layout-grid to be used.

Possible Values:

both

none

line

char

Example: { layout-grid-mode: both }


Property: layout-grid-type

Description: This property defines the layout-grid-type used when rendering text content within the element.

Possible Values:

loose

strict

fixed

Example: { layout-grid-type: loose }


Property: layout-grid-line

Description: This property defines the grid line-height when layout-grid-mode is set to either “line” or “both”.

Possible Values:

none

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage relative to the parent element.

Example: { layout-grid-line: 20px }


Property: layout-grid-char

Description: This property defines the char grid line-height when layout-grid-mode is set to either “line” or “both”.

Possible Values:

none

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage relative to the parent element.

Example: { layout-grid-char: auto }


Property: layout-grid-char-spacing

Description: This property defines the char spacing when layout-grid-mode is set to either “char” or “both”.

Possible Values:

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage relative to the parent element.

Example: { layout-grid-char-spacing: auto }


Property: line-break

Description: This property defines whether or not strict line-breaking behavior is used.

Possible Values:

normal

strict

Example: { line-break: strict }


Property: ruby-align

Description: This property defines the horizontal alignment of ruby text relative to the content within the ruby element.

Possible Values:

auto

left

center

right

distribute-letter

distribute-space

line-edge

Example: { ruby-align: left }


Property: ruby-overhang

Description: This property defines how the ruby text will hang over other non-ruby text content if the ruby-text is wider than the ruby element.

Possible Values:

auto

none

whitespace

Example: { ruby-overhang: none }


Property: ruby-position

Description: This property defines the position of the helper ruby text relative to the ruby content.

Possible Values:

above

inline

Example: { ruby-position: above }


Property: text-justify

Description: This property allows a greater level of control over justification of the content within the element.

Possible Values:

auto

distribute

distribute-all-lines

inter-cluster

inter-ideograph

inter-word

newspaper

Example: { text-justify: distribute }


Property: unicode-bidi

Description: This property defines how document content maps to the unicode algorithm.

Possible Values:

inherit

normal

embed

bidi-override

Example: { unicode-bidi: embed }


Property: word-break

Description: This property defines the line-breaking behavior within words.

Possible Values:

normal

break-all

keep-all

Example: { word-break: break-all }


Property: writing-mode

Description: This property defines the writing direction rendering for a block of content.

Possible Values:

lr-tb

tb-rl

Example: { writing-mode: tb-rl }


List Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Lists in an html document actually create two boxes, a box for the actual list data, and a box for the marker. The marker is the bullet, number etc. The Lists style properties define the way the marker box is rendered.

list-style

list-style-type

list-style-position

list-style-image

marker-offset


Property: list-style

Description: This property is a shorthand definition that will set the type, position and image in that order.

Possible Values:

inherit

[list-style-type]

[list-style-position]

[list-style-image]

Example: { list-style: disc inside url(myBullet.gif)  }


Property: list-style-type

Description: This property defines the default list marker for the list. This is overridden by a url in the list-style-image property.

Possible Values:

inherit

none

disc

circle

square

decimal

decimal-leading-zero

lower-roman

upper-roman

lower-alpha

upper-alpha

Example: { list-style-type: square }


Property: list-style-position

Description: This property defines where the marker is to be positioned relative to the item content.

Possible Values:

inherit

inside

outside

Example: { list-style-position: inside }


Property: list-style-image

Description: This property defines an image file to be used as the marker.

Possible Values:

inherit

none

[url]

Example: { list-style-image: url(myBullet.gif) }


Property: marker-offset

Description: This property defines the distance between the marker box and the actual item content box horizontally.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

Example: { maker-offset: 10px }


Margin Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Margin Styles define the area immediately surrounding an element on all four sides. Negative values can be used to overlap content.

margin

margin-top

margin-right

margin-bottom

margin-left


Property: margin

Description: This property is a shorthand definition that will set the top, right, bottom and left margins in that order. In this case one value can apply to all sides.

Possible Values:

inherit

[margin-top]

[margin-right]

[margin-bottom]

[margin-left]

Example: { margin: auto 10px auto 10px }


Property: margin-top

Description: This property the top margin of an element.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { margin-top: 10px }


Property: margin-right

Description: This property the right margin of an element.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { margin-right: 10px }


Property: margin-bottom

Description: This property the bottom margin of an element.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { margin-bottom: 10px }


Property: margin-left

Description: This property the left margin of an element.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { margin-left: 10px }


Outline Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Outline Styles can be used to make an element stand out amongst other content. Outlines are similar to borders but are uniform on all sides and do not have to be rectangular.

outline

outline-color

outline-style

outline-width


Property: outline

Description: This property is a shorthand definition that will set the color, style and width properties in that order.

Possible Values:

inherit

[outline-color]

[outline-style]

[outline-width]

Example: { outline: blue dotted 10px }


Property: outline-color

Description: This property defines the color of the outline around an element.

Possible Values:

inherit

invert

[color]

Example: { outline-color: blue }


Property: outline-style

Description: This property defines the style of the outline around an element.

Possible Values:

inherit

none

dotted

dashed

solid

groove

ridge

inset

outset

double

Example: { outline-style: dotted }


Property: outline-width

Description: This property defines the width of the outline around an element.

Possible Values:

inherit

thin

medium

thick

[number] A positive number followed by a measurement unit.

Example: { outline-width: 10px }


Padding Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Padding Styles define the space between the content of a rendering box and the borders of the box.

padding

padding-top

padding-right

padding-bottom

padding-left


Property: padding

Description: This property is a shorthand definition that will set the top, right, bottom and left padding in that order. In this case one value can apply to all sides.

Possible Values:

inherit

[padding-top]

[padding-right]

[padding-bottom]

[padding-left]

Example: { padding: 20px 10px 20px 10px }


Property: padding-top

Description: This property defines the padding space for the top of the element.

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { padding-top: 20px }


Property: padding-right

Description: This property defines the padding space for the right side of the element.

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { padding-right: 20px }


Property: padding-bottom

Description: This property defines the padding space for the bottom of the element.

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { padding-bottom: 20px }


Property: padding-left

Description: This property defines the padding space for the left side of the element.

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { padding-left: 20px }


Positioning Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Positioning Styles define the positioning and the visible display area of an element’s rendering box. This includes clipping and overflow of content.

top

right

bottom

left

vertical-align

overflow

overflow-x

overflow-y

clip

z-index


Property: top

Description: This property defines the absolute vertical offset from the top edge of an element relative to the parent element. Negative values are allowed.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the height of the parent element.

Example: { top: 20px }


Property: right

Description: This property defines the absolute horizontal offset from the right edge of an element relative to the parent element. Negative values are allowed.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { right: 120px }


Property: bottom

Description: This property defines the absolute vertical offset from the bottom edge of an element relative to the parent element. Negative values are allowed.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the height of the parent element.

Example: { bottom: 120px }


Property: left

Description: This property defines the absolute horizontal offset from the left edge of an element relative to the parent element. Negative values are allowed.

Possible Values:

inherit

auto

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the width of the parent element.

Example: { left: 20px }


Property: vertical-align

Description: This property defines the vertical alignment of content within the rendering box.

Possible Values:

inherit

baseline

middle

top

bottom

text-top

text-bottom

super

sub

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the “line-height” to raise the content above the baseline. Positive is above, negative is below.

Example: { right: 120px }


Property: overflow

Description: This property defines what to do with overflow of content in the rendering box. This defines both x and y (horizontal and vertical).

Possible Values:

inherit

auto

visible

hidden

scroll

Example: { overflow: hidden }


Property: overflow-x

Description: This property defines what to do with overflow of content relative to the width of the rendering box.

Possible Values:

auto

visible

hidden

scroll

Example: { overflow-x: hidden }


Property: overflow-y

Description: This property defines what to do with overflow of content relative to the height of the rendering box.

Possible Values:

auto

visible

hidden

scroll

Example: { overflow-y: scroll }


Property: clip

Description: This property defines a rectangle to clip the content of an element’s rendering box. The values are standard measurement units that are inward from the box borders respectively.

Using auto is the same as using 0(zero). Negative values are allowed.

Possible Values:

auto

rectangle([top] [right] [bottom] [left])

Example: { clip: rect(10px 10px 10px 10px) }


Property: z-index

Description: This property defines where in the stacking order an element is placed. An element with a z-index of 0 would be on the bottom and appear behind an element with a z-index of 1. If no z-index is specified an element inherits the stacking order of its parent element.

Possible Values:

inherit

auto

[integer] Positive or negative integers are allowed.

Example: { z-index: -1 }


Printing Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Printing Styles allow for setting type and dimensions for printing content within the document.

marks

orphans

widows

size

page

page-break-before

page-break-inside

page-break-after


Property: marks

Description: This property defines what marks should be rendered just outside the rendered page box. Crop and cross may be used together, space separated.

Possible Values:

inherit

none

crop

cross

Example: { marks: cross }


Property: orphans

Description: This property defines the minimum number of lines of content within the element that must be left at the bottom of a page in a paged display.

Possible Values:

inherit

[integer] Positive integer.

Example: { orphans: 3 }


Property: widows

Description: This property defines the minimum number of lines of content within the element that must be left at the top of a page in a paged display.

Possible Values:

inherit

[integer] Positive integer.

Example: { widows: 3 }


Property: size

Description: This property defines the actual page box to be printed. Setting the size with numbers, sets the page to a fixed size.

Possible Values:

inherit

auto

portrait

landscape

[fixed(width) (height)]

Example: { size: 8.5in 11in }


Property: page

Description: This property defines a page type o use when displaying the element box.

Possible Values:

auto

[@ rule] A page type defined using the @ operator.

Example:

@BreakAlways {size: 8.5in 11in page-break-before: always page-break-after: always }

{ page: BreakAlways }


Property: page-break-before

Description: This property defines the page breaking behavior before an element box.

Possible Values:

inherit

always

[none] Empty String

Example: { page-break-before: always }


Property: page-break-inside

Description: This property is currently not supported by any major browsers.

Possible Values:

inherit

auto

avoid

Example: { page-break-inside: auto }


Property: page-break-after

Description: This property defines the page breaking behavior after an element box.

Possible Values:

inherit

always

[none] Empty String

Example: { page-break-after: always }


Scrollbar Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

The Scrollbar Styles are used to define the colors of the scrollbar in the document window.

scrollbar-arrow-color

scrollbar-base-color

scrollbar-face-color

scrollbar-highlight-color

scrollbar-shadow-color

scrollbar-dark-shadow-color

scrollbar-3d-light-color


Property: scrollbar-arrow-color

Description: This property defines the scrollbar arrow color.

Possible Values:

[color]

Example: { scrollbar-arrow-color: blue }


Property: scrollbar-base-color

Description: This property defines the scrollbar base color.

Possible Values:

[color]

Example: { scrollbar-base-color: blue }


Property: scrollbar-face-color

Description: This property defines the scrollbar face color.

Possible Values:

[color]

Example: { scrollbar-face-color: blue }


Property: scrollbar-highlight-color

Description: This property defines the scrollbar highlight color.

Possible Values:

[color]

Example: { scrollbar-highlight-color: blue }


Property: scrollbar-shadow-color

Description: This property defines the scrollbar shadow color.

Possible Values:

[color]

Example: { scrollbar-shadow-color: blue }


Property: scrollbar-dark-shadow-color

Description: This property defines the scrollbar dark-shadow color.

Possible Values:

[color]

Example: { scrollbar-dark-shadow-color: blue }


Property: scrollbar-3d-light-color

Description: This property defines the scrollbar 3d-light color.

Possible Values:

[color]

Example: { scrollbar-3d-light-color: blue }


Table Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Table Styles help further define how tables within a document are rendered.

border-collapse

border-spacing

caption-side

empty-cells

speak-header

table-layout


Property: border-collapse

Description: This property defines the mode a table defines its cell borders. Collapsed cells share borders, separate cells each have their own borders.

Possible Values:

inherit

collapse

separate

Example: { border-collapse: separate }


Property: border-spacing

Description: This property defines the space between borders of connected cells in the separate border model table. Specifying one value defines both vertical and horizontal borders. Specifying two values assigns the first value to horizontal borders and the second to the vertical borders.

Possible Values:

inherit

[(number) (number)] A positive number followed by a measurement unit.

Example: { border-spacing: 10px 10px }


Property: caption-side

Description: This property defines the position of elements of an html <caption> element or with a “display” property of “table-caption” relative to the tables rendering box.

Possible Values:

inherit

top

bottom

left

right

Example: { caption-side: top }


Property: empty-cells

Description: This property defines whether or not to display the border around empty cells in a separate model table.

Possible Values:

inherit

show

hide

Example: { empty-cells: hide }


Property: speak-header

Description: This property defines how headers are to be spoken in an aural rendering of the table.

Possible Values:

inherit

once

always

Example: { speak-header: once }


Property: table-layout

Description: This property controls the algorithm used to render the table in a browser. Using “fixed” can increase rendering speed because the table is completely rendered after the first row is downloaded and displayed. This can be a benefit if all the table rows and cells are of equal size.

Possible Values:

inherit

fixed

auto

Example: { table-layout: fixed }


Text Styles

Aural	Borders	Classification	Colors/Backgrounds	Dimension	Dynamic Content
Fonts	Generated Content	International	Lists	Margins	Outlines
Padding	Positioning	Printing	Scrollbars	Tables	Text

Text Styles define how text content is rendered within the element.

letter-spacing

text-align

text-decoration

text-indent

text-shadow

text-transform

text-underline-position

white-space

word-spacing

word-wrap


Property: letter-spacing

Description: This property defines additional letter spacing for text content within the element.

Possible Values:

inherit

normal

[number] A positive number followed by a measurement unit.

Example: { letter-spacing: 10px }


Property: text-align

Description: This property defines the alignment of text content within the element.

Possible Values:

inherit

left

right

center

justify

Example: { text-align: justify }


Property: text-decoration

Description: This property defines adds additional characteristics to the rendered text content within the element.

Possible Values:

inherit

none

blink

line-through

overline

underline

Example: { text-decoration: overline }


Property: text-indent

Description: This property defines the indentation of the first line of text content within the element, relative to the left side of the element. (applies only to the first line of text)

Possible Values:

inherit

[number] A positive number followed by a measurement unit.

[percentage] A percentage of the parent element’s width.

Example: { text-indent: justify }


Property: text-shadow

Description: This property defines shadow effects that are applied to the text content within the element.

Possible Values:

inherit

none

[shadow effects] One or more comma separated shadow effects from the list below:

[shadow-color]

Example: { text-shadow: blue }

[shadow-offset]

Example: { text-shadow: blue 5px 5px }

[blur-radius]

Example: { text-shadow: blue 5px 5px –5px }

Example: { text-shadow: blue 5px 5px –5px, red 3px 3px 2px }


Property: text-transform

Description: This property defines the case of the text content within the element.

Possible Values:

inherit

none

capitalize

uppercase

lowercase

Example: { text-transform: lowercase }


Property: text-underline-position

Description: This property defines the underline position of the “text-decoration ‘underline’” property.

Possible Values:

above

below

Example: { text-underline-position: above }


Property: white-space

Description: This property defines how white-space and carriage returns/linefeeds should be rendered within a document.

Possible Values:

inherit

normal

pre

nowrap

Example: { white-space: nowrap }


Property: word-spacing

Description: This property defines additional word spacing for text content within the element.

Possible Values:

inherit

normal

[number] A positive number followed by a measurement unit.

Example: { letter-spacing: 10px }


Property: word-wrap

Description: This property defines additional word spacing for text content within the element.

Possible Values:

normal

break-word

Example: { word-wrap: break-word }


Attribute Assistant
Attribute Assistant The attribute assistant is an attribute editor that can be very useful for referencing and setting the different attributes for each HTML tag. When the editor is open to a particular tag, it automatically loads all the attributes and event handlers for that tag. All you have to do is set the attribute value or reference a function for the event handler, and the editor will construct or edit the tag.  There are several controls available to the editor. The controls will be in the value side of the editor when they are appropriate. The controls include a color picker, the image pre-viewer, previously used URLs, access to the style editor and combo boxes with any pre-defined values for that particular attribute. You can access the Attribute Assistant in several ways: Pressing Ctrl + Alt + H in the main editor and then selecting the tag. Placing your cursor within the actual text of a tag and right clicking, then selecting the “Attribute Assistant” item in the popup menu. Selecting a tag from the HTML Tag Explorer. Help can always be found on any attribute or event handler by focusing that item and pressing F1.

The Attribute Assistant can be resized and moved to any location. It will appear as left the next time it is opened.


JavaScript Assistant
JavaScript Assistant The JavaScript assistant is an editor that includes the properties and methods of all the core JavaScript Objects as well as some of the more abstract non-visual objects. When the editor is open to a particular object, it automatically loads all the properties and methods for that object. All you have to do is set the value or  enter a parameter to pass to the method. The script expression will be constructed using the reference in the Object Reference field. There is a combo-box that has several constant entries that are helpers for entries. Selecting the constant will prompt you with a choice.These are defined below.  _getValue: Use this to simply reference a property _String Literal: Quotes entered text. _Url: Quotes selected URL _Image: Quotes selected Image file _Color: Quotes selected color value _File: Quotes selected file You can access the JavaScript Assistant by selecting the objects property or method in the JavaScript Explorer. Help can always be found on any property or method by focusing that item and pressing F1. The JavaScript Assistant can be resized and moved to any location. It will appear as left the next time it is opened.


Style Assistant
Style Assistant The style assistant is a property editor that can be very useful for defining the properties for different styles. When the editor is open to a particular style, it automatically loads all the possible properties for that style. All you have to do is set the property value.  There are several controls available to the editor. The controls will be in the value side of the editor when they are appropriate. The controls include a color picker, the image pre-viewer, previously used URLs and combo boxes with any pre-defined values for that particular property. You can access the Style Assistant in several ways: Pressing Ctrl + Alt + S in the main editor and then selecting the style category. Selecting a style from the Style Library Explorer. Help can always be found on any property by focusing that item and pressing F1.

The fields at the top of the Style Assistant are for the following:

Element Selector: This is so you can pick a tag to have the styles applied to.

Output Syntax: This determines how the Style Assistant formats the output.

•	Inline Style: For style that is embedded in an HTML tag using the style attribute.

•	Declaration Block: This is for declaring styles within an external style sheet.

•	Embedded Style: This will insert a <style> tag in your document with the declaration contained within the tag.

Class: This is used to create a declaration with a particular class name. Type in a class name.

ID: This is used for creating id context style declarations. Type in the name of the ID.

Because of the number of styles, the style assistant can not be resized.


Array Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Array Object

The array object is an ordered list of data. A JavaScript array can contain any data type as well as mixed data types.

Construction Methods:

var anArray = new Array();

var anArray = new Array(size);

var anArray = new Array(“item1”,item2,…);

Properties	Methods
length	concat
prototype	join
	pop
	push
	reverse
	shift
	slice
	sort
	unshift


Array.length

Array Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	Version 2.0

This value is the total number of entries in the array. If the array size was set in the constructor, this will equal the number of entries even if those entries are blank.

Syntax:

var count = anArray.length;


Array.prototype

Array Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Variable/Function	Version 1.1	Version 2.0

The prototype property is used to add properties and methods to new instances of objects created in the same document. When assigning new methods, you do not use parenthesis.

Syntax:

Object.prototype.newproperty = value;  //assigns all new objects this property and value

Object.prototype.newmethod = function;  // assigns all new objects this method


Array.concat(second array)

Array Object

Return Value	JavaScript	JScript
New array	Version 1.2	Version 3.0

This method creates a new array containing all the items from the calling array along with the array passed to the method added on to the end.

Syntax:

var thirdArray = firstArray.concat(secondArray);


Array.join(separator)

Array Object

Return Value	JavaScript	JScript
String of entries delimited by separator	Version 1.1	Version 2.0

This method returns a string containing all the entries of an array delimited by the separator string passed to the method. The separator is a string of one or more characters.

Syntax:

var commaEntries = Array.join(“,”);


Array.pop()

Array Object

Return Value	JavaScript	JScript
Last entry of the array	Version 1.2	Version 5.5

This method returns the last entry of an array. It also removes the last entry and shrinks the array length by one.

Syntax:

var lastEntry = Array.pop();


Array.push(data)

Array Object

Return Value	JavaScript	JScript
null	Version 1.2	Version 5.5

This method adds the data passed to the method on to the end of the array and increases the array length by one. The data can be a value or an object.

Syntax:

Array.push(data);


Array.reverse()

Array Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 2.0

This method reverses the order of the entries in the array.

Syntax:

Array.reverse();


Array.shift()

Array Object

Return Value	JavaScript	JScript
First entry of the array	Version 1.2	Version 5.5

This method returns the first entry in an array. It also removes the first entry and shrinks the array length by one.

Syntax:

Array.shift();


Array.unshift(data)

Array Object

Return Value	JavaScript	JScript
null	Version 1.2	Version 5.5

This method inserts the data passed to the method at the beginning of the array and increases the array length by one. The data can be a value or an object.

Syntax:

Array.unshift(data);


Array.slice(firstIndex [, lastIndex])

Array Object

Return Value	JavaScript	JScript
New array	Version 1.2	Version 3.0

This method returns a new array containing entries from the calling array beginning at the first Index value. The new array will contain all entries up to but not including the last Index value. If no last Index value is passed it returns all entries after the first Index.

Syntax:

var newArray = Array.slice(firstIndex [,lastIndex]);


Array.sort([sortFunction])

Array Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 2.0

This method sorts the entries in an array. The optional parameter is a function to sort with. The function is passed without parenthesis. Sort functions will have two parameters passed to them as value pairs. If no parameter is passed, this method performs a default alphabetical sorting on the array. This changes the original order of the array.

Syntax:

Array.sort([sortFunction]);


JavaScript Reference Overview
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	function	Global	History	Image
Link	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
JavaScript/Jscript Reference Overview

We have tried to provide a reference to all the core objects as well as the most frequently used collection arrays in this documentation. For more information on JavaScript or Jscript, please refer to the JavaScript Resources.

We would like to give credit to Danny Goodman for his work on the “JavaScript Bible” books as well as the book, “Dynamic HTML the Definitive Reference”. These books were relied on heavily for reference material in creating this documentation.

We do not pretend to be experts on JavaScript or Jscript. We are simply trying to provide a reference to make it easier to find the correct syntax for writing scripts with WebScripter.

This documentation is based on the latest information we could find on these languages. However, with the internet an ever changing platform, so are the languages it uses.


This is the object reference that will be inserted before the property or method.


A string representing any legal color value:

Hex: #FFFFFF

Name: white

RGB: rgb(255,255,255)


JavaScript Resources

The main sources of information we have used to compile the reference material on JavaScript in this documentation are as follows:

The JavaScript Bible

Dynamic HTML The Definitive Reference

Microsoft Jscript Reference

Netscape JavaScript Reference

You can visit our web site for more resource links http://www.codegeneration.com.


Boolean Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Boolean Object

The boolean object is any value that evaluates to true or false. Boolean objects are generally created by the browser as needed. You can however create them via script.

Construction Methods:

var aBool = new Boolean();

var aBool = new Boolean(true or false);

var aBool = true or false;

Properties	Methods
prototype	toString
	valueOf


Boolean.prototype

Boolean Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Variable/Function	Version 1.1	Version 2.0

The prototype property is used to add properties and methods to new instances of objects created in the same document. When assigning new methods, you do not use parenthesis.

Syntax:

Object.prototype.newproperty = value;  //assigns all new objects this property and value

Object.prototype.newmethod = function;  // assigns all new objects this method


Boolean.toString()

Boolean Object

Return Value	JavaScript	JScript
Returns the boolean value as a string	Version 1.2	Version 3.0

This method returns the value of the object as a string data type.

Syntax:

var boolString = aBool.toString();


Boolean.valueOf()

Boolean Object

Return Value	JavaScript	JScript
Returns the value as a boolean	Version 1.2	Version 3.0

This method returns the value of the object as a boolean data type.

Syntax:

var nBool = aBool.valueOf();


Date Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Date Object

The Date object is a static object which contains the date/time measured in milliseconds from January 1, 1970 00:00:00. Negative values represent time before then, positive values represent time since then.

Construction Methods:

var nDate = new Date(); // object contains current date and time

var nDate = new Date(“month dd, yyyy hh:mm:ss”); //object contains passed date/time parameter

var nDate = new Date(“month dd, yyyy”); //object contains passed date/time parameter

var nDate = new Date(yy, mm, dd, hh, mm, ss); //object contains passed date/time parameter

var nDate = new Date(yy, mm, dd); //object contains passed date/time parameter

var nDate = new Date(milliseconds); //object contains passed date/time parameter

Properties	Methods
prototype	getDate
	getDay
	getFullYear
	getHours
	getMilliseconds
	getMinutes
	getMonth
	getSeconds
	getTime
	getTimezoneOffset
	getUTCDate
	getUTCDay
	getUTCFullYear
	getUTCHours
	getUTCMilliseconds
	getUTCMinutes
	getUTCMonth
	getUTCSeconds
	getYear
	parse
	setDate
	setFullYear
	setHours
	setMilliseconds
	setMinutes
	setMonth
	setSeconds
	setTime
	setUTCDate
	setUTCFullYear
	setUTCHours
	setUTCMilliseconds
	setUTCMinutes
	setUTCMonth
	setUTCSeconds
	setYear
	toGMTString
	toLocaleString
	toString
	toUTCString
	UTC
	valueOf


Date.prototype

Date Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Variable/Function	Version 1.1	Version 2.0

The prototype property is used to add properties and methods to new instances of objects created in the same document. When assigning new methods, you do not use parenthesis.

Syntax:

Object.prototype.newproperty = value;  //assigns all new objects this property and value

Object.prototype.newmethod = function;  // assigns all new objects this method


Date.getDate()

Date Object

Return Value	JavaScript	JScript
Integer between 1-31	Version 1.0	Version 1.0

This method returns the date within the month value of the date object.

Syntax:

var nDate = Date.getDate();


Date.getDay()

Date Object

Return Value	JavaScript	JScript
Integer between 0-6 Sunday = 0	Version 1.0	Version 1.0

This method returns the day of the week for the date value of the date object.

Syntax:

var nDay = Date.getDay();


Date.getFullYear()

Date Object

Return Value	JavaScript	JScript
Integer (all digits of the year)	Version 1.2	Version 3.0

This method returns all the digits of the year value of the date object.

Syntax:

var nFullYear = Date.getFullYear();


Date.getHours()

Date Object

Return Value	JavaScript	JScript
Integer between 0-23	Version 1.0	Version 1.0

This method returns the hour of the day of the date value of the date object.

Syntax:

var nHour = Date.getHours();


Date.getMilliseconds()

Date Object

Return Value	JavaScript	JScript
Integer between 0-999	Version 1.2	Version 3.0

This method returns the number of milliseconds past the second value of the date object.

Syntax:

var nMilliseconds = Date.getMilliseconds();


Date.getMinutes()

Date Object

Return Value	JavaScript	JScript
Integer between 0-59	Version 1.0	Version 1.0

This method returns the minute within the hour value of the date object.

Syntax:

var nMinute = Date.getMinutes();


Date.getMonth()

Date Object

Return Value	JavaScript	JScript
Integer between 0-11	Version 1.0	Version 1.0

This method returns the month within the year value of the date object.

Syntax:

var nMonth = Date.getMonth();


Date.getSeconds()

Date Object

Return Value	JavaScript	JScript
Integer between 0-59	Version 1.0	Version 1.0

This method returns the seconds past the minute value of the date object.

Syntax:

var nSecond = Date.getSeconds();


Date.getTime()

Date Object

Return Value	JavaScript	JScript
Integer between 0-?	Version 1.0	Version 1.0

This method returns a zero based integer that is the number of milliseconds past January 1, 1970 of the date value in the date object.

Syntax:

var nTime = Date.getTime();


Date.getTimezoneOffset()

Date Object

Return Value	JavaScript	JScript
Integer between –720 - 720	Version 1.0	Version 1.0

This method returns a zero based integer that is the number of minutes between GMT time and the time of the client computer clock. Time zones west of GMT are positive values and Time zones east of GMT are negative values.

Syntax:

var nTimezone = Date.getTimezonOffset();


Date.getUTCDate()

Date Object

Return Value	JavaScript	JScript
Integer between 1-31	Version 1.2	Version 3.0

This method returns the date within the month value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCDate = Date.getUTCDate();


Date.getUTCDay()

Date Object

Return Value	JavaScript	JScript
Integer between 0-6 Sunday = 0	Version 1.2	Version 3.0

This method returns the day of the week for the date value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCDay = Date.getUTCDay();


Date.getUTCFullYear()

Date Object

Return Value	JavaScript	JScript
Integer (all digits of the year)	Version 1.2	Version 3.0

This method returns all the digits of the year value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCFullYear = Date.getUTCFullYear();


Date.getUTCHours()

Date Object

Return Value	JavaScript	JScript
Integer between 0-23	Version 1.2	Version 3.0

This method returns the hour of the day of the date value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCHour = Date.getUTCHours();


Date.getUTCMilliseconds()

Date Object

Return Value	JavaScript	JScript
Integer between 0-999	Version 1.2	Version 3.0

This method returns the number of milliseconds past the second value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCMilliseconds = Date.getUTCMilliseconds();


Date.getUTCMinutes()

Date Object

Return Value	JavaScript	JScript
Integer between 0-59	Version 1.2	Version 3.0

This method returns the minute within the hour value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCMinute = Date.getUTCMinutes();


Date.getUTCMonth()

Date Object

Return Value	JavaScript	JScript
Integer between 0-11	Version 1.2	Version 3.0

This method returns the month within the year value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCMonth = Date.getUTCMonth();


Date.getUTCSeconds()

Date Object

Return Value	JavaScript	JScript
Integer between 0-59	Version 1.2	Version 3.0

This method returns the seconds past the minute value of the date object in the UTC time stored internally by the browser.

Syntax:

var nUTCSecond = Date.getUTCSeconds();


Date.getYear()

Date Object

Return Value	JavaScript	JScript
Integer between 0-99	Version 1.0	Version 1.0

This method returns an integer that is the number of years past 1900 of the date value in the date object. This method fails after the year 2000. It is recommended to use the getFullYear method.

Syntax:

var nYear = Date.getYear();


Date.parse(dateString)

Date Object

Return Value	JavaScript	JScript
Date String in milliseconds	Version 1.0	Version 1.0

This method returns a string representation of the date value in milliseconds of the date object.

Syntax:

var nParse = Date.parse(dateString);


Date.setDate(dateInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer between 1 and 31 to set the date within the month value of the date object. This alters the value of the original object.

Syntax:

Date.setDate(dateInteger);


Date.setFullYear(yearInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer representing the year to set. Netscape allows no digit less than zero, Internet Explorer allows negative values. This method sets the year of the date value in the date object. This alters the value of the original object.

Syntax:

Date.setFullYear(yearInteger);


Date.setHours(hourInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer to set the hour of the day of the date value of the date object. This alters the value of the original object.

Syntax:

Date.setHours(hourInteger);


Date.setMilliseconds(millisecondInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer to set the number of milliseconds past the second value of the date object. This alters the value of the original object.

Syntax:

Date.setMilliseconds(millisecondInteger);


Date.setMinutes(minuteInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer set the minute within the hour value of the date object. This alters the value of the original object.

Syntax:

Date.setMinutes(minuteInteger);


Date.setMonth(monthInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer to set the month within the year value of the date object. This alters the value of the original object.

Syntax:

Date.setMonth(monthInteger);


Date.setSeconds(secondInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer to set the seconds past the minute value of the date object. This alters the value of the original object.

Syntax:

Date.setSeconds(secondInteger);


Date.setTime(timeInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer to set the number of milliseconds past January 1, 1970 of the date value in the date object. This alters the value of the original object.

Syntax:

Date.setTime(timeInteger);


Date.setUTCDate(dateInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer between 1 and 31 to set the date within the month value of the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCDate(dateInteger);


Date.setUTCFullYear(yearInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer representing the year to set. Netscape allows no digit less than zero, Internet Explorer allows negative values. This method sets the year of the date value in the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCFullYear(yearInteger);


Date.setUTCHours(hourInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer to set the hour of the day of the date value of the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCHours(hourInteger);


Date.setUTCMilliseconds(millisecondInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer to set the number of milliseconds past the second value of the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCMilliseconds(millisecondInteger);


Date.setUTCMinutes(minuteInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer set the minute within the hour value of the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCMinutes(minuteInteger);


Date.setUTCMonth(monthInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer to set the month within the year value of the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCMonth(monthInteger);


Date.setUTCSeconds(secondInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.2	Version 3.0

This method takes a parameter of an integer to set the seconds past the minute value of the date object but in the UTC time stored internally by the browser. This alters the value of the original object.

Syntax:

Date.setUTCSeconds(secondInteger);


Date.setYear(yearInteger)

Date Object

Return Value	JavaScript	JScript
New date in milliseconds	Version 1.0	Version 1.0

This method takes a parameter of an integer between 0 and 99 to set the year within the date value of the date object. This alters the value of the original object.

Syntax:

Date.setYear(yearInteger);


Date.toGMTString()

Date Object

Return Value	JavaScript	JScript
String in the format: ddd, dd mmm yyyy hh:mm:ss	Version 1.0	Version 1.0

This method returns the GMT date value of the object in a string data type.

Syntax:

var gmt = Date.toGMTString();


Date.toLocaleString()

Date Object

Return Value	JavaScript	JScript
Date String	Version 1.0	Version 1.0

This method returns the local time zone date value of the object in a string data type.

Syntax:

var local = Date.toLocaleString();


Date.toString()

Date Object

Return Value	JavaScript	JScript
Date String	Version 1.0	Version 1.0

This method returns the date value of the object in a string data type.

Syntax:

var date = Date.toString();


Date.toUTCString()

Date Object

Return Value	JavaScript	JScript
String in the format: ddd, dd mmm yyyy hh:mm:ss	Version 1.2	Version 3.0

This method returns the date value of the object in a string data type standardized format.

Syntax:

var utc = Date.toUTCString();


Date.UTC(yyyy, mm, dd[, hh[, mm[, ss[, milliseconds]]]])

Date Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns a numeric version of the object as it is stored internally by the browser for that instance of the date object. The parameters passed to this method must be in UTC time for the returned value to be accurate.

Parameters:

yyyy: four-digit year value

mm: two-digit month number (0-11)

dd: two-digit date number (1-31)

hh: [optional] two-digit hour number (0-23)

mm: [optional] two-digit minute number (0-59)

ss: [optional] two-digit second number (0-59)

millisecond: [optional] milliseconds past the last whole second (0-999)

Syntax:

var utc = Date. UTC(yyyy, mm, dd[, hh[, mm[, ss[, milliseconds]]]]);


Date.valueOf()

Date Object

Return Value	JavaScript	JScript
Objects Value	Version 1.2	Version 3.0

This method returns the date value of the object in milliseconds.

Syntax:

var utc = Date.valueOf ();


Document Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Document Object

The document object is in the first tier of the object hierarchy, directly below the window object. Almost any object visible within the browser window area is below the document object and as such makes the document object part of the reference.

Reference examples:

document.alinkColor = “#000000”;

document.title = “My Page”;

document.vlinkColor = “#FF0000”;

Properties	Methods	Event Handlers
alinkColor	captureEvents	none
bgColor	clear
cookie	close
domain	getSelection
fgColor	handleEvent
lastModified	open
linkColor	releaseEvents
location	routeEvent
referrer	write
title	writeln
URL
vlinkColor


document.alinkColor

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Limited	Color	Version 1.0	Version 1.0

This value is the color value of the active link in the document. It is equivalent to the HTML alink attribute in the <body> tag.

Syntax:

document.alinkColor = “#FF0000”;


document.bgColor

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Limited	Color	Version 1.0	Version 1.0

This value is the color value of the background in the document. It is equivalent to the HTML bgcolor attribute in the <body> tag.

Syntax:

document.bgColor = “#FFFFFF”;


document.cookie

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This is a reference to the cookie object for the document. A cookie can store information about the document or interaction from the user. There are several fields within the cookie:

Domain: the domain of the server that created the cookie.

Security: whether you need a secure connection to access the cookie data.

Path: defines paths capable of accessing the cookie

Expiration: an expiration date for the cookie

Name: a name for the cookie

Data: the actual string data the cookie contains.

Syntax:

var info = document.cookie;


document.domain

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.1	Version 3.0

This value is the domain name of the server that the document resides.

Syntax:

var myDomain = document.domain;


document.fgColor

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Limited	Color	Version 1.0	Version 1.0

This value is the color value of the foreground in the document. It is equivalent to the HTML text attribute in the <body> tag.

Syntax:

document.fgColor = “#000000”;


document.lastModified

Document Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is a date string that the document was last modified.

Syntax:

var updated = document.lastModified;


document.linkColor

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Limited	Color	Version 1.0	Version 1.0

This value is the color value of the links in the document. It is equivalent to the HTML link attribute in the <body> tag.

Syntax:

document.linkColor = “#0000FF”;


document.location

Document Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is the URL of the document. If you need to change the URL loaded in the document, use the window.location object. The document.location value is read-only.

Syntax:

var url = document.location;


document.referrer

Document Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value contains the url of the document that linked to this document. This value is empty if there was not a valid link between documents.

Syntax:

var referredFrom = document.referrer;


document.title

Document Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is the title of the document. This is the text that appears in the <title> tag.

Syntax:

var title = document.title;


document.URL

Document Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is the url of the document.

Syntax:

var url = document.URL;


document.vlinkColor

Document Object

Read	Write	Value	JavaScript	JScript
Yes	Limited	Color	Version 1.0	Version 1.0

This value is the color value of the visited links in the document. It is equivalent to the HTML vlink attribute in the <body> tag.

Syntax:

document.vlinkColor = “#0000FF”;


document.captureEvents(eventType)

Document Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method captures the type of event passed as a parameter. There must be a function to deal with the captured event.

Syntax:

function doClick(){

alert(“The document window has been clicked”);

}

document.captureEvents(Event.CLICK);

document.onclick=doClick;


document.clear()

Document Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method clears all html within the document as well as the document object model.

Syntax:

document.clear();


document.close()

Document Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method closes the data stream to the document. This method should always be called after a documen.write or document.writeln method.

Syntax:

document.close();


document.getSelection()

Document Object

Return Value	JavaScript	JScript
String	Version 1.2	NA

This method retruns a string containing any text selected within the document by the user.

Syntax:

var selected = document.getSelection();


document.handleEvent(event)

Document Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method handles the event object passed as a parameter.

Syntax:

document.handleEvent(event);


document.open([“mimeType”] [, replace])

Document Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method opens the data stream to the document to prepare the browser for incoming data.

This method should be called before using the document.write methods.

Syntax:

document.open();

document.write(“testing the write methods”);

document.close();


document.releaseEvent(eventType)

Document Object

Return Value	JavaScript	JScript
null	Version 1.0	NA

This method turns off the captured event passed as a parameter.

Syntax:

document.releaseEvent(event);


document.routeEvent(event)

Document Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method passes the event object passed as a parameter along to its intended object.

Syntax:

document.routeEvent(event);


document.write(“string1” [,”stringn…” [,”stringn…]])

Document Object

Return Value	JavaScript	JScript
boolean	Version 1.0	Version 1.0

This method sends data directly to the document objects data stream for rendering.

Syntax:

document.write(“Hello World!”);


document.writeln(“string1” [,”stringn…” [,”stringn…]])

Document Object

Return Value	JavaScript	JScript
boolean	Version 1.0	Version 1.0

This method sends data directly to the document objects data stream for rendering. The only difference between this method and the document.write method is that this method appends a carriage return character to the end of the data string.

Syntax:

document.writeln(“Hello World!”);


Enumerator Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Enumerator Object

The enumerator object provides methods for enumerating collection objects. Unlike arrays, you can not access the items directly using an index, but can only move the item pointer to next or first item in the collection. This object is not compatible with Netscape.

var enumerator = new Enumerator([collection object])

Properties	Methods
	atEnd
	item
	moveFirst
	moveNext


Enumerator.atEnd()

Enumerator Object

Return Value	JavaScript	JScript
Boolean	NA	Version 3.0

This method returns a boolean value indicating whether you are at the end of the collection object.

Syntax:

var end = enumerator.atEnd();


Enumerator.item()

Enumerator Object

Return Value	JavaScript	JScript
Collection Item	NA	Version 3.0

This method returns the current item in the collection. If the collection is empty, it sets the current item to undefined.

Syntax:

var item = enumerator.item();


Enumerator.moveFirst()

Enumerator Object

Return Value	JavaScript	JScript
Collection Item	NA	Version 3.0

This method resets the current item in the collection to the first item. If the collection is empty, it sets the current item to undefined.

Syntax:

var begin = enumerator.moveFirst();


Enumerator.moveNext()

Enumerator Object

Return Value	JavaScript	JScript
Collection Item	NA	Version 3.0

This method sets the current item in the collection to the next item. If the collection is empty or at the end of the collection, the current item is set to undefined.

Syntax:

var next = enumerator.moveNext();


Error Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Error Object

The Error object can contain information about errors. When a script produces an error, the browser explicitly creates an error object. You can access this object by using the try catch statements.

var error = new Error();

var error = new Error([number]);

var error = new Error([number [,description]]);

Properties	Methods
description	none
number


Error.description

Error Object

Read	Write	Value	JavaScript	JScript
No	No	String	NA	Version 5.0

This value is the description text of the Error object. It can be an empty string.

Syntax:

var errorString = error.description;


Error.number

Error Object

Read	Write	Value	JavaScript	JScript
No	No	Integer	NA	Version 5.0

This value is the error number associated with the Error object. This value can be null or undefined.

Syntax:

var errorNumber = error.number;


event Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
event Object

The event object contains information about user and system generated events. This object is present in both IE4+ and Netscape 4+ but the properties are almost mutually exclusive. The way each browser processes the information is very different.

Reference Examples:

Netscape: eventObject

IE: window.event

Properties	Methods
altKey	none
button
cancelBubble
clientX
clientY
ctrlKey
data
fromElement
keyCode
layerX
layerY
modifiers
offsetX
offsetY
pageX
pageY
reason
returnValue
screenX
screenY
shiftKey
srcElement
srcFilter
target
toElement
type
which
x
y


event.altKey

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	NA	Version 3.0

This value allows access to the state of the Alt key when the event was fired.

Syntax:

var alt = event.altKey;


event.button

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	NA	Version 3.0

This value contains an integer representing which mouse button was used to fire the event.

Values: 0(no button, default) 1(left button) 2(right button) 4(middle button)

Syntax:

var mButton = event.button;


event.cancelBubble

event Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Boolean	NA	Version 3.0

This value specifies whether the event should continue up the container hierarchy. You should only need to set this to prevent normal behavior.

Syntax:

window.event.cancelBubble = true;


event.clientX

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	NA	Version 3.0

This value allows access to the X coordinate of the mouse pointer at the moment the event was fired relative to the viewable document area of the browser window or frame.

Syntax:

var xcoord = event.clientX;


event.clientY

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	NA	Version 3.0

This value allows access to the Y coordinate of the mouse pointer at the moment the event was fired relative to the viewable document area of the browser window or frame.

Syntax:

var ycoord = event.clientY;


event.ctrlKey

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	NA	Version 3.0

This value allows access to the state of the Ctrl key when the event was fired.

Syntax:

var ctrl = event.ctrlKey;


event.data

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	NA

This value contains accessory information about the event.

Syntax:

var Edata = eventObject.data;


event.fromElement

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	NA	Version 3.0

This value returns an Object reference to the element where the cursor had been just prior to the onMouserOver or onMouseOut events.

Syntax:

var element = event.fromElement.id;


event.keyCode

event Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value contains the unicode key value for the keyboard key tha fired the event. If the event is not keyboard driven, the value is zero.

Syntax:

var key = event.keyCode;


event.layerX

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	Version 1.2	NA

This value contains the X coordinates of the mouse pointer at the moment the event was fired relative to the containing layer.

Syntax:

var x = eventObject.layerX;


event.layerY

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	Version 1.2	NA

This value contains the Y coordinates of the mouse pointer at the moment the event was fired relative to the containing layer.

Syntax:

var y = eventObject.layerY;


event.modifiers

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value is an integer representing modifiers keys being held down when the event was fired. You can use the Event object to determine the particular key.

Syntax:

var alt = eventObject.modifiers & Event.ALT_MASK;


event.offsetX

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	NA	Version 3.0

This value allows access to the X coordinate of the mouse pointer at the moment the event was fired relative to the containing element, not including padding, borders or margins.

Syntax:

var xoffset = event.offsetX;


event.offsetY

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	NA	Version 3.0

This value allows access to the Y coordinate of the mouse pointer at the moment the event was fired relative to the containing element, not including padding, borders or margins.

Syntax:

var yoffset = event.offsetY;


event.pageX

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	Version 1.2	NA

This value contains the X coordinates of the mouse pointer at the moment the event was fired relative to the page area excluding any scrolling.

Syntax:

var x = eventObject.pageX;


event.pageY

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	Version 1.2	NA

This value contains the Y coordinates of the mouse pointer at the moment the event was fired relative to the page area excluding any scrolling.

Syntax:

var y = eventObject.pageY;


event.reason

event Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value returns a code associated with the onDataSetComplete event. This property must be evaluated in that event handler.

Possible Values: 0(Transfer successful) 1(Transfer aborted) 2(Error)

Syntax:

var dReason = event.reason;


event.returnValue

event Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Boolean	NA	Version 3.0

This value specifies whether or not to allow the default action of the event such as navigating to a link.

Syntax:

window.event.returnValue = “false”;


event.screenX

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	Version 1.2	Version 3.0

This value contains the X coordinates of the mouse pointer at the moment the event was fired relative to the top left corner of the screen.

Syntax:

Netscape: var x = eventObject.screenX;

IE: var x = event.screenX;


event.screenY

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	Version 1.2	Version 3.0

This value contains the Y coordinates of the mouse pointer at the moment the event was fired relative to the top left corner of the screen.

Syntax:

Netscape: var y = eventObject.screenY;

IE: var y = event.screenY;


event.shiftKey

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	NA	Version 3.0

This value allows access to the state of the Shift key when the event was fired.

Syntax:

var shift = event.shiftKey;


event.srcElement

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	NA	Version 3.0

This value returns an Object reference to the element object that fired the event.

Syntax:

var obRef = event.srcElement.id;


event.srcFilter

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	NA	Version 3.0

This value returns an Object reference to the filter object that fired the onFilterChange event.

Syntax:

var obRef = event.srcFilter.id;


event.target

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.2	NA

This value returns an object reference the element object that was the intended target of the event.

Syntax:

var obRef = eventObject.target.name;


event.toElement

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	NA	Version 3.0

This value returns an Object reference to the element object that the cursor has moved to that fired the onMouseOut event.

Syntax:

var obRef = event.toElement.id;


event.type

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Event Name	Version 1.2	Version 3.0

This value contains the type of event (name without the “on” prefix). Names are all lowercase.

Syntax:

Netscape: var eType = eventObject.type;

IE: var eType = event.type;


event.which

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value returns an integer relevant to the type of event.

Mouse events: 1(Left button) 3(Right button)

Keyboard events: character ASCII code

Syntax:

var eWhich = eventObject.which;


event.x

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	NA	Version 3.0

This value allows access to the X coordinate of the mouse pointer at the moment the event was fired relative to either a positioned element or the <body> element. A return value of –1 indicates the pointer was outside the browser window.

Syntax:

var x = event.x;


event.y

event Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer in pixels	NA	Version 3.0

This value allows access to the Y coordinate of the mouse pointer at the moment the event was fired relative to either a positioned element or the <body> element. A return value of –1 indicates the pointer was outside the browser window.

Syntax:

var y = event.y;


Event Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Event Object

The Event object with a capital E is a global object in Netscape 4+. It is basically a set of Case Sensitive constants that evaluate to integer values. These constants can be used to determine if user or system generated events contain keyboard modifiers or the actual type of event fired.

Not all constants has been implemented or assigned as of Netscape 4.

if(event.modifiers & Event.ALT_MASK){

the alt key was held down when the event fired

}

Constants	Methods
ABORT	none
ALT_MASK
BACK
BLUR
CHANGE
CLICK
CONTROL_MASK
DBLCLICK
DARGDROP
ERROR
FOCUS
FORWARD
HELP
KEYDOWN
KEYPRESS
KEYUP
LOCATE
LOAD
META_MASK
MOUSEDOWN
MOUSEDRAG
MOUSEMOVE
MOUSEOUT
MOUSEOVER
MOUSEUP
MOVE
RESET
RESIZE
SCROLL
SELECT
SHIFT_MASK
SUBMIT
UNLOAD
XFER_DONE


ABORT

Event Object

Indicates that the loading of an image was aborted.

Syntax:

Event.ABORT


ALT_MASK

Event Object

Indicates that the Alt key was held down when the event was fired.

Syntax:

Event.ALT_MASK


BACK

Event Object

Unassigned

Syntax:

Event.BACK


BLUR

Event Object

Indicates that the onBlur event was fired.

Syntax:

Event.BLUR


CHANGE

Event Object

Indicates that the onChange event was fired.

Syntax:

Event.CHANGE


CLICK

Event Object

Indicates that the onClick event was fired.

Syntax:

Event.CLICK


CONTROL_MASK

Event Object

Indicates that the Ctrl key was held down when the event was fired.

Syntax:

Event.CONTROL_MASK


DBLCLICK

Event Object

Unassigned

Syntax:

Event.DBLCLICK


DRAGDROP

Event Object

Indicates that the onDragDrop event was fired.

Syntax:

Event.DRAGDROP


ERROR

Event Object

Indicates that the onError event was fired.

Syntax:

Event.ERROR


FOCUS

Event Object

Indicates that the onFocus event was fired.

Syntax:

Event.FOCUS


FORWARD

Event Object

Unassigned

Syntax:

Event.FORWARD


HELP

Event Object

Unassigned

Syntax:

Event.HELP


KEYDOWN

Event Object

Indicates that the onKeyDown event was fired.

Syntax:

Event.KEYDOWN


KEYPRESS

Event Object

Indicates that the onKeyPress event was fired.

Syntax:

Event.KEYPRESS


KEYUP

Event Object

Indicates that the onKeyUP event was fired.

Syntax:

Event.KEYUP


LOCATE

Event Object

Unassigned

Syntax:

Event.LOCATE


LOAD

Event Object

Indicates that the onLoad event was fired.

Syntax:

Event.LOAD


META_MASK

Event Object

Indicates that the Meta(Windows) key was held down when the event was fired.

Syntax:

Event.META_MASK


MOUSEDOWN

Event Object

Indicates that the onMouseDown event was fired.

Syntax:

Event.MOUSEDOWN


MOUSEDRAG

Event Object

Unassigned

Syntax:

Event.MOUSEDRAG


MOUSEMOVE

Event Object

Indicates that the onMouseMove event was fired.

Syntax:

Event.MOUSEMOVE


MOUSEOUT

Event Object

Indicates that the onMouseOut event was fired.

Syntax:

Event.MOUSEOUT


MOUSEOVER

Event Object

Indicates that the onMouseOver event was fired.

Syntax:

Event.MOUSEOVER


MOUSEUP

Event Object

Indicates that the onMouseUp event was fired.

Syntax:

Event.MOUSEUP


MOVE

Event Object

Indicates that the onMove event was fired.

Syntax:

Event.MOVE


RESET

Event Object

Indicates that the onReset event was fired.

Syntax:

Event.RESET


RESIZE

Event Object

Indicates that the onResize event was fired.

Syntax:

Event.RESIZE


SCROLL

Event Object

Unassigned

Syntax:

Event.SCROLL


SELECT

Event Object

Indicates that the onSelect event was fired.

Syntax:

Event.SELECT


SHIFT_MASK

Event Object

Indicates that the Shift key was held down when the event was fired.

Syntax:

Event.SHIFT_MASK


SUBMIT

Event Object

Indicates that the onSubmit event was fired.

Syntax:

Event.SUBMIT


UNLOAD

Event Object

Indicates that the onUnload event was fired.

Syntax:

Event.UNLOAD


XFER_DONE

Event Object

Unassigned

Syntax:

Event.XFER_DONE


Function Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Function Object

The function object is simply a group of scripting statements that can be called at any time. A function may return a value or it may return void(no value). It returns execution to the calling statement as soon as it executes the last line of code within the function.

Construction Method:

function myFunction(any number of comma separated parameters){

script statements;

script statements;

[return anyValue]

}

Properties	Methods
arguments	toString
arity	valueOf
caller
length
prototype


Function.arguments

Function Object

Read	Write	Value	JavaScript	JScript
Yes	No	Array	Version 1.1	Version 2.0

This value is an array of the values passed as parameters to the function. It can be accessed like any other array.

Syntax:

var argCount = myFunction.arguments.length;


Function.arity

Function Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	NA

This value is the count of parameters that are defined for the function. This does not necessarily represent all the parameters passed to the function as some parameters may be optional.

Syntax:

var paramCount = myFunction.arity;


Function.caller

Function Object

Read	Write	Value	JavaScript	JScript
Yes	No	Function Object	Version 1.1	Version 2.0

This value returns a reference to the function object that called this function.

Syntax:

var funcCaller = myFunction.caller;


Function.length

Function Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This value is the count of parameters that are defined for the function. Netscape always returns a value of zero, use the arity property.

Syntax:

var paramCount = myFunction.length;


Function.prototype

Function Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Variable/Function	Version 1.1	Version 2.0

The prototype property is used to add properties and methods to new instances of objects created in the same document. When assigning new methods, you do not use parenthesis.

Syntax:

Object.prototype.newproperty = value;  //assigns all new objects this property and value

Object.prototype.newmethod = function;  // assigns all new objects this method


Function.toString()

Function Object

Return Value	JavaScript	JScript
String	Version 1.2	Version 3.0

This method returns the entire function text as a string data type.

Syntax:

var funcString = myFunction.toString();


Function.valueOf()

Function Object

Return Value	JavaScript	JScript
Function Object Reference	Version 1.2	Version 3.0

This method returns the value of the object.

Syntax:

var nFunc = myFunction.valueOf();


Global Properties and Methods
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Global Properties and Methods

There are several global Properties and Methods within JavaScript. There is actually an Object that these are associated with, but you do not call the object in a reference but rather just call the properties or methods directly.

Properties	Methods
infinity	escape
NaN	eval
	isFinite
	isNaN
	parseFloat
	parseInt
	ScriptEngine
	ScriptEngineBuildVersion
	ScriptEngineMajorVersion
	ScriptEngineMinorVersion
	toString
	unescape
	unwatch
	watch


infinity

Global Properties and Methods

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This returns an initial value of Number.POSITIVE_INFINITY .

Syntax:

var newNumber = infinity;


NaN

Global Properties and Methods

Read	Write	Value	JavaScript	JScript
Yes	No	NaN Value	Version 1.2	Version 3.0

This returns a special value that indicates the value is Not a Number.

Syntax:

var notNumber = NaN;


escape(string)

Global Properties and Methods

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a URL-encoded version of the string passed as a parameter. URL-encoding converts non-alphanumeric characters to hexadecimal values.

Syntax:

var urlString = escape(“new information”);


eval(string)

Global Properties and Methods

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns an object reference to the object described as a string in the string passed as a parameter.

Syntax:

var objectRef = eval(“document.all.elementID”);


isFinite(expression)

Global Properties and Methods

Return Value	JavaScript	JScript
Boolean	Version 1.0	Version 1.0

This method returns a boolean value that determiines whether or not the passed expression as a parameter is within the range of Number.MIN_VALUE to Number.MAX_VALUE.

Syntax:

var boolFinite = isFinite(10/10);


isNaN(expression)

Global Properties and Methods

Return Value	JavaScript	JScript
Boolean	Version 1.0	Version 1.0

This method returns a boolean value that is true if the expression passed as a parameter does not evaluate to an integer value.

Syntax:

var boolNaN = isNaN(“Hello World”);


parseFloat(string)

Global Properties and Methods

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns a number value, either an integer or a floating point number, of the integers passed as a string parameter. The string must at least begin with a number or the return is NaN.

Syntax:

var version = parseFloat(navigator.appVersion);


parseInt(string[, radix])

Global Properties and Methods

Return Value	JavaScript	JScript
Base-10 Integer	Version 1.0	Version 1.0

This method returns an Integer value as a number data type in base-10 of the integers passed as a string parameter. The string must at least begin with an integer or the return is NaN. The optional radix parameter specifies the base of the integer being passed as a string parameter.

Syntax:

var version = parseInt(navigator.appVersion);


ScriptEngine()

Global Properties and Methods

Return Value	JavaScript	JScript
String Constant	NA	Version 2.0

This method returns a string constant of one of the following values:

JScript

VBA

VBScript

Syntax:

var engine = ScriptEngine();


ScriptEngineBuildVersion()

Global Properties and Methods

Return Value	JavaScript	JScript
Integer	NA	Version 2.0

This method returns an integer representing the build version of the scripting engine.

Syntax:

var build = ScriptEngineBuildVersion();


ScriptEngineMajorVersion()

Global Properties and Methods

Return Value	JavaScript	JScript
Integer	NA	Version 2.0

This method returns an integer representing the major version of the scripting engine.

Syntax:

var major = ScriptEngineMajorVersion();


ScriptEngineMinorVersion()

Global Properties and Methods

Return Value	JavaScript	JScript
Integer	NA	Version 2.0

This method returns an integer representing the minor version of the scripting engine.

Syntax:

var minor = ScriptEngineMinorVersion();


toString(radix)

Global Properties and Methods

Return Value	JavaScript	JScript
String	Version 1.1	Version 3.0

This method returns a string version of a number in the number base specified by the radix parameter.

Syntax:

var n = 64;

var base16 = n.toString(16);


unescape(string)

Global Properties and Methods

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a decoded version of the URL-encoded string passed as a parameter. URL-encoding converts non-alphanumeric characters to hexadecimal values.

Syntax:

var nonurlString = unescape(“new information”);


unwatch(property)

Global Properties and Methods

Return Value	JavaScript	JScript
null	Version 1.2	NA

This Netscape specific function is mainly used for debugging. This method turns off the watch() method.

Syntax:

unwatch(myProperty);


watch(property, function)

Global Properties and Methods

Return Value	JavaScript	JScript
null	Version 1.0	NA

This Netscape specific function is mainly used for debugging. This method sets a function to invoke each time the value of the property passed as a parameter is changed.

Syntax:

watch(myProperty,myFunction);


History Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
History Object

The History Object contains a list of URLs in the browser’s history. This object requires signed scripts to access the actual string values of the array. The array is zero based.

Reference:

history.property;

history[index].property;

history.method(parameters);

Properties	Methods
current	back
next	forward
previous	go
length


History.current

History Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

This value is the URL of the current item in the history list. Requires signed scripts.

Syntax:

var currentHist = history.current;


History.next

History Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

This value is the URL of the next item in the history list. Requires signed scripts.

Syntax:

var nextHist = history.next;


History.previous

History Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

This value is the URL of the previous item in the history list. Requires signed scripts.

Syntax:

var previousHist = history.previous;


History.length

History Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.0	Version 1.0

This value is the count of items in the history array.

Syntax:

var HistLength = history.length;


History.back()

History Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method returns the browser to the previous item in the history list. Same as clicking the back button.

Syntax:

history.back();


History.forward()

History Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method sends the browser to the next item in the history list. Same as clicking the forward button.

Syntax:

history.forward();


History.go(relativeIndex)

History Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method sends the browser to the relative indexed item in the history list.

Syntax:

history.go(index);


Image Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Image Object

The Image Object is an empty image when first created unless created with the <img> HTML tag.

All images in a document can be accessed by using the images array:

Reference:

document.images[index].property;

document.imageName.property;

document.elementID.property;

You can also create an image virtually using the new operator. This can be used to preload images used in scripting.

Construction Method:

var anImage = new Image();

Properties	Methods
border	none
complete
height
hspace
lowsrc
name
src
vspace
width
x
y


Image.border

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	Version 3.0

This value returns the value of the border attribute for the <image> Tag.

Syntax:

var imgBorder = document.imageName.border;


Image.height

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	Version 3.0

This value returns the value of the height attribute for the <image> Tag.

Syntax:

var imgHeight = document.imageName.height;


Image.hspace

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	Version 3.0

This value returns the value of the hspace attribute for the <image> Tag.

Syntax:

var imgHSpace = document.imageName.hspace;


Image.name

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	Version 3.0

This value returns the value of the name attribute for the <image> Tag.

Syntax:

var imgName = document.images[index].name;


Image.vspace

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	Version 3.0

This value returns the value of the vspace attribute for the <image> Tag.

Syntax:

var imgVSpace = document.imageName.vspace;


Image.width

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	Version 3.0

This value returns the value of the width attribute for the <image> Tag.

Syntax:

var imgWidth = document.imageName.width;


Image.complete

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	Version 1.1	Version 3.0

This value returns a boolean value representing whether or not the image file has finished loading.

Syntax:

var imgComplete = document.imageName.complete;


Image.lowsrc

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	Version 3.0

This value returns the value of the lowsrc attribute for the <image> Tag.

Syntax:

var imgLowsrc = document.images[index].lowsrc;


Image.src

Image Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.1	Version 3.0

This value is the actual file that is the image.

Syntax:

var imgSrc = document.images[index].src;


Image.x

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value returns the pixel x coordinate of the image’s left edge, relative to the browser viewing area.

Syntax:

var imgX = document.imageName.x;


Image.y

Image Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value returns the pixel y coordinate of the image’s top edge, relative to the browser viewing area.

Syntax:

var imgY = document.imageName.y;


Layer Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Layer Object

The Layer Object is a Netscape specific object that is actually going to be obsolete. Netscape is the only browser that supported the object, and in Netscape Version 6, it is no longer supported. This object is included for cross-platform compatibility. The layer object is similar to the <div> tag in Internet Explorer. It allows for separate content to be manipulated within the object.

Reference:

document.layers[index].property or method

document.layerName.property or method

Properties	Methods
above	load
background	moveAbove
below	moveBelow
bgColor	moveBy
clip.bottom	moveTo
clip.left	moveToAbsolute
clip.height	resizeBy
clip.right	resizeTo
clip.top
clip.width
left
hidden
name
pageX
pageY
parentLayer
siblingAbove
siblingBelow
src
top
visibility
zIndex


Layer.above

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.2	NA

This value returns a reference to the layer or positionable element that is directly above this element in the z stacking order.

Syntax:

var aboveLayer = document.layerName.above;


Layer.below

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.2	NA

This value returns a reference to the layer or positionable element that is directly below this element in the z stacking order.

Syntax:

var belowLayer = document.layerName.below;


Layer.background

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.2	NA

This value is the background image for the layer object.

Syntax:

var bgImg = document.layerName.background;


Layer.bgColor

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Color	Version 1.2	NA

This value is the background color for the layer object.

Syntax:

var backColor = document.layerName.bgColor;


Layer.clip.bottom

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the bottom edge of the clipping region for the layer in pixels.

Syntax:

var clipBottom = document.layerName.clip.bottom;


Layer.clip.height

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the height of the clipping region for the layer in pixels.

Syntax:

var clipHeight = document.layerName.clip.height;


Layer.clip.left

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the left edge of the clipping region for the layer in pixels.

Syntax:

var clipLeft = document.layerName.clip.left;


Layer.clip.right

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the right edge of the clipping region for the layer in pixels.

Syntax:

var clipRight = document.layerName.clip.right;


Layer.clip.top

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the top edge of the clipping region for the layer in pixels.

Syntax:

var clipTop = document.layerName.clip.top;


Layer.clip.width

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the width of the clipping region for the layer in pixels.

Syntax:

var clipWidth = document.layerName.clip.width;


Layer.hidden

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Boolean	Version 1.2	NA

This value represents whether or not the layer is hidden.

Syntax:

var layerHidden = document.layerName.hidden;


Layer.left

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the position of the left edge of the layer relative to the parent layer, which could be the body of the document.

Syntax:

var layerLeft = document.layerName.left;


Layer.name

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	NA

This value is the name of the layer object.

Syntax:

var layerName = document.layers[index].name;


Layer.pageX

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the position of the left edge of the layer relative to the top left corner of the entire document in pixels.

Syntax:

var layerPageX = document.layerName.pageX;


Layer.pageY

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the position of the top edge of the layer relative to the top left corner of the entire document in pixels.

Syntax:

var layerPageY = document.layerName.pageY;


Layer.parentLayer

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.2	NA

This value returns a reference to the next layer up in the object hierarchy, this can be either a parent layer or the window object.

Syntax:

var parent = document.layerName.parentLayer;


Layer.siblingAbove

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.2	NA

This value returns a reference to the layer or positionable element that is directly above this element in the z stacking order, but only in the context of a shared parent layer.

Syntax:

var aboveSibling = document.layerName.siblingAbove;


Layer.siblingBelow

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.2	NA

This value returns a reference to the layer or positionable element that is directly below this element in the z stacking order, but only in the context of a shared parent layer.

Syntax:

var belowSibling = document.layerName.siblingBelow;


Layer.src

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.2	NA

This value is the URL of an external content file loaded in the layer.

Syntax:

var layerSrc = document.layers[index].src;


Layer.top

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the position of the top edge of the layer relative to the parent layer, which could be the body of the document.

Syntax:

var layerTop = document.layerName.top;


Layer.visibility

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.2	NA

This value is a string constant defining the visibility of the layer. One of the following constants:

hide

inherit

show

Syntax:

document.layers[index].visibility = hide;


Layer.zIndex

Layer Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value defines the position of the layer in the stacking order relative to other layers with the same parent layer.

Syntax:

document.layerName.zIndex = 1;


Layer.load(“URL”, newLayerWidth)

Layer Object

Return Value	JavaScript	JScript
Boolean(true if successful)	Version 1.2	NA

This method loads a new document into the layer. The second parameter lets you specify a new layer width in pixels.

Syntax:

document.layerName.load(“URL,500);


Layer.moveAbove(layerObject)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the stacking order of the layer to directly above the layer object passed as a parameter.

Syntax:

document.layerName.moveAbove(document.layerName);


Layer.moveBelow(layerObject)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the stacking order of the layer to directly below the layer object passed as a parameter.

Syntax:

document.layerName.moveBelow(document.layerName);


Layer.moveBy(xPixels, yPixels)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the location of the layer relative to its current position. Positive values are to the right and down, negative values are to the left and up.

Syntax:

document.layerName.moveBy(100,100);


Layer.moveTo(xPixels, yPixels)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the location of the layer relative to its parent layer.

Syntax:

document.layerName.moveTo(10,10);


Layer.moveToAbsolute(xPixels, yPixels)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the location of the layer relative to the entire document.

Syntax:

document.layerName.moveToAbsolute(10,10);


Layer.resizeBy(xPixels, yPixels)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the size of the layer relative to its current size.

Syntax:

document.layerName.resizeBy(10,10);


Layer.resizeTo(xPixels, yPixels)

Layer Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method lets you change the size of the layer to an absolute pixel size.

Syntax:

document.layerName.resizeTo(500,200);


Location Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Location Object

The Location object mostly contains information about the URL actually loaded in any window object. This object is useful when working with framed windows.

Reference:

location.property or method;

window.location.property or method;

parent.location.property or method;

parent.frames[index].location.property or method;

parent.frameName.location.property or method;

Properties	Methods
hash	assign
host	reload
hostname	replace
href
pathname
port
protocol
search


Location.hash

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value is the actual name following the hash(#) mark in a link. Links or anchors that use the <a name=…></a> tag pair create a hash mark that makes it possible to navigate to another location within the current document. The link to that location will be the URL plus the hash mark and then the name.

Syntax:

var nHash = window.location.hash;


Location.host

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value contains the hostname and the port information. If the port number is not a part of the URL, this value is the same as the hostname.

Syntax:

var nHost = window.location.host;


Location.hostname

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value contains the hostname of the URL.

Syntax:

var nHostname = window.location.hostname;


Location.href

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value contains the entire URL of the specified window object.

Syntax:

var nHref = window.location.href;


Location.pathname

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value contains the directory structure relative to the servers root volume.

Syntax:

var nPath = window.location.pathname;


Location.port

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value contains the port number of the URL if it has one.(Not likely these days)

Syntax:

var nPort = window.location.port;


Location.protocol

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value contains the protocol of the URL. Typically (“http:”)

Syntax:

var nprotocol = window.location.protocol;


Location.search

Location Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value is a means of extracting extra information appended to a URL search query. This also can apply to any information after the filename, such as parameters passed to a cgi program or ISAPI dll.

Syntax:

var nSearch = window.location.search;


Location.assign(“URL”)

Location Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method will navigate the browser window object to the URL passed as a parameter to this method.

Syntax:

window.location.assign(“URL”);


Location.reload(unconditionalBool)

Location Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 3.0

This method will reload the current URL. If you need to do an unconditional reload, add true as a parameter.

Syntax:

window.location.reload(true);


Location.replace(“URL”)

Location Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 3.0

This method will navigate the browser window object to the URL passed as a parameter to this method and once the document is loaded, it will replace the former URL in the history list.

Syntax:

window.location.replace(“URL”);


Math Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Math Object

The Math Object is a static object in JavaScript. There are no constructor methods, you access its properties and methods by calling them directly with no need for the new operator. All the math properties are actually constants that can be used in calculations, where the methods are actual methods that can be used for calculations.

Reference:

Math.property

Math.method

Properties	Methods
Math.E	Math.abs
Math.LN2	Math.acos
Math.LN10	Math.asin
Math.LOG2E	Math.atan
Math.LOG10E	Math.atan2
Math.PI	Math.ceil
Math.SQRT1_2	Math.cos
Math.SQRT2	Math.exp
	Math.floor
	Math.log
	Math.max
	Math.min
	Math.pow
	Math.random
	Math.round
	Math.sin
	Math.sqrt
	Math.tan


Math.E

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	2.718281828459045	Version 1.0	Version 1.0

Returns Euler’s constant.

Syntax:

var n = Math.E;


Math.LN2

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	0.6931471805599453	Version 1.0	Version 1.0

Returns the natural logarithm of 2.

Syntax:

var n = Math.LN2;


Math.LN10

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	2.302585092994046	Version 1.0	Version 1.0

Returns the natural logarithm of 10.

Syntax:

var n = Math.LN10;


Math.LOG2E

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	1.4426950408889634	Version 1.0	Version 1.0

Returns the log base-2 of E.

Syntax:

var n = Math.LOG2E;


Math.LOG10E

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	0.4342944819032518	Version 1.0	Version 1.0

Returns the log base-10 of E.

Syntax:

var n = Math.LOG10E;


Math.PI

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	3.141592653589793	Version 1.0	Version 1.0

Returns the value of .

Syntax:

var n = Math.PI;


Math.SQRT1_2

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	0.7071067811865476	Version 1.0	Version 1.0

Returns the square root of 0.5.

Syntax:

var n = Math.SQRT1_2;


Math.SQRT2

Math Object

Read	Write	Value	JavaScript	JScript
Yes	No	1.4142135623730951	Version 1.0	Version 1.0

Returns the square root of 2.

Syntax:

var n = Math.SQRT2;


Math.abs(number)

Math Object

Return Value	JavaScript	JScript
Positive Integer	Version 1.0	Version 1.0

This method returns the absolute value of the number passed as a parameter.

Syntax:

var n = Math.abs(number);


Math.acos(number)

Math Object

Return Value	JavaScript	JScript
Integer –1 to 1	Version 1.0	Version 1.0

This method returns the arc cosine in radians of the number passed as a parameter.

Syntax:

var n = Math.acos(number);


Math.asin(number)

Math Object

Return Value	JavaScript	JScript
Integer –1 to 1	Version 1.0	Version 1.0

This method returns the arc sine in radians of the number passed as a parameter.

Syntax:

var n = Math.acos(number);


Math.atan(number)

Math Object

Return Value	JavaScript	JScript
Integer negative infinity to infinity	Version 1.0	Version 1.0

This method returns the arc tangent in radians of the number passed as a parameter.

Syntax:

var n = Math.atan(number);


Math.atan2(xnumber, ynumber)

Math Object

Return Value	JavaScript	JScript
Integer - to	Version 1.0	Version 1.0

This method returns the angle in radians of the angle formed by a line to Cartesian point x,y.

Syntax:

var n = Math.atan(xnumber, ynumber);


Math.ceil(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the next higher integer that is greater than or equal to the number passed as a parameter.

Syntax:

var n = Math.ceil(number);


Math.cos(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the cosine of the number passed as a parameter.

Syntax:

var n = Math.cos(number);


Math.exp(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the value of E to the power of the number passed as a parameter.

Syntax:

var n = Math.exp(number);


Math.floor(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the next lower integer that is less than or equal to the number passed as a parameter.

Syntax:

var n = Math.floor(number);


Math.log(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the natural logarithm (base e) of the number passed as a parameter.

Syntax:

var n = Math.log(number);


Math.max(number1, number2)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the greater value of the 2 numbers passed as parameters.

Syntax:

var n = Math.max(number1, number2);


Math.min(number1, number2)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the lesser value of the 2 numbers passed as parameters.

Syntax:

var n = Math.min(number1, number2);


Math.pow(number1, number2)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the value of the first number raised to the power of the second number passed as parameters.

Syntax:

var n = Math.pow(number1, number2);


Math.random()

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns a random number between 0 and 1. To get a random number greater than 1, use this formula:

Math.round(Math.random() * n);

Where n is the max number of the required range.

Syntax:

var n = Math.random();


Math.round(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns a number value that is the number passed as a parameter, rounded following typical rounding rules.

Syntax:

var n = Math.round(number);


Math.sin(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the sine in radians of the number passed as a parameter.

Syntax:

var n = Math.sin(number);


Math.tan(number)

Math Object

Return Value	JavaScript	JScript
Integer negative infinity to infinity	Version 1.0	Version 1.0

This method returns the tangent in radians of the number passed as a parameter.

Syntax:

var n = Math.tan(number);


Math.sqrt(number)

Math Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the square root of the number passed as a parameter.

Syntax:

var n = Math.sqrt(number);


MimeType Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
MimeType Object

The MimeType Object is actually a sub-object of the Navigator object. This object is a collection or array of the MimeTypes that the browser is familiar with.

Reference:

navigator.mimeTypes[index].property

Properties	Methods
description	none
enabledPlugin
type
suffixes


MimeTypes[index].description

MimeType Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

Returns the plain language description of the MimeType.

Syntax:

var desc = navigator.mimeTypes[index].description;


MimeTypes[index].enabledPlugin

MimeType Object

Read	Write	Value	JavaScript	JScript
Yes	No	Plugin Object	Version 1.1	NA

Returns the enabledPlugin plugin object associated with the particular mimeType.

Syntax:

var desc = navigator.mimeTypes[index].enabledPlugin;


MimeTypes[index].type

MimeType Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

Returns a string containing the type and subtype of the mimeType.

Syntax:

var type = navigator.mimeTypes[index].type;


MimeTypes[index].suffixes

MimeType Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

Returns the file extensions associated with this particular mimeType. This will be a comma-delimited list.

Syntax:

var suff = navigator.mimeTypes[index].suffixes;


Navigator Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Navigator Object

The Navigator Object actually a reference to the browser itself. Using this object you can obtain certain information about the browser that the document is loaded into. This can be very useful for cross platform compatibility checking.

Reference:

navigator.property

navigator.method

Properties	Methods
appCodeName	javaEnabled
appMinorVersion	preference
appName	taintEnabled
appVersion
browserLanguage
cookieEnabled
cpuClass
language
onLine
platform
systemLanguage
userAgent
userLanguage
userProfile


Navigator.appCodeName

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is the code name of the browser. Both Internet Explorer and Netscape return “Mozilla”.

Syntax:

var codename = navigator.appCodeName;


Navigator.appMinorVersion

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	NA	Version 3.0

This value is the minor release version of the browser application.

Syntax:

var minor = navigator.appMinorVersion;


Navigator.appName

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is the name of the browser.

Syntax:

var name = navigator.appName;


Navigator.appVersion

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is the release version of the browser application. This string usually contains other information about the browser.

Syntax:

var minor = navigator.appVersion;


Navigator.browserLanguage

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	NA	Version 3.0

This value is the default written language that the browser uses.

Syntax:

var blang = navigator.browserLanguage;


Navigator.cookieEnabled

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	NA	Version 3.0

This value is a boolean value indicating whether or not the user has cookies enabled in the preferences.

Syntax:

var cookies = navigator.cookieEnabled;


Navigator.cpuClass

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	NA	Version 3.0

This value is a string indicating the type of CPU the computer has.

Syntax:

var cpu = navigator.cpuClass;


Navigator.language

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	NA

This value is the default written language that the browser uses.

Syntax:

var blang = navigator.language;


Navigator.onLine

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	NA	Version 3.0

This value is a boolean value indicating whether or not the browser is in online or offline mode.

Syntax:

var on = navigator.onLine;


Navigator.platform

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This value is a string describing the operating system the browser is running on.

Syntax:

var os = navigator.platform;


Navigator.systemLanguage

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	NA	Version 3.0

This value is the default written language that the operating system uses.

Syntax:

var slang = navigator.systemLanguage;


Navigator.userAgent

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.0	Version 1.0

This value is a string containing the most complete set of information you are able to acquire about the browser.

Syntax:

var agent = navigator.userAgent;


Navigator.userLanguage

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	NA	Version 3.0

This value is the default written language that browser uses based on the operating system.

Syntax:

var ulang = navigator.userLanguage;


Navigator.userProfile

Navigator Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	NA	Version 3.0

The userProfile property of the Navigator Object is actually an object in itself. Please see:

userProfile

Syntax:

navigator.userProfile.method(parameters);


Navigator.javaEnabled()

Navigator Object

Return Value	JavaScript	JScript
Boolean	Version 1.1	Version 3.0

This method will return a boolean value indicating whether or not the user has the browser set to enable java in the preferences.

Syntax:

var java = navigator.javaEnabled();


Navigator.preference(name[, value])

Navigator Object

Return Value	JavaScript	JScript
Preference	Version 1.2	NA

This method requires signed scripts. It will return a wide variety of user preference settings.

Syntax:

var pref = navigator.preference(name[, value]);


Navigator.taintEnabled()

Navigator Object

Return Value	JavaScript	JScript
Boolean	Version 1.1	Version 3.0

This method will return a boolean value indicating whether or not the user has data tainting turned on in the browser.

Syntax:

var taint = navigator.taintEnabled();


Number Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Number Object

The Number Object is any numeric value be it an integer or a floating-point number. A number object is automatically created any time a number is assigned to a variable, but you can explicilty create one using the new operator.

Construction Methods:

var n = new Number(value);

var n = number;

Properties	Methods
MAX_VALUE	toString
MIN_VALUE	valueOf
NaN
NEGATIVE_INFINITY
POSITIVE_INFINITY
prototype


Number.MAX_VALUE

Number Object

Read	Write	Value	JavaScript	JScript
Yes	No	1.7976931348623177e+308	Version 1.1	Version 1.0

Returns the highest possible number that JavaScript can handle.

Syntax:

var n = Number.MAX_VALUE;


Number.MIN_VALUE

Number Object

Read	Write	Value	JavaScript	JScript
Yes	No	5e-324	Version 1.1	Version 1.0

Returns the smallest possible number that JavaScript can handle.

Syntax:

var n = Number.MIN_VALUE;


Number.NaN

Number Object

Read	Write	Value	JavaScript	JScript
Yes	No	NaN	Version 1.1	Version 1.0

Returns a value that is not a number.

Syntax:

var n = Number.NaN;


Number.NEGATIVE_INFINITY

Number Object

Read	Write	Value	JavaScript	JScript
Yes	No	-Infinity	Version 1.1	Version 1.0

Returns a value that is outside the bounds of MIN_VALUE.

Syntax:

var n = Number.NEGATIVE_INFINITY;


Number.POSITIVE_INFINITY

Number Object

Read	Write	Value	JavaScript	JScript
Yes	No	Infinity	Version 1.1	Version 1.0

Returns a value that is outside the bounds of MAX_VALUE.

Syntax:

var n = Number.POSITIVE_INFINITY;


Number.prototype

Number Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Any data type	Version 1.1	Version 1.0

Use this property to assign a new property or method to any number created in the document.

Syntax:

Number.prototype.name = “n”;


Number.toString()

Number Object

Return Value	JavaScript	JScript
String	Version 1.2	Version 3.0

This method will return a string representation of the number.

Syntax:

Number.toString();


Number.valueOf()

Number Object

Return Value	JavaScript	JScript
Integer	Version 1.2	Version 3.0

This method will return the objects value;

Syntax:

Number.valueOf();


Object Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Object Object

The Object Object is a means for creating your own custom objects. You can assign properties and methods to the object using the prototype property.

Construction Methods:

var nObject = new Object();

Properties	Methods
prototype	toString
	valueOf


Object.prototype

Object Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Any data type or Method	Version 1.2	Version 3.0

Use this property to assign a new property or method to any number created in the document.

Syntax:

Object.prototype.name = “myObject”;


Object.toString()

Object Object

Return Value	JavaScript	JScript
String	Version 1.2	Version 3.0

This method will return a string representation of the objects value.

Syntax:

Object.toString();


Object.valueOf()

Object Object

Return Value	JavaScript	JScript
Integer	Version 1.2	Version 3.0

This method will return the objects value;

Syntax:

Object.valueOf();


Plugin Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Plugin Object

The Plugin Object is actually a sub-object of the Navigator object. This object is a collection or array of the Plugins that the browser has installed.

Reference:

navigator.plugins[index].property or method

Properties	Methods
name	refresh
filename
description
length


Plugins[index].name

Plugin Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

Returns the descriptive name of the plugin.

Syntax:

var pname = navigator.plugins[index].name;


Plugins[index].filename

Plugin Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

Returns the filename of the plugin. This could be a full path on some platforms.

Syntax:

var pfile = navigator.plugins[index].filename;


Plugins[index].description

Plugin Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.1	NA

Returns the description of the plugin.

Syntax:

var pdesc = navigator.plugins[index].description;


Plugins[index].length

Plugin Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.1	NA

Returns the number of MimeTypes the plugin recognizes.

Syntax:

var plen = navigator.plugins[index].length;


Plugins.refresh()

Plugin Object

Return Value	JavaScript	JScript
null	Version 1.1	NA

This method refreshs the plugins list to the browser, loading any new plugins with having to restart the browser.

Syntax:

navigator.plugins.refresh();


RegExp Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
RegExp Object

The RegExp Object stores information about the last regular expression operation that took place in the document. This is a static object that you can access the properties directly without building a reference to the object.

Reference:

RegExp.property

Properties	Methods
input	none
lastMatch
lastParen
leftContext
multiline
rightContext
$1
$2
$3
$4
$5
$6
$7
$8
$9


RegExp.input

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.2	Version 3.0

This is the main string to which a regular expression is compared.If the main string is handed to a regular expression as a parameter to a method, this value is null.

Syntax:

RegExp.input = “a word or phrase to search for”;


RegExp.lastMatch

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the string that matches the last regular expression operation.

Syntax:

var match = RegExp.lastMatch;


RegExp.lastParen

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the string that matches the last parenthesized subcomponent of the regular expression operation.

Syntax:

var paren = RegExp.lastParen;


RegExp.leftContext

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the string starting with the most recently searched text up to but not including the matching string.

Syntax:

var left = RegExp.leftContext;


RegExp.rightContext

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the string starting with the main string portion immediately following the matching string and extending to the end of the string.

Syntax:

var right = RegExp.rightContext;


RegExp.multiline

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	Version 1.2	Version 3.0

If the search extends across multiple lines of text this property is set to true.

Syntax:

var multi = RegExp.multiline;


RegExp.$1

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$1;


RegExp.$2

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$2;


RegExp.$3

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$3;


RegExp.$4

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$4;


RegExp.$5

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$5;


RegExp.$6

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$6;


RegExp.$7

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$7;


RegExp.$8

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$8;


RegExp.$9

RegExp Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

This returns the corresponding parenthesized subcomponent result returned by the regular expression operation.

Syntax:

var nParen = RegExp.$9;


RegExp Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Regular Expression Object

The Regular Expression Object is an instance of the RegExp Object. Each regular expression uses a pattern to locate matches within strings. To create a regular expression object, surround the pattern with forward slashes(/) and assign the pattern to a variable. You can also use an expression directly as a parameter to pass to a method.

Reference:

var regExpression = /Hello World/;

var regularExpressionObject = new RegExp([“pattern”, [“g” | “I” | “gi”]]);

Properties	Methods
global	compile
ignoreCase	exec
lastIndex	test
source

The following table is a summary of the regular expression notation used in JavaScript.

Character	Matches
\b	Word boundary
\B	Word non boundary
\d	Numeral 0 through 9
\D	Non numeral
\s	Single whitespace
\S	Single non whitespace
\w	Letter, numeral or underscore
\W	Not a letter, numeral or underscore
.	Any character except a new line
[…]	Any one of the character set in brackets
[^…]	Negated character set
*	Zero or more times
?	Zero or one time
+	One or more times
{n}	Exactly n times
{n,}	n or more times
{n,m}	At least n at most m times
^	At the beginning of a string or line
$	At the end of a string or line


Regular Expression.global

Regular Expression Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	Version 1.2	Version 3.0

Returns whether the object had the g modifier set when it was created.

Syntax:

var gb = myReg.global;


Regular Expression.ignoreCase

Regular Expression Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	Version 1.2	Version 3.0

Returns whether the object had the i modifier set when it was created.

Syntax:

var ignore = myReg.ignoreCase;


Regular Expression.lastIndex

Regular Expression Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	Version 3.0

This value is the zero-based index value of the character within a string where the next search begins.

Syntax:

var last = myReg.lastIndex;


Regular Expression.source

Regular Expression Object

Read	Write	Value	JavaScript	JScript
Yes	No	String	Version 1.2	Version 3.0

Returns a string version of the characters used to create the regular expression.

Syntax:

var src = myReg.source;


Regular Expression.compile(pattern[, g | i | gi])

Regular Expression Object

Return Value	JavaScript	JScript
Object Reference	Version 1.2	Version 3.0

This method compiles a regular expression pattern into a regular expression object.

Syntax:

var newReg = myReg.compile(pattern[, g | i | gi]);


Regular Expression.exec(string)

Regular Expression Object

Return Value	JavaScript	JScript
Array of match information or null	Version 1.2	Version 3.0

This method performs a search through the string passed as a parameter for the current regular expression pattern.

Syntax:

var result = myReg.exec(string);


Regular Expression.test(string)

Regular Expression Object

Return Value	JavaScript	JScript
Boolean	Version 1.2	Version 3.0

This method returns true if there is a match anywhere in the string.

Syntax:

var found = myReg.test(string);


Screen Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Screen Object

The Screen Object is a means for accessing properties of the video display the browser is being viewed on. This can be very helpful in creating new windows.

Reference:

screen.property;

Properties	Methods
availHeight	none
availLeft
availTop
availWidth
bufferDepth
colorDepth
height
pixelDepth
updateInterval
width


Screen.availHeight

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This value is the available height of the users video monitor in pixels.

Syntax:

var sHeight = screen.availHeight;


Screen.availWidth

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This value is the available width of the users video monitor in pixels.

Syntax:

var sWidth = screen.availWidth;


Screen.availLeft

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value is the available left edge of the screen. Always zero?

Syntax:

var sLeft = screen.availLeft;


Screen.availTop

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value is the available top edge of the screen. Always zero?

Syntax:

var sTop = screen.availTop;


Screen.bufferDepth

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value is the setting of the offscreen bitmap buffer.

Syntax:

var sbuffer = screen.bufferDepth;


Screen.colorDepth

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This value is the number of bits per pixel used to display color in the video monitor or image buffer.

Syntax:

var sColors = screen.colorDepth;


Screen.height

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This value is the number of pixels vertically in the video monitor.

Syntax:

var sHeight = screen.height;


Screen.width

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	Version 3.0

This value is the number of pixels horizontally in the video monitor.

Syntax:

var sWidth = screen.width;


Screen.pixelDepth

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value is the number of bits per pixel used to display color in the video monitor or image buffer.

Syntax:

var sPixels = screen.pixelDepth;


Screen.updateInterval

Screen Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value is the time interval in milliseconds between screen updates.

Syntax:

var sUpdate = screen.updateInterval;


String Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
String Object

The String Object is any sequence of zero or more characters that are to be treated as text only. There several methods for the String Object, some for string manipulation, some for using with the document.write() methods. These methods wrap the value passed in a pair of HTML tags.

Construction Methods:

var aString = “my new value”;

var aString = new String(“my new value”);

Properties	Methods
length	anchor
prototype	big
	blink
	bold
	charAt
	charCodeAt
	concat
	fixed
	fontcolor
	fontsize
	fromCharCode
	indexOf
	italics
	lastIndexOf
	link
	match
	replace
	search
	slice
	small
	split
	strike
	sub
	substr
	substring
	sup
	toLowerCase
	toUpperCase


String.length

String Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.0	Version 1.0

This value returns the count of characters in the string.

Syntax:

var count = aString.length;


String.prototype

String Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Any data type or method	Version 1.1	Version 2.0

Use this property to add properties or methods to any other string created within the document.

Syntax:

aString.prototype.name = “myString”;


String.anchor(anchorName)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <a> tag set with the parameter set as the name attribute.

Syntax:

var tag = myString.anchor(“newName”);


String.big(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <big> tag set.

Syntax:

var tag = myString.big(string);


String.blink(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <blink> tag set.

Syntax:

var tag = myString.blink(string);


String.bold(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <b> tag set.

Syntax:

var tag = myString.bold(string);


String.charAt(index)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns the character at the passed zero-based index value.

Syntax:

var char = myString.charAt(index);


String.charCodeAt(index)

String Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns the character code of the character at the passed zero-based index value.

Syntax:

var charCode = myString.charCodeAt(index);


String.concat(string)

String Object

Return Value	JavaScript	JScript
Integer	Version 1.2	Version 3.0

This method returns a string that has the string passed as a parameter appended to the current String Object.

Syntax:

var twoStrings = myString.concat(string);


String.fixed(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <tt> tag set.

Syntax:

var tag = myString.fixed(string);


String.fontcolor(color)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <font> tag set with the parameter set as the color attribute.

Syntax:

var tag = myString.fontcolor(color);


String.fontsize(size)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <font> tag set with the parameter set as the size attribute.

Syntax:

var tag = myString.fontsize(size);


String.fromCharCode(num1[, num2[,numN]])

String Object

Return Value	JavaScript	JScript
String	Version 1.2	Version 3.0

This method is a static method that returns a string of one or more characters whose Unicode values are apssed as parameters.

Syntax:

var chars = String.fromCharCode(120, 121, 122);


String.indexOf(string[, startIndex])

String Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns a zero-based integer of the position of the passed string within the current string. The search starts at zero by default but you can pass an optional parameter as a start index. If the string is not found, the result is –1.

Syntax:

var found = myString.indexOf(string[, startIndex]);


String.italics(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <i> tag set.

Syntax:

var tag = myString.italics(string);


String.lastIndexOf(string[, startIndex])

String Object

Return Value	JavaScript	JScript
Integer	Version 1.0	Version 1.0

This method returns a zero-based integer of the position of the passed string within the current string. The search starts at the end of the string by default but you can pass an optional parameter as a start index. If the string is not found, the result is –1.

Syntax:

var found = myString.lastIndexOf(string[, startIndex]);


String.link(URL)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <a> tag set with the parameter set as the href attribute.

Syntax:

var tag = myString.link(URL);


String.match(regularExpression)

String Object

Return Value	JavaScript	JScript
Array	Version 1.2	Version 3.0

This method returns an array of strings that match the regular expression passed as a parameter.

Syntax:

var exp = myString.match(regularExpression);


String.replace(regularExpression, replaceString)

String Object

Return Value	JavaScript	JScript
String	Version 1.2	Version 3.0

This method returns a string that is the result of the method replacing all the matches of the regular expression being replaced by the replacement string.

Syntax:

var exp = myString.replace(regularExpression, replaceString);


String.search(regularExpression)

String Object

Return Value	JavaScript	JScript
Integer	Version 1.2	Version 3.0

This method returns the zero-based index value of the first character in the current string that matches the regular expression passed as a parameter.

Syntax:

var found = myString.search(regularExpression);


String.slice(startIndex[, endIndex])

String Object

Return Value	JavaScript	JScript
Integer	Version 1.2	Version 3.0

This method returns a substring of the current string starting at the start index and ending with either the optional end index or the end of the string. The optional parameter may be a negative value that would start the count at the end of the string.

Syntax:

var found = myString.indexOf(string[, startIndex]);


String.small(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <small> tag set.

Syntax:

var tag = myString.small(string);


String.split(delimiter)

String Object

Return Value	JavaScript	JScript
Array	Version 1.2	Version 3.0

This method returns an array of strings that have been constructed by dividing the current string at each instance of the passed delimiter. The delimiter is not part of the returned array entries.

Syntax:

var nArray = myString.split(“delimiter”);


String.strike(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <strike> tag set.

Syntax:

var tag = myString.strike(string);


String.sub(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <sub> tag set.

Syntax:

var tag = myString.sub(string);


String.substr(startIndex[, length])

String Object

Return Value	JavaScript	JScript
String	Version 1.2	Version 3.0

This method returns a string that is a substring of the current string. The substring begins at the zero-based index of the start index and is either as long as the optional passed parameter or extends to the end of the string.

Syntax:

var sub = myString.substr(startIndex[, length]);


String.substring(startIndex, endIndex)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a string that is a substring of the current string. The substring begins at the zero-based index of the start index and extends to the end index.

Syntax:

var sub = myString.substring(startIndex, endIndex);


String.sup(string)

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the passed parameter surrounded by the <sup> tag set.

Syntax:

var tag = myString.sup(string);


String.toLowerCase()

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the current string converted to all lower case characters.

Syntax:

var lowString = myString.toLowerCase();


String.toUpperCase()

String Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method returns a copy of the current string converted to all upper case characters.

Syntax:

var upperString = myString.toUpperCase();


UserProfile Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
UserProfile Object

The UserProfile Object is a sub object of the Navigator object. This object allows you to access numerous pieces of information stored in the browser’s user profile.

Reference:

var uAttribute = navigator.userProfile.method;

navigator.userProfile.method;

Properties	Methods
none	addReadRequest
	clearRequest
	doReadRequest
	getAttribute


UserProfile.addReadRequest(“attributeName”)

UserProfile Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method adds a request to inspect a particular profile attribute that is passed as a quoted parameter to the queue. The parameter is any one of the vCard attributes in Internet Explorer.

Syntax:

navigator.userProfile.addReadRequest(“vcard.firstname”);


UserProfile.clearRequest()

UserProfile Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method clears the queue of attribute names to be retrieved.

Syntax:

navigator.userProfile.clearRequest();


UserProfile.doReadRequest(usageCode[, friendlyName[, domain[, path[, expiration]]]])

UserProfile Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method makes the request for all the attributes in the queue. If any of the attributes does not have permission to be accessed, the user is presented with a dialog box to either grant access or not.

Syntax:

navigator.userProfile.doReadRequest(usageCode[, friendlyName[, domain[, path[, expiration]]]]);


UserProfile.getAttribute(“attributeName”)

UserProfile Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method returns the value of the attribute passed, provided the user has granted permission.

Syntax:

navigator.userProfile.getAttribute(“vcard.firstname”);


Window Object
Array	Boolean	Date	Document	Enumerator	Error
event	Event.	Function	Global	History	Image
Layer	Location	Math	MimeTypes	Navigator	Number
Object	Plugins	RegExp	Regular Expression	Screen	String
UserProfile	Window	For more information on JavaScript, please see the JavaScript Resources.
Window Object

The Window Object represents the window in which the document is displayed. The window object is vital when scripting involves communication to other frames or sub-windows. The window object is basically the parent of all other objects. Because the window object is there, you can omit it from most other object references.

Reference:

window.object.property or method;

window.property or method;

Properties	Methods
clientInformation	alert
closed	back
defaultStatus	blur
dialogArguments	captureEvents
dialogHeight	clearInterval
dialogLeft	clearTimeout
dialogTop	close
dialogWidth	confirm
document	disableExternalCapture
event	enableExternalCapture
history	execScript
innerHeight	find
innerWidth	focus
length	forward
location	handleEvent
locationbar	home
menubar	moveBy
name	moveTo
navigator	navigate
offscreenBuffering	open
opener	print
outerHeight	prompt
outerWidth	releaseEvents
pageXOffset	resizeBy
pageYOffset	resizeTo
parent	routeEvent
personalbar	scroll
returnValue	scrollBy
screen	scrollTo
scrollbars	setInterval
self	setTimeout
status	showHelp
statusbar	showModalDialog
toolbar	stop
top


Window.clientInformation

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Navigator Object	NA	Version 3.0

This value returns the navigator object. This is just a way to access the same properties of the navigator object, without calling it navigator. Internet Explorer recognizes either reference.

Syntax:

window.clientInformation.property;


Window.closed

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Boolean	Version1.1	Version 3.0

This value returns the state of a sub-window created by the window.open() method. If true, it means the window is no longer available for referencing its objects.

Syntax:

var subClosed = windowName.closed;


Window.defaultStatus

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value is supposed to be the default text displayed in the window’s status bar, but all browsers seem to produce unpredictable behavior.

Syntax:

window.defaultStatus = “Hello World”;


Window.dialogArguments

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	String, Integer or Array	NA	Version 3.0

This value is the extra arguments passed to a modal dialog using the showModalDialog() method.

Syntax:

var args = window.dialogArguments;


Window.dialogHeight

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value is the height of the dialog created with the showModalDialog() method. This should be set when calling the method.

Syntax:

var dHeight = window.dialogHeight;


Window.dialogWidth

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value is the width of the dialog created with the showModalDialog() method. This should be set when calling the method.

Syntax:

var dWidth = window.dialogWidth;


Window.dialogLeft

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value is the offset distance of the left edge of the modal dialog created using the showModalDialog() method, relative to the top left corner of the screen.

Syntax:

var dLeft = window.dialogLeft;


Window.dialogTop

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	NA	Version 3.0

This value is the offset distance of the top edge of the modal dialog created using the showModalDialog() method, relative to the top left corner of the screen.

Syntax:

var dTop = window.dialogTop;


Window.document

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Event Object	Version 1.0	Version 1.0

This property is actually a sub object of the window object, for details, please see:

Document Object


Window.event

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Event Object	NA	Version 3.0

This property is actually a sub object of the window object, for details, please see:

event Object


Window.history

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	History Object	NA	Version 3.0

This property is actually a sub object of the window object, for details, please see:

History Object


Window.innerHeight

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value is the height of the content window of the browser or frame in pixels.

Syntax:

var iHeight = window.innerHeight;


Window.innerWidth

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value is the width of the content window of the browser or frame in pixels.

Syntax:

var iWidth = window.innerWidth;


Window.length

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	NA	Version 3.0

This value is the count of frames within the current window.

Syntax:

var nFrames = window.length;


Window.location

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Location Object	Version1.0	Version 1.0

This property is actually a sub object of the window object, for details, please see:

Location Object


Window.locationbar

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object	Version1.2	NA

This value is a reference to the locationbar of the browser. This property can be set at the time of creation using the open() method. After a window is open, it requires signed scripts to alter the visibility of the object.

Syntax:

var bar = window.locationbar.visibility;


Window.menubar

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object	Version1.2	NA

This value is a reference to the menubar of the browser. This property can be set at the time of creation using the open() method. After a window is open, it requires signed scripts to alter the visibility of the object.

Syntax:

var bar = window.menubar.visibility;


Window.personalbar

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object	Version1.2	NA

This value is a reference to the personalbar of the browser. This property can be set at the time of creation using the open() method. After a window is open, it requires signed scripts to alter the visibility of the object.

Syntax:

var bar = window.personalbar.visibility;


Window.scrollbars

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object	Version1.2	NA

This value is a reference to the scrollbars of the browser. This property can be set at the time of creation using the open() method. After a window is open, it requires signed scripts to alter the visibility of the object.

Syntax:

var bar = window.scrollbars.visibility;


Window.statusbar

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object	Version1.2	NA

This value is a reference to the statusbar of the browser. This property can be set at the time of creation using the open() method. After a window is open, it requires signed scripts to alter the visibility of the object.

Syntax:

var bar = window.statusbar.visibility;


Window.toolbar

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object	Version1.2	NA

This value is a reference to the toolbar of the browser. This property can be set at the time of creation using the open() method. After a window is open, it requires signed scripts to alter the visibility of the object.

Syntax:

var bar = window.toolbar.visibility;


Window.name

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Object Reference/String	Version1.0	Version 1.0

This value is a the name used for building references to sub-windows or frames. It should contain no whitespace can not begin with a number and have no punctuation besides the underscore.

Syntax:

var myWin = window.name;


Window.navigator

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Navigator Object	Version1.0	Version 1.0

This property is actually a sub object of the window object, for details, please see:

Navigator Object


Window.offscreenBuffering

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Boolean	NA	Version 3.0

This value determines whether or not the browser should use offscreen buffering path animation performance.

Syntax:

window.offscreenBuffering = true;


Window.opener

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Object Reference	Version1.1	Version 1.0

This value is a means for a sub-window to build references to the objects in the window that opened it using the open() method.

Syntax:

opener.document.property or method


Window.outerHeight

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value is the height of the window of the browser or frame in pixels including (for the top window) all toolbars menus etc..

Syntax:

var oHeight = window.outerHeight;


Window.outerWidth

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Integer	Version 1.2	NA

This value is the width of the window of the browser or frame in pixels including (for the top window) all toolbars menus etc..

Syntax:

var oWidth = window.outerWidth;


Window.pageXOffset

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value is the amount in pixels of the page that is not visible in the x axis, because the page has been scrolled sideways.

Syntax:

var xOffset = window.pageXOffset;


Window.pageYOffset

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Integer	Version 1.2	NA

This value is the amount in pixels of the page that is not visible in the y axis, because the page has been scrolled down.

Syntax:

var yOffset = window.pageYOffset;


Window.parent

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Object Reference	Version 1.0	Version 1.0

This value is a reference to the parent window object whose document defined the frameset of the current document. Use this reference to access objects, properties or methods in either the parent or to build references to other child windows.

Syntax:

parent.document.property or method;


Window.returnValue

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Any scriptable data type	NA	Version 3.0

This value is the value that is returned to the main window when a modal dialog closes that was created using the showModalDialog() method. This value should be set in the modal dialog.

Syntax:

var rValue = window.showModalDialog(parameters);


Window.screen

Window Object

Read	Write	Value	JavaScript	JScript
Yes	No	Screen Object	NA	Version 3.0

This property is actually a sub object of the window object, for details, please see:

Screen Object


Window.self

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Window Object	NA	Version 3.0

This value is a reference to the current window or frame. Its purpose is to clarify complex scripts that use many window references. Never use window.self to reference the current window object.

Syntax:

self.property or method


Window.status

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	String	Version 1.0	Version 1.0

This value is the text in the statusbar of the window. Setting this value must return true;

Syntax:

window.status = “Hello World!”;return true;


Window.top

Window Object

Read	Write	Value	JavaScript	JScript
Yes	Yes	Window Object	Version 1.0	Version 1.0

This value is a reference to the top browser window object. This can be used to build references from framed windows to access the properties or objects of the window containing the frameset.

Never use the reference window.top.

Syntax:

top.property or object


Window.alert(message)

Window Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method presents the user with a message dialog box containing the string message passed as a parameter.

Syntax:

alert(“Hello world!”);


Window.back()

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method moves the browser one step in the document history list. This is equivalent to clicking the browsers back button.

Syntax:

window.back();


Window.blur()

Window Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 3.0

This method removes the focus from the window. In Internet Explorer it also fires an onBlur event.

Syntax:

window.blur();


Window.captureEvents(eventTypeList)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method tells the browser to intercept events of a specific type. The eventTypeList can be a comma separated list of event types. The object that calls this method must provide event handlers for the event type to process the events.

Syntax:

window.captureEvents(Event.CLICK);


Window.clearInterval(intervalID)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	Version 3.0

This method tells the browser to clear the interval looping of the specified Interval ID passed as a parameter.

Syntax:

window.clearInterval(intervalID);


Window.clearTimeout(timeoutlID)

Window Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method tells the browser to clear the timeout delay counter of the specified timeout ID passed as a parameter.

Syntax:

window.clearTimeout(timeoutID);


Window.close()

Window Object

Return Value	JavaScript	JScript
null	Version 1.0	Version 1.0

This method closes the current window. If this is the main window, the user will be prompted to allow it to close.

Syntax:

window.close();


Window.confirm(message)

Window Object

Return Value	JavaScript	JScript
Boolean	Version 1.0	Version 1.0

This method presents the user with a confirmation dialog box with the passed string parameter displayed. This should be a question. The dialog has two buttons representing either (yes or ok) or (no or cancel). If the user selects yes or ok this method returns true.

Syntax:

window.confirm(“Are you sure?”);


Window.disableExternalCapture()

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method requires signed scripts. This disallows a script to capture events from other windows or frames from domains outside the one that served the document.

Syntax:

window.disableExternalCapture();


Window.enableExternalCapture()

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method requires signed scripts. This allows a script to capture events from other windows or frames from domains outside the one that served the document.

Syntax:

window.enableExternalCapture();


Window.execScript(expressionList [, language])

Window Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method evaluates one or more script expressions in any scripting language embedded in the browser. Expressions must be contained in a single string. Multiple expressions can be passed, separated by a semicolon. The language argument can be any of the following:

JavaScript

Jscript

VBS

VBScript

Syntax:

window.execScript(“var h =’Hello’; var w = ‘World’; alert(h + w)”);


Window.find(searchText, [, matchCaseBool [, upBool]])

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method searches the documents content text for a match to the search text. You can pass optional boolean values for matching case sensitivity and direction of search.

Syntax:

window.find(“search text”, true, false);


Window.focus()

Window Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 3.0

This method moves the focus to the window bringing it to the front of all other browser windows. In Internet Explorer it also fires an onFocus event.

Syntax:

window.focus();


Window.forward()

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method moves the browser one step forward in the browser’s history list. This is equivalent to clicking the browser’s forward button.

Syntax:

window.forward();


Window.handleEvent(event)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method tells the object to handle the event passed as a parameter. The object must have an event handler to handle this event type in order to process the event.

Syntax:

window.handleEvent(Event.CLICK);


Window.home()

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method moves the browser to the URL designated in the users profile to be the default page.

This is equivalent of clicking the browser’s home button.

Syntax:

window.home();


Window.moveBy(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	Version 3.0

This method moves the window incrementally by the passed x and y values. Positive x values move the window to the right, positive y values move the window downward.

Syntax:

window.moveBy(100, -10);


Window.moveTo(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	Version 3.0

This method moves the window to the absolute x and y coordinates relative to the top left corner of the screen.

Syntax:

window.moveTo(100, 10);


Window.navigate(URL)

Window Object

Return Value	JavaScript	JScript
null	NA	Version 1.0

This method loads a new document passed as a parameter into the browser window or frame.

Syntax:

window.navigate(complete or relative URL);


Window.open(URL, windowName[, windowProperties])

Window Object

Return Value	JavaScript	JScript
Window Object	Version 1.0	Version 1.0

This method opens a sub window, containing the URL of the first passed parameter. The second parameter is the name for the window, and the optional third parameter is a quoted string of comma separated window properties. The following table show the possible properties:

Property	IE	Netscape	Description
alwaysLowered	-	4	Always behind other windows
alwaysRaised	-	4	Always in front of other windows
copyhistory	3	2	Copies history list to new window
dependent	-	4	Closes if opening window closes
directories	3	2	Displays directories button
height	3	2	Window height in pixels
hotkeys	-	4	Disables menu keyboard shortcuts
innerHeight	-	4	Content area height
innerWidth	-	4	Content area width
left	4	-	Windows left edge relative to screen
location	3	2	Displays location field
menubar	3	2	Displays the menus
outerHeight	-	4	Total window height
outerWidth	-	4	Total window width
resizable	3	2	Allows window resizing
screenX	-	4	Windows left edge relative to screen
screenY	-	4	Windows top edge relative to screen
scrollbars	3	2	Displays the scrollbars
status	3	2	Displays the status bar
titlebar	-	4	Displays the title bar
toolbar	3	2	Displays the toolbar
top	4	-	Windows top edge relative to screen
width	3	2	Width of the window in pixels
z-lock	-	4	New window is fixed below other windows

Syntax:

var myWindow = window.open(“URL”, “myWindow”,”status,titlebar,height=200,width=400”);


Window.print()

Window Object

Return Value	JavaScript	JScript
null	NA	Version 1.0

This method presents the user with the printer dialog box to confirm whether or not to print the document.

Syntax:

window.print();


Window.prompt(message, defaultText)

Window Object

Return Value	JavaScript	JScript
String	Version 1.0	Version 1.0

This method shows a user input dialog box. The message is displayed in the dialog with the default text entered into the input field. The returned string is the text the user enters into the input field. If the user presses the Cancel button, the return value is null.

Syntax:

var name = window.prompt(“Please enetr your name:”,””);


Window.releaseEvents(eventTypeList)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method tells the object to release the Events it is capturing. The parameter is a comma separated list of event types.

Syntax:

window.releaseEvents(Event.CLICK);


Window.resizeBy(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method resizes the window incrementally by the passed x and y values.

Syntax:

window.resizeBy(100, -10);


Window.resizeTo(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method resizes the window to the absolute x and y pixel values.

Syntax:

window.resizeTo(200, 100);


Window.routeEvent(event)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method is used inside an event handler to tell the handler to let the event pass through and be processed normally.

Syntax:

window.routeEvent(event);


Window.scroll(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.1	Version 3.0

This method sets the scrolled position of the document inside the window or frame.

Syntax:

window.scroll(100, 0);


Window.scrollBy(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	Version 3.0

This method scrolls the document incrementally by the passed x and y values. Positive x values scroll the document to the right, positive y values scroll the document down.

Syntax:

window.scrollBy(100, -10);


Window.scrollTo(xPixels, yPixels)

Window Object

Return Value	JavaScript	JScript
null	Version 1.2	NA

This method scrolls the document to the specified coordinates.

Syntax:

window.scrollTo(100, 10);


Window.setInterval(expression, delay[, arguments | language])

Window Object

Return Value	JavaScript	JScript
Integer as an ID	Version 1.2	Version 3.0

This method starts a timer that invokes the “expression” parameter(usually a function) every “delay” specified in milliseconds. The third optional parameter is either:

arguments to be passed to the function defined in expression

or

an optional scripting language(default is JavaScript)

Syntax:

var intervalID = window.setInterval(“myFunction()”, 1000);


Window.setTimeout (expression, delay[, arguments | language])

Window Object

Return Value	JavaScript	JScript
Integer as an ID	Version 1.0	Version 1.0

This method starts a one-time timer that invokes the “expression” parameter(usually a function) every “delay” specified in milliseconds. The third optional parameter is either:

arguments to be passed to the function defined in expression

or

an optional scripting language(default is JavaScript)

Note: other scripts can run while the browser waits to evaluate the “expression”.

Syntax:

var intervalID = window.setTimeout(“myFunction()”, 1000);


Window.showHelp(URL)

Window Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method displays a WinHelp dialog with the document specified in the URL passed as a parameter.

Syntax:

window.showHelp(“myhelpfile.html”);


Window.showModalDialog(URL[, arguments[, features]])

Window Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method displays a modal window that is displayed and stays in front of all other windows with the document passed as the first parameter. The second parameter is data of either a number, string or array type, passed to the scripts of the modal dialog. The third parameter is a string of semicolon delimited list of attributes for the dialog. The attributes are as follows:

center (possible values: yes no 1 or 0)

dialogHeight(Pixel value)

dialogLeft(Pixel value)

dialogTop(Pixel value)

dialogWidth(Pixel value)

Syntax:

window.showModalDialog(“myfile.html”, argVar, “dialogWidth:400px; dialogHeight:200px; center:yes”);


Window.stop()

Window Object

Return Value	JavaScript	JScript
null	NA	Version 3.0

This method stops the download of all external data. It is equivalent to clicking the browser’s stop button.

Syntax:

window.stop();


New Project

This dialog will help you create a new project. WebScripter will create a project file to keep track of various information about your project. Fill in the fields as described below.

Project Information

Name:

This will be the actual name of the project file. You can use a name descriptive of the project. Do not add an extension.

Project Path:

This is the path where the project will be saved and the default directory structure will be created. See Directory Structure.

Base Path:

This is the root directory of your space on the server. Include the trailing backslash.

Auto Comments

Use Template File:

This will set the template file for use with your project. When selecting “New” you can tell it to create a new file from template. This is the file that will be created as a starting point.

Template File:

A field to browse for the file to use as a template.

Save Desktop:

This tells WebScripter to save the desktop configuration to the project file. This can be useful if you are using a different desktop for an individual project. This will however, slow the loading of project files when opened. After the project is loaded, performance is unaffected.

Use Auto Comments:

This tells WebScripter to insert the auto comments into each new document.

Authors Name:

Type in your name.

Company:

Type in your company information.

Copyright:

Type in copyright information. This string is preceded by “Copyright©”


This will be the actual name of the project file. You can use a name descriptive of the project. Do not add an extension.


This is the path where the project will be saved and the default directory structure will be created. See Directory Structure.


This is the root directory of your space on the server. Include the trailing backslash.


General Project Information

WebScripter provides the option to keep your files organized automatically using a project file. This file contains information about the location of all the files in your project. Any time you use a wizard or assistant to make a reference to a URL or a file, WebScripter will create the reference with a relative path for you.

There is an explorer type tree that will reflect all the files in your project at any given time. This is laid out in a familiar tree type directory structure. These files can be opened by double-clicking the file in the tree.

Keeping your files together and organized like this makes it easy to upload the project when you are ready to publish the project to the web. You can just create the same directory structure on your server and upload the files accordingly.

When you close WebScripter, if you are working on a particular project, WebScripter will remember this and when you open up WebScripter again, the project is automatically opened with all the files you had opened in the editor. It even remembers which file had focus when you left off.


Saving your Desktop

WebScripter will automatically save your desktop when you close the program. In addition to this, you can save the desktop in a project file. This will save the environment interface along with the project information. When you open that project, all the toolbars windows etc are set back to the way you had them the last time you worked on that project.

Note: This makes opening a project significantly slower, but once the project is open, performance is restored to normal.


What Are Component Objects

This is a long thought out direction WebScripter is taking, the introduction of component objects. Component Objects are simply customized objects written in JavaScript. They are created using the “new” operator. WebScripter uses Component Objects in all of the JavaScript Wizards.

They are a JavaScript file (.js) that has a complete object defined within the file. When the wizard creates the script, it creates an instance of the object. There is a reference to the file inserted via the <script> tag and then the properties are set and the methods used by the wizard in the document.

The component set included with the Standard Edition of WebScripter cover most of the popular effects you see on web sites around the web.

The Professional Version includes the ability to create and import third party component objects. There is also an extensive library of component objects included with the Pro Version along with an assistant type dialog for creating instances and accessing their properties and methods.


How do they Work?

When you use a JavaScript Wizard, the wizard gathers information from you about how you want the objects to function. When you complete the wizard, it adds a reference to the object file and includes it in your project or copies it to your working directory.

The wizard then takes the information gathered and sets the properties of the object, constructs the appropriate html code and calls the methods of the object passing the necessary parameters.

By using objects this way, you have an object file once on your server, and you can use that object in as many pages as you like. This saves you from having to script the object into each document. All you do is create the reference, create an instance and you have access to that object. You can create multiple instances of the object by simply naming the variable containing the instance with a unique name.


How do I Access Them?

In the Standard Edition, the only direct access is through the wizards, although once the object is referenced and included, you can directly script the object as you would any core JavaScript Object. You will be alerted when ever WebScripter adds a file to a project. Just open the JavaScript file that contains the object and you can easily see the properties and methods available in the object.


Document Properties

<body>

The document properties Wizard helps you set the overall properties of the document. These properties are mostly contained in the <body> tag of the document. The exceptions are the Title, Author, Company, and Copyright fields.

Document Information

Title:

This is the title of the document.

Author:

This is the Author comment. Changing this field will either modify or create an author comment.

Company:

This is the Company comment. Changing this field will either modify or create a company comment.

Copyright:

This is the Copyright comment. Changing this field will either modify or create a copyright comment.

Document Settings

Background Image:

This sets the image that will be tiled in the background.

Text Color:

This will be the color of the default text in the document.

Active Link Color:

This will be the color of a link when it is active.

Background Color:

The default background color of the document.

Link Color:

The default color of links in the document.

Visited Link:

The default color of the previously visited links in the document.

All of these setting are subject to being changed either by styles, or explicitly setting the attributes of other tags.


This sets the title of the document.


This sets the image that will be tiled in the background.


This will be the color of the default text in the document.


This will be the color of a link when it is active.


The default background color of the document.


The default color of links in the document.


The default color of the previously visited links in the document.


Fonts Wizard

<font>

The fonts wizard will help you set the font properties via the <font> tag. This wizard lets you preview the text in context as it will appear in the document. You can set the background color of the preview area to the color of your page and the font in the preview area is updated as you make changes to show exactly what it will look like in the document.

Preview

This is the area where you preview the text.

Change Preview Background Color:

This will open the color picker to allow you to set the color of the background of the preview area.

Example Text:

Just type in the text you want to preview.

Font Properties

Font List:

This a listing of all the fonts available to your system. Remember to add a generic type font as if the end user does not have the specified font on their machine it will use the browser default.

Font Color:

This designates the color of the text that is enclosed within the tag.

Point Size:

This designates the actual point-size of the font. It uses the style attribute.

Include Size:

This box needs to be checked to include a size in the tag.

Add Font Face to Tag:

This will add a list of fonts to be added to the tag. The fonts will be displayed by priority according to order, dependent on the end users system fonts.

Bold:

Adds a Bold <b> tag to the inserted code.

Italics:

Adds an Italics <I> tag to the inserted code.

Underline:

Adds an Underline <u> tag to the inserted code.

Strike:

Adds a Strike <s> tag to the inserted code.


This is the area where you preview the text.


This will open the color picker to allow you to set the color of the background of the preview area.


Just type in the text you want to preview.


This a listing of all the fonts available to your system. Remember to add a generic type font as if the end user does not have the specified font on their machine it will use the browser default.


This designates the color of the text that is enclosed within the tag.


This designates the actual point-size of the font. It uses the style attribute.


This box needs to be checked to include a size in the tag.


This will add a list of fonts to be added to the tag. The fonts will be displayed by priority according to order, dependent on the end users system fonts.


Adds a Bold <b> tag to the inserted code.


Adds an Italics <I> tag to the inserted code


Adds an Underline <u> tag to the inserted code.


Adds a Strike <s> tag to the inserted code.


Horizontal Rule Wizard

<hr>

The horizontal rule wizard will help you set the attributes and insert a horizontal rule into your document. Horizontal rules are simply horizontal lines that can have different effects.

Rule Properties

Alignment:

This specifies the alignment of the rule. Which side of the page the rule will be aligned with.

Rule Color:

This will be the color of the rule. If left blank, the rule will be the default text color.

No Shading:

This will tell the browser to render the rule as flat with no 3D effect.

Size:

This specifies the height of the rule in pixels.

Width:

If percentage is checked, this specifies the rules width in percent, other wise, the width will be in pixels.

Percentage:

This is used with width, it specifies that the width value is a percentage of the window.


This specifies the alignment of the rule. Which side of the page the rule will be aligned with.


This will be the color of the rule. If left blank, the rule will be the default text color.


This will tell the browser to render the rule as flat with no 3D effect.


This specifies the height of the rule in pixels.


If percentage is checked, this specifies the rules width in percent, other wise, the width will be in pixels.


This is used with width, it specifies that the width value is a percentage of the window.


Auto List Wizard

<ol>

<ul>

<li>

The auto list wizard will help you set the attributes and convert several lines of text in the editor into a bulleted list. You must select the lines you want converted before invoking the wizard.

List Properties

Ordered/Unordered

This specifies whether the list will use the <ol> ordered list tag or the <ul> unordered list tag.

Type

This specifies the type of bullet that will be displayed in front of each item. This attribute is dependent on whether the list is ordered or unordered.

Clear

This specifies whether content is to be cleared on either side of the list as a whole.

Compact

This specifies that compact rendering will be applied if possible.

Start

If the list is an ordered list, this specifies which number to begin with.

Item Properties

Clear

This specifies whether content is to be cleared on either side of a list item.

Type

This specifies the type of bullet that will be displayed in front of each item. This attribute is dependent on whether the list is ordered or unordered. This overrides the type setting in the actual list tag.


This specifies that the list will be ordered.


This specifies that the list will be unordered.


This specifies the type of bullet that will be displayed in front of each item. This attribute is dependent on whether the list is ordered or unordered.


This specifies whether content is to be cleared on either side of the list as a whole.


This specifies that compact rendering will be applied if possible.


If the list is an ordered list, this specifies which number to begin with.


This specifies whether content is to be cleared on either side of a list item.


This specifies the type of bullet that will be displayed in front of each item. This attribute is dependent on whether the list is ordered or unordered. This overrides the type setting in the actual list tag.


Links and Anchors Wizard

<a>

The links and anchors wizard will help you create links to other documents, links to anchors within the document and anchors to link to. You can also add in JavaScript function calls to be executed on certain events.

Link/Anchor Properties

Type:

This is where you select the type or actual functionality of the anchor or link.

Name:

This specifies the name of the anchor or link. If creating an anchor, this is required, otherwise the name is optional.

Href:

This specifies the URL of the document to link to. This can be an absolute or relative path.

Target:

This specifies the target frame for the link. You can type in a frame name or use one of the HTML keywords already available.

Anchor Name:

This specifies the anchor name you want to link to. This will be appended to the URL using the hash(#) operator.

Event Handlers

onClick:

This allows you to specify a JavaScript function to be called when the link is clicked.

onMouseOver

This allows you to specify a JavaScript function to be called when the pointing device moves over the link.

onMouseOut

This allows you to specify a JavaScript function to be called when the pointing device moves off or away from the link.


This is where you select the type or actual functionality of the anchor or link.


This specifies the name of the anchor or link. If creating an anchor, this is required, otherwise the name is optional.


This specifies the URL of the document to link to. This can be an absolute or relative path.


This specifies the target frame for the link. You can type in a frame name or use one of the HTML keywords already available.


This specifies the anchor name you want to link to. This will be appended to the URL using the hash(#) operator.


This allows you to specify a JavaScript function to be called when the link is clicked.


This allows you to specify a JavaScript function to be called when the pointing device moves over the link.


This allows you to specify a JavaScript function to be called when the pointing device moves off or away from the link.


Images and Image Links

<img>

The images and image links wizard will help you insert simple images in your page or insert an image that links to an anchor or another document. You can set all the attributes for the image and the link depending on which type of image you choose to include.

Image Properties

Type:

This specifies what type of image you wish to insert into your page.

Name:

This specifies a name for the image. This is an optional attribute but can help identify the image when scripting.

Source File:

This specifies the actual image file you want to insert into the document.

Alternative Text:

This specifies the text that will show as the image loads, and as a tooltip when the pointing device moves over the image.

Align:

This specifies the alignment of the image.

Border:

This specifies the border thickness around the image. For no border, leave this as zero. The border color will be the color of the default text color in the document.

Width:

This specifies the width of the image in pixels.

Height:

This specifies the height of the image in pixels.

Hspace:

This specifies an amount of space to leave blank to the left and right of the image. This value is in pixels.

Vspace:

This specifies an amount of space to leave blank to the top and bottom of the image. This value is in pixels.

Link Properties

Href:

This specifies the URL of the document to link to. This can be an absolute or relative path.

Anchor Name:

This specifies the anchor name you want to link to. This will be appended to the URL using the hash(#) operator.

Target:

This specifies the target frame for the link. You can type in a frame name or use one of the HTML keywords already available.

onClick:

This allows you to specify a JavaScript function to be called when the link is clicked.

onMouseOver

This allows you to specify a JavaScript function to be called when the pointing device moves over the link.

onMouseOut

This allows you to specify a JavaScript function to be called when the pointing device moves off or away from the link.


This specifies what type of image you wish to insert into your page.


This specifies a name for the image. This is an optional attribute but can help identify the image when scripting.


This specifies the actual image file you want to insert into the document.


This specifies the text that will show as the image loads, and as a tooltip when the pointing device moves over the image.


This specifies the alignment of the image.


This specifies the border thickness around the image. For no border, leave this as zero. The border color will be the color of the default text color in the document.


This specifies the width of the image in pixels.


This specifies the height of the image in pixels.


This specifies an amount of space to leave blank to the left and right of the image. This value is in pixels.


This specifies an amount of space to leave blank to the top and bottom of the image. This value is in pixels.


Email Links Wizard

<a>

<img>

The email links wizard will help you create a link that opens the users default email client with a pre-addressed new message. You can specify the subject and body text in the link. You can also make the link an image. If the link is not an image, make sure you type in some text between the starting and ending <a> tags that are inserted into your document.

Link Properties

Image Link:

This specifies whether or not the link will include an image.

Email Address:

This specifies the email address you want the link to email to.

Subject:

This specifies the text that will be included in the subject portion of the email.

Body Content:

This specifies any text you want inserted into the body of the email.

onClick:

This allows you to specify a JavaScript function to be called when the link is clicked.

onMouseOver

This allows you to specify a JavaScript function to be called when the pointing device moves over the link.

onMouseOut

This allows you to specify a JavaScript function to be called when the pointing device moves off or away from the link.

Image Properties

Name:

This specifies a name for the image. This is an optional attribute but can help identify the image when scripting.

Source File:

This specifies the actual image file you want to insert into the document.

Alternative Text:

This specifies the text that will show as the image loads, and as a tooltip when the pointing device moves over the image.

Align:

This specifies the alignment of the image.

Border:

This specifies the border thickness around the image. For no border, leave this as zero. The border color will be the color of the default text color in the document.

Width:

This specifies the width of the image in pixels.

Height:

This specifies the height of the image in pixels.

Hspace:

This specifies an amount of space to leave blank to the left and right of the image. This value is in pixels.

Vspace:

This specifies an amount of space to leave blank to the top and bottom of the image. This value is in pixels.


This specifies whether or not the link will include an image.


This specifies the email address you want the link to email to.


This specifies the text that will be included in the subject portion of the email.


This specifies any text you want inserted into the body of the email.


Tables Wizard

<table>

The tables wizard will help you create and set all the attributes of the table and each individual cell or row in the table. Use the cell and row counters to determine the number of columns and rows you would like in your table. Once the cells and rows are created, you can right-click on a row or cell to popup a menu that will let you determine the properties and attributes of that cell or row. Double-clicking on a row or cell allows you to directly edit the values of that tag.

Cell Definition

Rows:

This determines the number of vertical rows the table will have.

Columns:

This determines the number of cells each row will have.

Background

Image:

This specifies the image file that will be tiled in the background of the table.

Color:

This specifies the background color of the table.

General

Align:

This specifies the alignment of the table horizontally.

Width:

This specifies the width of the table. This can be a pixel value or a percentage of the window. Use the percent(%) symbol to set this value as a percentage.

Height:

This specifies the height of the table. This can be a pixel value or a percentage of the window. Use the percent(%) symbol to set this value as a percentage.

Padding:

This specifies the cellpadding attribute of the table. This is a pixel value of space between the content of a cell and the border.

Spacing:

This specifies the cellspacing attribute of the table. This is a pixel value of space between individual cells.

Frame:

This specifies the display of the outer border of the table. This attribute is not compatible with Netscape.

Rules:

This specifies the display of the inner dividing lines of the table. This attribute is not compatible with Netscape.

Border

Size:

This specifies the thickness of the border of the border of the table. To have no border, leave this at zero.

Color:

This specifies the color of the border around the table.

Light Color:

This specifies the bordercolorlight attribute of the table. This adds a 3D color effect to the upper and left borders of the table.

Dark Color:

This specifies the bordercolordark attribute of the table. This adds a 3D color effect to the lower and right borders of the table.

Caption

Align:

This specifies the horizontal alignment of the table caption.

Vertical Align:

This specifies the vertical alignment of the table caption.

Text:

This specifies the actual text of the table caption if included, leaving this blank will create no caption in the table.


This displays the number of rows and columns the table will have. Right-click for a menu to set the values of individual rows or cells. Double-click on a row or cell to directly edit the values.


This determines the number of vertical rows the table will have.


This determines the number of cells each row will have.


This specifies the image file that will be tiled in the background of the table.


This specifies the background color of the table.


This specifies the alignment of the table horizontally.


This specifies the width of the table. This can be a pixel value or a percentage of the window. Use the percent(%) symbol to set this value as a percentage.


This specifies the height of the table. This can be a pixel value or a percentage of the window. Use the percent(%) symbol to set this value as a percentage.


This specifies the cellpadding attribute of the table. This is a pixel value of space between the content of a cell and the border.


This specifies the cellspacing attribute of the table. This is a pixel value of space between individual cells.


This specifies the display of the outer border of the table. This attribute is not compatible with Netscape.


This specifies the display of the inner dividing lines of the table. This attribute is not compatible with Netscape.


This specifies the thickness of the border of the border of the table. To have no border, leave this at zero.


This specifies the color of the border around the table.


This specifies the bordercolorlight attribute of the table. This adds a 3D color effect to the upper and left borders of the table.


This specifies the bordercolordark attribute of the table. This adds a 3D color effect to the lower and right borders of the table.


This specifies the horizontal alignment of the table caption.


This specifies the vertical alignment of the table caption.


This specifies the actual text of the table caption if included, leaving this blank will create no caption in the table.


Table Data/Header Cell

<td>

<th>

This dialog helps you set the attributes of an individual cell of a table using the table wizard. It can be either a <td> table data cell or a <th> table header cell.

Align:

This specifies the horizontal alignment of the data in the cell.

Vertical Align:

This specifies the vertical alignment of the data in the cell.

Width:

This specifies the width of the cell. This can be a pixel value or a percentage of the table. Use the percent(%) symbol to set this value as a percentage.

Height:

This specifies the height of the cell. This can be a pixel value or a percentage of the table. Use the percent(%) symbol to set this value as a percentage.

Column Span:

This specifies that the cell will span across the entered number of columns. Leave blank to span only one column.

Row Span:

This specifies that the cell will span across the entered number of rows. Leave blank to span only one row.

Background Image:

This specifies the image file that will be tiled in the background of the cell.

Background Color:

This specifies the background color of the cell.

Border Color:

This specifies the color of the border around the cell.

Border Color Light:

This specifies the bordercolorlight attribute of the cell. This adds a 3D color effect to the upper and left borders of the cell.

Border Color Dark:

This specifies the bordercolordark attribute of the cell. This adds a 3D color effect to the lower and right borders of the cell.

No Wrap:

This will specify not to use normal wrapping conventions for the data in the cell. The cell will expand to fit the content of the cell.


This specifies the horizontal alignment of the data in the cell.


This specifies the vertical alignment of the data in the cell.


This specifies the width of the cell. This can be a pixel value or a percentage of the table. Use the percent(%) symbol to set this value as a percentage.


This specifies the height of the cell. This can be a pixel value or a percentage of the table. Use the percent(%) symbol to set this value as a percentage.


This specifies that the cell will span across the entered number of columns. Leave blank to span only one column.


This specifies that the cell will span across the entered number of rows. Leave blank to span only one row.


This specifies the image file that will be tiled in the background of the cell.


This specifies the background color of the cell.


This specifies the color of the border around the cell.


This specifies the bordercolorlight attribute of the cell. This adds a 3D color effect to the upper and left borders of the cell.


This specifies the bordercolordark attribute of the cell. This adds a 3D color effect to the lower and right borders of the cell.


This will specify not to use normal wrapping conventions for the data in the cell. The cell will expand to fit the content of the cell.


Table Header
Table Body/Header/Footer

<tbody>

<thead>

<tfoot>

This dialog helps you set the attributes of a table section. Table sections are groups of rows. If you are going to use the <thead> or <tfoot> there must be a <tbody> section. The header is at the top, the footer is at the bottom and the body is in between.

Align:

This specifies the horizontal alignment of the data in each of the cells in the grouping.

Vertical Align:

This specifies the vertical alignment of the data in each of the cells in the grouping.

Color:

This specifies the background color of the section.


This specifies the horizontal alignment of the data in each of the cells in the grouping.


This specifies the vertical alignment of the data in each of the cells in the grouping.


This specifies the background color of the section.


Table Row

<tr>

This dialog helps you set the attributes of an individual row of a table using the table wizard.

Align:

This specifies the global horizontal alignment of each of the cells in this row.

Vertical Align:

This specifies the global vertical alignment of each of the cells in this row.

Background Color:

This specifies the background color of the row.

Border Color:

This specifies the color of the border around the row.

Border Color Light:

This specifies the bordercolorlight attribute of the row. This adds a 3D color effect to the upper and left borders of the row.

Border Color Dark:

This specifies the bordercolordark attribute of the row. This adds a 3D color effect to the lower and right borders of the row.


This specifies the global horizontal alignment of each of the cells in this row.


This specifies the global vertical alignment of each of the cells in this row.


This specifies the background color of the row.


This specifies the color of the border around the row.


This specifies the bordercolorlight attribute of the row. This adds a 3D color effect to the upper and left borders of the row.


This specifies the bordercolordark attribute of the row. This adds a 3D color effect to the lower and right borders of the row.


Forms Wizard
Forms Wizard 	<form>

This dialog helps you setup a form and insert it into your page. You can create any kind of form element using this wizard. You can also save forms you create as templates and reuse them. Each entry can be edited directly by double-clicking on it in the form element display. Use the toolbar to create the different elements and then set the forms attributes. If you want to save the form as a template, click on the save item in the toolbar.

Form Elements

Reset/Start Form:

This resets the form elements and starts a new form.

Open a form template:

This will display a standard open dialog using the “fmp” extension. You can open a previously saved form template using this button.

Save current form as template:

This will display a standard save as dialog box where you can save the current form as a form template file to be reused later.

Delete focused element:

This will delete the element that currently has focus in the element display.

Text Box: <input-text>

This opens the textbox dialog so you can create a “text” input field.

Password Box: <input-password>

This opens the password dialog so you can create a “password” input field.

File Upload Box: <input-file>

This opens the file upload dialog so you can create a “file” input field.

Hidden Field: <input-hidden>

This opens the hidden field dialog so you can create a “hidden” field.

Text Area: <textarea>

This opens the text area dialog so you can create a “text area”.

Select Box: <select>

This opens the select box dialog so you can create a “select” element.

Button: <input-button>

This opens the button dialog so you can create a “button” input field.

Image: <input-image>

This opens the image dialog so you can create an “image” input field.

Radio Button: <input-radio>

This opens the radio button dialog so you can create a “radio” input field.

Check Box: <input-checkbox>

This opens the checkbox dialog so you can create a “checkbox” input field.

Reset: <input-reset>

This opens the reset dialog so you can create a “reset” input field.

Submit: <input-submit>

This opens the submit dialog so you can create a “submit” input field.

Form Attributes

Name:

This specifies the name for the form.

Action:

This specifies the form’s action. This is usually either a URL to a form processing CGI script or a mailto:email@server.com address for the forms content to be emailed to.

Method:

This specifies whether the form’s method is “post” or “get”.

Enctype:

This specifies the type of MIME Encoding to be used for the form.

Target:

This specifies the frame name for the results of the form to be displayed in.

Autocomplete:

This specifies whether the form’s fields can be auto-completed in IE5 or above.

onSubmit:

This field allows you to call a JavaScript function when the form’s onSubmit event is fired.

onReset:

This field allows you to call a JavaScript function when the form’s onReset event is fired.

Description Text:

None:

The text in the description field will not be included.

Next to:

The text in the description field will be inserted in front of each field.

On Top:

The text in the description field will be inserted on top of each field.


This is where the form elements are displayed.


This specifies the name for the form.


This specifies the form’s action. This is usually either a URL to a form processing CGI script or a mailto:email@server.com address for the forms content to be emailed to.


This specifies whether the form’s method is “post” or “get”.


This specifies the type of MIME Encoding to be used for the form.


This specifies the frame name for the results of the form to be displayed in.


This specifies whether the form’s fields can be auto-completed in IE5 or above.


This field allows you to call a JavaScript function when the form’s onSubmit event is fired.


This field allows you to call a JavaScript function when the form’s onReset event is fired.


The text in the description field will not be included.


The text in the description field will be inserted in front of each field.


The text in the description field will be inserted on top of each field.


Button/Rset/Submit Input Fields
Button/Reset/Submit Input Fields

<input-button>

<input-reset>

<input-submit>

This dialog helps you set the attributes of button, reset and submit input fields.

Name:

This specifies a name for the element.

Value:

This specifies the value attribute of the element. This text is displayed initially.

Access Key:

This specifies a single character key to be used as a “hot key”.

Tab Index:

This specifies the tabbing order for the element.

Height:

This specifies the height of the element in pixels.

Disabled:

This specifies that the element can not receive focus.

Width:

This specifies the width of the element in pixels.

onClick:

This allows you to specify a JavaScript function to be called when the element is clicked.


This specifies the height of the element in pixels.


This specifies the width of the element in pixels.


Text/Password/File Input Fields

<input-text>

<input-password>

<input-file>

This dialog helps you set the attributes of text, password and file input fields. The fields will be enabled if they are appropriate for the type of element your are setting.

Name:

This specifies a name for the element.

Value:

This specifies the value attribute of the element. This text is displayed initially.

Access Key:

This specifies a single character key to be used as a “hot key”.

Max Length:

This specifies a limit on the number of characters that can be entered into the element.

Size:

This specifies the size of the element in characters.

Tab Index:

This specifies the tabbing order for the element.

Read Only:

This specifies that the field can not be altered.

Disabled:

This specifies that the element can not receive focus.

Autocomplete:

This specifies whether the element can be auto-completed in IE5 or above.

onClick:

This allows you to specify a JavaScript function to be called when the element is clicked.

onChange:

This allows you to specify a JavaScript function to be called when the content of the element changes.

onSelect:

This allows you to specify a JavaScript function to be called when content of the element is selected.

onKeyPress:

This allows you to specify a JavaScript function to be called when a keyboard key is being pressed.

onKeyDown:

This allows you to specify a JavaScript function to be called when a keyboard key is pressed.

onKeyUp:

This allows you to specify a JavaScript function to be called when a keyboard key is released.


This specifies a name for the element.


This specifies the value attribute of the element. This text is displayed initially.


This specifies a single character key to be used as a “hot key”.


This specifies a limit on the number of characters that can be entered into the element.


This specifies the size of the element in characters.


This specifies the tabbing order for the element.


This specifies that the field can not be altered.


This specifies that the element can not receive focus.


This specifies whether the element can be auto-completed in IE5 or above.


This allows you to specify a JavaScript function to be called when the element is clicked.


This allows you to specify a JavaScript function to be called when the content of the element changes.


This allows you to specify a JavaScript function to be called when content of the element is selected.


This allows you to specify a JavaScript function to be called when a keyboard key is being pressed.


This allows you to specify a JavaScript function to be called when a keyboard key is pressed.


This allows you to specify a JavaScript function to be called when a keyboard key is released.


Radio/Checkbox Input Fields

<input-radio>

<input-checkbox>

This dialog helps you set the attributes of radio and checkbox input fields.

Name:

This specifies a name for the element.

Value:

This specifies the value attribute of the element. This text is displayed initially.

Access Key:

This specifies a single character key to be used as a “hot key”.

Tab Index:

This specifies the tabbing order for the element.

Checked:

This specifies the initial state of the element.

Disabled:

This specifies that the element can not receive focus.

onClick:

This allows you to specify a JavaScript function to be called when the element is clicked.

onChange:

This allows you to specify a JavaScript function to be called when the element is either checked or unchecked.


This specifies the initial state of the element.


This allows you to specify a JavaScript function to be called when the element is either checked or unchecked.


Hidden Input Fields

This dialog helps you set the attributes of hidden input fields. Hidden input fields are used mainly for scripting either on the client side or on the server side with CGI scripts.

Name:

This specifies a name for the element.

Value:

This specifies the value attribute of the element.


This specifies the value attribute of the element.


Text Area Fields

<textarea>

This dialog helps you set the attributes of a text area field. Text areas are multi line text boxes that are used in forms to let the user type in extended messages that require more than one line of text.

Name:

This specifies a name for the element.

Access Key:

This specifies a single character key to be used as a “hot key”.

Rows:

This specifies the number of vertical rows of text the element will display. If the text goes beyond this number in lines of text, the element will scroll.

Columns:

This is the number of horizontal characters the element will display.

Wrap:

This specifies the wrapping behavior of the element.

Read Only:

This specifies that the field can not be altered.

Tab Index:

This specifies the tabbing order for the element.

Disabled:

This specifies that the element can not receive focus.

Text:

This is the text that will be displayed initially in the element.

onClick:

This allows you to specify a JavaScript function to be called when the element is clicked.

onChange:

This allows you to specify a JavaScript function to be called when the content of the element changes.

onSelect:

This allows you to specify a JavaScript function to be called when content of the element is selected.

onKeyPress:

This allows you to specify a JavaScript function to be called when a keyboard key is being pressed.

onKeyDown:

This allows you to specify a JavaScript function to be called when a keyboard key is pressed.

onKeyUp:

This allows you to specify a JavaScript function to be called when a keyboard key is released.


This specifies the number of vertical rows of text the element will display. If the text goes beyond this number in lines of text, the element will scroll.


This is the number of horizontal characters the element will display.


This specifies the wrapping behavior of the element.


This is the text that will be displayed initially in the element.


Image Input Fields

<input-image>

This dialog helps you set the attributes of an image input field. Image input fields work like a button when they are in a form.

Name:

This specifies a name for the element.

Value:

This specifies the value attribute of the element. This text is displayed initially.

Source File:

This specifies the actual image file you want to insert into the document.

Align:

This specifies the alignment of the image.

Width:

This specifies the width of the image in pixels.

Height:

This specifies the height of the image in pixels.

Border:

This specifies the border thickness around the image. For no border, leave this as zero. The border color will be the color of the default text color in the document.

Alternative Text:

This specifies the text that will show as the image loads, and as a tooltip when the pointing device moves over the image.

Tab Index:

This specifies the tabbing order for the element.

Access Key:

This specifies a single character key to be used as a “hot key”.

Disabled:

This specifies that the element can not receive focus.

onClick:

This allows you to specify a JavaScript function to be called when the element is clicked.


Select Fields

<select>

<option>

This dialog helps you set the attributes of an select field. Select fields are either drop down option boxes or list boxes. If you specify a size of more than one, it shows as a listbox.

Select Attributes

Name:

This specifies a name for the element.

Align:

This specifies the alignment of the select element.

Access Key:

This specifies a single character key to be used as a “hot key”.

Disabled:

This specifies that the element can not receive focus.

Size:

This specifies the number of options that will be displayed at the same time. Set to greater than one to create a list box.

Multiple:

This specifies that more than one option can be selected.

Tab Index:

This specifies the tabbing order for the element.

Options (List Items)

Fill in the fields and then click Add Option.

Text:

This specifies the display text of the option.

Value:

This specifies the value of the option.

Selected:

This specifies that this option will be selected.

Add Option:

This adds the entered fields as an option of the select element.

Delete Option:

This deletes the selected option from the select element.


This specifies the alignment of the select element.


This specifies the number of options that will be displayed at the same time. Set to greater than one to create a list box.


This specifies that more than one option can be selected.


This displays the current options.


This specifies the display text of the option.


This specifies the value of the option.


This specifies that this option will be selected.


This adds the entered fields as an option of the select element.


This deletes the selected option from the select element.


Frames Wizard
Frameset Wizard 	<frameset>

The frameset wizard will help you set up a page that has several framed windows. These windows can have different pages loaded into them. You can create framesets that go 3 levels deep. Giving you a maximum of 8 frames within a document frameset. Click on either the horizontal or vertical button, then click in the frameset display area. This will add the frame. Then size the frame. Double-click on a frame once it is created to set its attributes.

Horizontal:

This allows you to split the current frame into two horizontal frames.

Vertical:

This allows you to split the current frame into two vertical frames.

Reset:

This allows you to reset the frameset and start over.

Border Size:

This specifies the border size for the all the frames within the frameset. Setting this to zero, shows no border.

Border Color:

This specifies the color of all the frames within the frameset. This can be overridden by the individual frames.

Frame Border:

This specifies whether or not the frameset will have borders.

Frame Spacing:

This specifies a pixel space between the individual frames within the frameset.

No Frames Text:

This specifies the text that will be shown to a browser that is not frames compatible.

Currently Selected Frameset:

This displays the sizes of the frames in percentage of the frames that have focus.


This allows you to split the current frame into two horizontal frames.


This allows you to split the current frame into two vertical frames.


This allows you to reset the frameset and start over.


This specifies the border size for the all the frames within the frameset. Setting this to zero, shows no border.


This specifies the color of all the frames within the frameset. This can be overridden by the individual frames.


This specifies whether or not the frameset will have borders.


This specifies a pixel space between the individual frames within the frameset.


This specifies the text that will be shown to a browser that is not frames compatible.


This displays the frames in the frameset. The frames with current focus will have the size displayed at the bottom.


Frames Wizard
Frame Attributes

<frame>

This dialog will help you set the attributes for the individual frames in your frameset. Each frame in a frameset should at least be named and have a source file.

Name:

This specifies the name for the frame. This name is used as a target name in both html and scripting.

Source:

This specifies the file that is loaded into the frame initially. This should be an absolute or relative URL.

Border Color:

This specifies the color of the border around this frame.

Frame Border:

This specifies whether or not there is a border around this frame. If the adjacent frame has a border, this frame will still have a border.

Application:

This specifies whether or not the content of this frame is an application.

Margin Height:

This specifies the top and bottom margins of this frame. This value is in pixels.

Margin Width:

This specifies the left and right margins of this frame. This value is in pixels.

Scrolling:

This specifies whether or not there will be scrollbars in this frame. If set to auto, the scrollbars will only show if needed.

No Resize:

This specifies that this frame can not be resized by the user.


This specifies the name for the frame. This name is used as a target name in both html and scripting.


This specifies the file that is loaded into the frame initially. This should be an absolute or relative URL.


This specifies the color of the border around this frame.


This specifies whether or not there is a border around this frame. If the adjacent frame has a border, this frame will still have a border.


This specifies whether or not the content of this frame is an application.


This specifies the top and bottom margins of this frame. This value is in pixels.


This specifies the left and right margins of this frame. This value is in pixels.


This specifies whether or not there will be scrollbars in this frame. If set to auto, the scrollbars will only show if needed.


This specifies that the frame can not be resized by the user.


Meta Tag Wizard

<meta>

This will help you set the attributes of a <meta> tag. There are several uses for the meta tag, but the most common use is for search engines. Search engines get information about your pages from the meta tags among other things. There have been books written about this small tag. The use of this tag is beyond the scope of this documentation. Try a search on the web.

Type:

This specifies what type of tag you want to create. This will enable and disable the fields that are appropriate for the type.

Ratings Content:

This type of tag is used to alert browsers with censoring software to the content of the site.

Http-Equiv:

This binds the content of the tag to the specified http header field.

Character Sets:

When the http-equiv is set to content-type, you can specify the character set with this field.

Robot Content:

When the “type” is robots, this will offer instruction to any spidering robots that visit the pages.

Content:

This specifies the content attribute of the tag.

Keywords:

If the “type” is keywords, this is where you type the keywords. The keywords should be a comma separated list.

Description:

If the “type” is description, this is where you type a brief description of what the documents content is relevant to.


This specifies what type of tag you want to create. This will enable and disable the fields that are appropriate for the type.


This type of tag is used to alert browsers with censoring software to the content of the site.


This binds the content of the tag to the specified http header field.


When the http-equiv is set to content-type, you can specify the character set with this field.


When the “type” is robots, this will offer instruction to any spidering robots that visit the pages.


This specifies the content attribute of the tag.


If the “type” is keywords, this is where you type the keywords. The keywords should be a comma separated list.


If the “type” is description, this is where you type a brief description of what the documents content is relevant to.


Wizard Objects Overview

WebScripter’s JavaScript wizards all have one thing in common. They all create instances of component objects. Component objects are pre-defined objects that have their own set of properties and methods. Here is what is happening when you use one of the wizards:

1. You assign a variable name to hold the instance of the object.

2. You assign values to the objects properties via the wizard.

3. The wizard constructs the calls to the methods of the object.

4. In some cases HTML is added to your page.

5. A script reference is inserted into the head section of the document.

    (There must be a head section, besides its good form)

6. The object file is created in either your working directory or

    the js-bin if you are working with a project.

This is the main theme of WebScripter, and this is what makes it possible for non-programmers to be able to create functional scripts without having to learn object oriented programming. If you are a programmer, especially a C++, Delphi or a VB programmer, you are familiar with this sort of thing as it resembles header files, the VCL or activeX controls. What we have tried to accomplish, is to make WebScripter a great working environment for all different levels of developers.

Note: The professional version allows and helps create interchangeable component objects that integrate right into the WebScripter environment. This will allow developers to create their own objects and share them amongst their peers.


A name should be a combination of alphanumeric characters beginning with a letter. The only punctuation allowed is the underscore character. This name must be unique to the document.


Message Box Wizard

This wizard will help you create an instance of the jsMsgBox object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to display the different types of message boxes that JavaScript supports. You can create a simple message box that is just for information, a confirmation message box that prompts the user for a true or false type answer, or a user input message box that actually returns the user input in a variable.

Message Type

Information Box:

This will create a simple message box that just presents information to the user.

User Input Box:

This will create an input dialog with a text box for the user to enter a response. This method returns a string value.

Question Box:

This will open a confirmation dialog with a Yes/No or Yes/Cancel button pair depending on the browser. This method returns a boolean (true or false) value.

Message:

This is the text that will show up in the message box. For a multi-line message, just make the message multi-line in this field, WebScripter will take care of the escape characters.

Default:

This is used in the User Input dialog, this will be the initial value of the input field.

Object Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Return Variable:

This used for the User Input and Question dialogs. This is the reference to the value returned by the method. Either the text from the user or the button they clicked.

Follow standard naming conventions.

Activation

Type:

This specifies the type of activation or the method that invokes the function.

Image File:

This specifies the source file of the image.

Link Text:

This specifies the text that will be visible for the user to click on.

Button Face:

This specifies the text that will appear on the face of the button.


This will create a simple message box that just presents information to the user.


This will create an input dialog with a text box for the user to enter a response. This method returns a string value.


This will open a confirmation dialog with a Yes/No or Yes/Cancel button pair depending on the browser. This method returns a boolean (true or false) value.


This is the text that will show up in the message box. For a multi-line message, just make the message multi-line in this field, WebScripter will take care of the escape characters.


This is used in the User Input dialog, this will be the initial value of the input field.


This is a required field. This will be the reference to the object. Follow standard naming conventions.


This used for the User Input and Question dialogs. This is the reference to the value returned by the method. Either the text from the user or the button they clicked. Follow standard naming conventions.


This specifies the type of activation or the method that invokes the function.


This specifies the source file of the image.


This specifies the text that will be visible for the user to click on.


This specifies the text that will appear on the face of the button.


Browser Check Wizard

This wizard will help you create an instance of the jsBrowser object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to check a browser for different versions, who makes it and many other properties. Beware that not all browsers support all of these properties. Please refer to the navigator object reference for more information. Each property requires a variable name to contain the result. Follow standard naming conventions.

To include a property, just click the box next to that property and provide a variable name.

Object Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Name Variable:

Returns the name of the browser and stores that result to the specified variable.

Version Variable:

Returns the version of the browser and stores that result to the specified variable.

Agent Variable:

Returns the user agent of the browser and stores that result to the specified variable.

Cookies Variable:

Returns whether or not the browser has cookies turned on.

CPU Variable:

Returns the CPU of the operating system.

Online Variable:

Returns whether or not the browser is online.

Java Variable:

Returns whether or not the browser is Java enabled.

Taint Variable:

Returns whether or not the browser is taint enabled.

AtLeast Variable:

You must provide an integer in the minimum browser parameter for this method. This returns whether or not the browser is at least the version of the passed parameter.

Minimum Browser Parameter:

This is the parameter passed to the AtLeast method. If you want to know if a browser is at least version 4, pass the number 4 in this parameter and if the browser is at least version 4, it will return true and store that value in the specified variable.

System Variable:

Returns information about the operating system the browser is running on.

Minor Version Variable:

Returns the minor version number of the browser and stores that result to the specified variable.

Code Variable:

Returns the code name of the browser and stores that result to the specified variable.

Language Variable:

Returns the default language of the browser based on the operating system, and stores that result to the specified variable.

Browser Language Variable:

Returns the default language of the browser and stores that result to the specified variable.

System Language Variable:

Returns the default language of the operating system and stores that result to the specified variable.

SupportsAll Variable:

Returns whether or not the browser supports the document.all array.

SupportsLayers Variable:

Returns whether or not the browser supports the document.layers array.


Returns the name of the browser and stores that result to the specified variable.


Returns the version of the browser and stores that result to the specified variable.


Returns the user agent of the browser and stores that result to the specified variable.


Returns whether or not the browser has cookies turned on.


Returns the CPU of the operating system.


Returns whether or not the browser is online.


Returns whether or not the browser is Java enabled.


Returns whether or not the browser is taint enabled.


You must provide an integer in the minimum browser parameter for this method. This returns whether or not the browser is at least the version of the passed parameter.


This is the parameter passed to the AtLeast method. If you want to know if a browser is at least version 4, pass the number 4 in this parameter and if the browser is at least version 4, it will return true and store that value in the specified variable.


Returns information about the operating system the browser is running on.


Returns the minor version number of the browser and stores that result to the specified variable.


Returns the code name of the browser and stores that result to the specified variable.


Returns the default language of the browser based on the operating system, and stores that result to the specified variable.


Returns the default language of the browser and stores that result to the specified variable.


Returns the default language of the operating system and stores that result to the specified variable.


Returns whether or not the browser supports the document.all array.


Returns whether or not the browser supports the document.layers array.


Clocks Wizard

This wizard will help you create an instance of the jsClock object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a real time clock displayed either in the status bar which is the default or in a form element. You can define your own reference to the form element or have the wizard create one for you. You are also given a choice in the type of display for the clock.

Clock Type

Short Time:

This displays only the time in the format hh:mm:ss am/pm.

Short Time Date:

This displays the time and the date in the format: hh:mm:ss am/pm mm/dd/yyyy.

Long Time Date:

This displays the time and date in the format: hh:mm:ss am/pm weekday, month dd,yyyy

Display

Default (Status Bar):

This will display the clock in the status bar of the browser window.

Object Reference:

This will display the clock in the object you provide a reference to. This requires a fully qualified reference to the object. (document.form.element)

Create Form Element:

This will create a generic form element to display the clock in. You can choose from either a textbox or a button element.

Element Type:

Textbox:

This will create a standard text type input element to display the clock in.

Button:

This will create a button and display the clock on the button face.

Form Name:

This specifies the name of the form for the element, Follow standard naming conventions.

Element Name:

This specifies the name for the element, Follow standard naming conventions.


This displays only the time in the format hh:mm:ss am/pm.


This displays the time and the date in the format: hh:mm:ss am/pm mm/dd/yyyy.


This displays the time and date in the format: hh:mm:ss am/pm weekday, month dd,yyyy


This will display the clock in the status bar of the browser window.


This will display the clock in the object you provide a reference to. This requires a fully qualified reference to the object. (document.form.element)


This will create a generic form element to display the clock in. You can choose from either a textbox or a button element.


This will create a standard text type input element to display the clock in.


This will create a button and display the clock on the button face.


This specifies the name of the form for the element, Follow standard naming conventions.


This specifies the name for the element, Follow standard naming conventions.


Scrollers Wizard

This wizard will help you create an instance of the jsScroll object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a scrolling text message in either the status bar or in a form element. You may also enter your own object reference to display the message in. You have a choice in the direction of the message display and you can add as many messages as you like.

Scroll Type

Scroll Left:

This displays the message scrolling from right to left.

Scroll Right:

This displays the message scrolling from left to right.

Typing Scroll:

This displays the message as if someone was typing it.

Count:

Check this box to limit the number of times the scrolling repeats. The message will repeat the number of times entered.

Speed:

This specifies the speed of the scrolling. This is the actual time between updates in milliseconds.

Messages:

Enter text for a message, when finished, click “Add” to add this message to the message array.

Add:

Adds the text in the message text box to the message array.

Remove:

Removes the selected message from the message array.

Listbox:

This displays the messages that are currently contained in the message array.

Display

Default (Status Bar):

This will display the scrolling message in the status bar of the browser window.

Object Reference:

This will display the scrolling message in the object you provide a reference to. This requires a fully qualified reference to the object. (document.form.element)

Create Form Element:

This will create a generic form element to display the scrolling message in. You can choose from either a textbox or a button element.

Element Type

Textbox:

This will create a standard text type input element to display the message in.

Button:

This will create a button and display the message on the button face.

Form Name:

This specifies the name of the form for the element, Follow standard naming conventions.

Element Name:

This specifies the name for the element, Follow standard naming conventions.


This displays the message scrolling from right to left.


This displays the message scrolling from left to right.


This displays the message as if someone was typing it.


Check this box to limit the number of times the scrolling repeats. The message will repeat the number of times entered.


This specifies the speed of the scrolling. This is the actual time between updates in milliseconds.


Enter text for a message, when finished, click “Add” to add this message to the message array.


Adds the text in the message text box to the message array.


Removes the selected message from the message array.


This displays the messages that are currently contained in the message array.


This will display the scrolling message in the status bar of the browser window.


This will display the scrolling message in the object you provide a reference to. This requires a fully qualified reference to the object. (document.form.element)


This will create a generic form element to display the scrolling message in. You can choose from either a textbox or a button element.


This will create a standard text type input element to display the message in.


This will create a button and display the message on the button face.


This specifies the name of the form for the element, Follow standard naming conventions.


This specifies the name for the element, Follow standard naming conventions.


Popup Windows Wizard

This wizard will help you create an instance of the jsPopup object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a popup window. A popup window is simply a new browser window that you have control over. This can be pre-loaded with a URL or you can add content dynamically.

Window Properties

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Name:

This is a required field. This will be the reference to the window.

Follow standard naming conventions.

History:

This specifies to include the history list in the new window.

Directories:

This specifies to display the directories button in the new window.

Location:

This specifies to display the location bar in the new window.

Menus:

This specifies to display the menus bar in the new window.

Resizable:

This specifies that the new window will be resizable.

Scrollbars:

This specifies that the new window will display scrollbars.

Statusbar:

This specifies the new window will display the statusbar.

Toolbar:

This specifies to display the toolbar in the new window.

Height:

This specifies the height of the new window in pixels.

Width:

This specifies the width of the new window in pixels.

Top:

This specifies the location of the top of the new window, relative to the top of the screen in pixels.

Left:

This specifies the location of the left edge of the new window, relative to the left edge of the screen in pixels.

Initial Content

Dynamic Content:

This allows you to add content to the new window via the text area. You can paste HTML directly into this text area. The wizard will automatically replace double-quotes with single quotes.

Pre-existing Page:

This specifies that the new window will be loaded with the specified URL.

URL:

This specifies the URL to load in the new window. This can be an absolute or a relative URL.

The Text Area:

This is where you type any dynamic content you want displayed in the new window.

Activation

Type:

This specifies the type of activation or the method that invokes the function.

Image File:

This specifies the source file of the image.

Link Text:

This specifies the text that will be visible for the user to click on.

Button Face:

This specifies the text that will appear on the face of the button.


This is a required field. This will be the reference to the object. Follow standard naming conventions.


This is a required field. This will be the reference to the window. Follow standard naming conventions.


This specifies to include the history list in the new window.


This specifies to display the directories button in the new window.


This specifies to display the location bar in the new window.


This specifies to display the menus bar in the new window.


This specifies that the new window will be resizable.


This specifies that the new window will display scrollbars.


This specifies the new window will display the statusbar.


This specifies to display the toolbar in the new window.


This specifies the height of the new window in pixels.


This specifies the width of the new window in pixels.


This specifies the location of the top of the new window, relative to the top of the screen in pixels.


This specifies the location of the left edge of the new window, relative to the left edge of the screen in pixels.


This allows you to add content to the new window via the text area. You can paste HTML directly into this text area. The wizard will automatically replace double-quotes with single quotes.


This specifies that the new window will be loaded with the specified URL.


This is where you type any dynamic content you want displayed in the new window.


Rollover Image Menu Wizard
Rollover Image Menus

This wizard will help you create an instance of the jsRollOver object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a rollover image menu. A rollover image menu is a menu of images that change when the user moves the mouse over the image. The images are pre-loaded when the document loads. Each image has its own link and can be arranged either horizontally or vertically.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Horizontal Menu:

This specifies that the menu will be created horizontally.

Vertical Menu:

This specifies that the menu will be created vertically.

Division Tag container:

This specifies that each item in the menu will be separated suing the <div> division tag.

Table Tag Container:

This specifies that each item in the menu will be separated using a table.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.


This specifies that the menu will be created horizontally.


This specifies that the menu will be created vertically.


This specifies that each item in the menu will be separated suing the <div> division tag.


This specifies that each item in the menu will be separated using a table.


This adds a new item to the array.


This deletes the selected item from the array.


This allows you to edit the selected item in the array.


This displays the items in the array. You can delete or edit an item when it is selected.


Rollover Menu Items

This dialog is for adding items to a rollover image menu.

Unique Item Name:

This specifies a unique name for the item. Follow standard naming conventions.

Original Image File:

This specifies the image that will be shown initially for this item.

Second Image File:

This specifies the image that will be displayed when the user moves the mouse over this item.

Item URL:

This specifies the URL that the item will link to when clicked.

Alternative Text:

This specifies the text that will show as the image loads, and as a tooltip when the pointing device moves over the image.


This specifies a unique name for the item. Follow standard naming conventions.


This specifies the image that will be shown initially for this item.


This specifies the image that will be displayed when the user moves the mouse over this item.


Quick Link Navigaitor
Quick Link Navigator

This wizard will help you create an instance of the jsQuickLink object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a selection box that will navigate to the specified item when the user makes a selection. The navigator can be in the form of a drop down selection box or a list box.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Select Object Name:

This specifies a name for the select object that will be created. Follow standard naming conventions.

Size:

This specifies the size of the select object. For a drop down box, leave blank. To create a list box, type in the number of items you want displayed initially.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.


This specifies a name for the select object that will be created. Follow standard naming conventions.


This specifies the size of the select object. For a drop down box, leave blank. To create a list box, type in the number of items you want displayed initially.


Quick Link Navigator Option Items

This dialog is for adding option items to a Quick Link Navigator.

Visible Text:

This specifies the text that will be visible for this item.

Option URL:

This specifies the URL that this option links to.

Target:

This specifies a target name for the options link. You can use one of the parent object references, but it is recommended that you use an actual frame name reference.


This specifies the text that will be visible for this item.


This specifies a target name for the options link. You can use one of the parent object references, but it is recommended that you use an actual frame name reference.


JukeBox Wizard

This wizard will help you create an instance of the jsJukeBox object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a selection box that will play the associated sound file when the user selects that item.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Select Object Name:

This specifies a name for the select object that will be created. Follow standard naming conventions.

Size:

This specifies the size of the select object. For a drop down box, leave blank. To create a list box, type in the number of items you want displayed initially.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.

Visible Text:

This specifies the text that will be visible for this item.

Preview Controls:

These controls let you play the sound file selected when browsing for a file.

Browse Button:

This will browse for a sound file, once you select a sound file, use the preview controls to play the file.


These controls let you play the sound file selected when browsing for a file.


This will browse for a sound file, once you select a sound file, use the preview controls to play the file.


Multiple Frame Links

This wizard will help you create an instance of the jsFrameLink object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create links that will load multiple documents at once in their specified frames.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Activation

Type:

This specifies the type of activation or the method that invokes the function.

Image File:

This specifies the source file of the image.

Link Text:

This specifies the text that will be visible for the user to click on.

Button Face:

This specifies the text that will appear on the face of the button.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.


Frame Link Items

This dialog is for adding items to a multiple frame link.

Multi Link Name:

This specifies a name for this item. When the link is clicked, all items with the same name are activated simultaneously.

URL:

This specifies the URL that this item links to.

Frame Name:

This specifies the frame that this item will load the URL into.


This specifies a name for this item. When the link is clicked, all items with the same name are activated simultaneously.


This specifies the frame that this item will load the URL into.


Rotating Image Banner
Rotating Image Banners

This wizard will help you create an instance of the jsBanner object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a rotating image banner. This can be a simple banner that just displays the specified images or each image can have its own active link when it is displayed.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Image Name:

This specifies a unique name for the image object. Follow standard naming conventions.

Linked Banner:

This specifies that each image has its own associated link while showing.

Plain Banner:

This specifies that the banner is only for display.

Alternative Text:

This specifies the text that will show as the image loads, and as a tooltip when the pointing device moves over the image.

Width:

This specifies the width of the banner. It is recommended that all the images in the banner rotation are the same width and height to avoid distortion.

Height:

This specifies the height of the banner. It is recommended that all the images in the banner rotation are the same width and height to avoid distortion.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.

Use Target Frame:

This specifies that the links in a linked banner should use the specified target to load the URL they link to.

Target Frame:

This specifies the actual frame name of the target.

Millisecond Delay:

This specifies the delay between images in the rotation, the value is in milliseconds.


This specifies a unique name for the image object. Follow standard naming conventions.


This specifies that each image has its own associated link while showing.


This specifies that the banner is only for display.


This specifies the width of the banner. It is recommended that all the images in the banner rotation are the same width and height to avoid distortion.


This specifies the height of the banner. It is recommended that all the images in the banner rotation are the same width and height to avoid distortion.


This specifies that the links in a linked banner should use the specified target to load the URL they link to.


This specifies the actual frame name of the target.


This specifies the delay between images in the rotation, the value is in milliseconds.


Banner Image Items

This dialog is for adding items to a rotating image banner.

Image File:

This specifies the source file of the image.

Item URL:

This specifies the URL that the item will link to when clicked.


Cookie Manager

This wizard will help you create an instance of the jsCookie object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create a cookie manager object. This object will help you to set, get the value of, or delete cookies associated with the document.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Set Cookies:

This specifies that the object will set cookie values.

Get Cookies:

This specifies that the object will retrieve cookie values.

Delete Cookies:

This specifies that the object will delete the specified cookies.

Expiration:

This specifies that when setting a cookie, it will expire on the specified date. If no date is specified, the cookie is temporary.

Expiration Date:

This is where you specify the expiration date of the cookie. The date format must be in GMT format, Example: Thu, 01-Jan-70 00:00:01 GMT

Path:

This specifies the path of the cookie, cookies are only accessible by files in the same directory.

Domain:

This specifies the domain name for the cookie, this is used by the browser when creating the cookie file.

Secure:

For client-side scripting, this should be left blank. If you are scripting for the server side, you know what it means.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.


This specifies that the object will set cookie values.


This specifies that the object will retrieve cookie values.


This specifies that the object will delete the specified cookies.


This specifies that when setting a cookie, it will expire on the specified date. If no date is specified, the cookie is temporary.


This is where you specify the expiration date of the cookie. The date format must be in GMT format, Example: Thu, 01-Jan-70 00:00:01 GMT


This specifies the path of the cookie, cookies are only accessible by files in the same directory.


This specifies the domain name for the cookie, this is used by the browser when creating the cookie file.


For client-side scripting, this should be left blank. If you are scripting for the server side, you know what it means.


Cookie Items

This dialog is for adding items to a cookie manager.

Name:

This specifies the name for this cookie value. Follow standard naming conventions.

Value/Variable:

When setting a cookie, this will specify the value assigned to the specified cookie, this will be a string literal. When Getting a cookie, this will be the variable that the cookie data will be assigned.


This specifies the name for this cookie value. Follow standard naming conventions.


When setting a cookie, this will specify the value assigned to the specified cookie, this will be a string literal. When Getting a cookie, this will be the variable that the cookie data will be assigned.


Hiding Content

This wizard will help you create an instance of the jsHidden object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create an object that will hide or show area of content. You have seen this many places on the web, where a certain portion of content is hidden until you click on a link. Then the content is exposed. This is great for creating special effect menus. This will create the layer or division for you to add the content to.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

ID Name:

This specifies the name for the layer and division elements. Both are used to provide compatibility with both Netscape and Internet Explorer.

Show:

This specifies that the activation method will show initially hidden content.

Hide:

This specifies that the activation method will hide initially visible content.

Toggle:

This specifies that the activation method will toggle between show and hide. The initial content is visible.

Type:

This specifies the type of activation or the method that invokes the function.

Image File:

This specifies the source file of the image.

Link Text:

This specifies the text that will be visible for the user to click on.

Button Face:

This specifies the text that will appear on the face of the button.


This specifies the name for the layer and division elements. Both are used to provide compatibility with both Netscape and Internet Explorer.


This specifies that the activation method will show initially hidden content.


This specifies that the activation method will hide initially visible content.


This specifies that the activation method will toggle between show and hide. The initial content is visible.


Text Changer

This wizard will help you create an instance of the jsTextChange object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create an object that will change text and font properties when the user moves the mouse over the link. You can set many different properties for this object, both for the onMouseOver and onMouseOut events. This effect only works with Internet Explorer but will not cause a problem with Netscape.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Over Color:

This specifies the color of the text when the user moves the mouse over the link.

Out Color:

This specifies the color of the text when the user moves the mouse away from the link.

Over BgColor:

This specifies the color of the background when the user moves the mouse over the link.

Out BgColor:

This specifies the color of the background when the user moves the mouse away from the link.

Over Font:

This specifies the font face of the text when the user moves the mouse over the link.

Out Font:

This specifies the font face of the text when the user moves the mouse away from the link.

Over Font Size:

This specifies the size of the font when the user moves the mouse over the link.

Out Font Size:

This specifies the size of the font when the user moves the mouse away from the link.

Over Underline:

This specifies that the font will be underlined when the user moves the mouse over the link.

Out Underline:

This specifies that the font will be underlined when the user moves the mouse away from the link.

Over Bold:

This specifies that the font will be bold when the user moves the mouse over the link.

Out Bold:

This specifies that the font will be bold when the user moves the mouse away from the link.

Over Italic:

This specifies that the font will be italic when the user moves the mouse over the link.

Out Italic:

This specifies that the font will be italic when the user moves the mouse away from the link.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.


This specifies the color of the text when the user moves the mouse over the link.


This specifies the color of the text when the user moves the mouse away from the link.


This specifies the color of the background when the user moves the mouse over the link.


This specifies the color of the background when the user moves the mouse away from the link.


This specifies the font face of the text when the user moves the mouse over the link.


This specifies the font face of the text when the user moves the mouse away from the link.


This specifies the size of the font when the user moves the mouse over the link.


This specifies the size of the font when the user moves the mouse away from the link.


This specifies that the font will be underlined when the user moves the mouse over the link.


This specifies that the font will be underlined when the user moves the mouse away from the link.


This specifies that the font will be bold when the user moves the mouse over the link.


This specifies that the font will be bold when the user moves the mouse away from the link.


This specifies that the font will be italic when the user moves the mouse over the link.


This specifies that the font will be italic when the user moves the mouse away from the link.


Text Changer Items

This dialog is for adding items to a text changer object.

URL:

This specifies the URL that the item will link to when clicked.

Link Text:

This specifies the text that will be visible for the user to click on.

Target:

This specifies the target frame for the link. You can type in a frame name or use one of the HTML keywords already available. This is optional.


Status Message Manager

This wizard will help you create an instance of the jsStatusbar object.

See Wizard Objects Overview

This object contains all the necessary properties and methods to create an object that will manage statusbar messages that are shown with the onMouseOver event. It will create the links and associate the messages with those links.

Variable:

This is a required field. This will be the reference to the object.

Follow standard naming conventions.

Add:

This adds a new item to the array.

Delete:

This deletes the selected item from the array.

Edit:

This allows you to edit the selected item in the array.

Array List:

This displays the items in the array. You can delete or edit an item when it is selected.


Status Manager Items

This dialog is for adding items to a status bar message manager object.

Message:

This is the text that will be written to the status bar when the user moves the mouse over this link.

Name:

This specifies a unique name for this link item. Follow standard naming conventions.

URL:

This specifies the URL that the item will link to when clicked.

Link Text:

This specifies the text that will be visible for the user to click on.

Target:

This specifies the target frame for the link. You can type in a frame name or use one of the HTML keywords already available. This is optional.


This is the text that will be written to the status bar when the user moves the mouse over this link.


This specifies a unique name for this link item. Follow standard naming conventions.


Using the Color Picker

WebScripter’s Color Picker is very versatile tool. Anytime you assign a color in one of the dialogs in WebScripter, you have access to the color picker. You can assign colors using all the different formats that a browser will understand. You just pick the color and click OK.

Another tip about using the color picker is editing. Anytime you want to change a color value in the editor, just select the value and click the color palette button on the toolbar. Select the new color value and click OK. Your old value will be replaced by the new color selected in whatever format you have selected.

Web Safe Palette:

This displays all the colors in the Netscape web safe palette. These are colors that can be used safely and will render without dithering. That means that as long as the user has a 256 color resolution on their machine, they will get the color you expect them to get.

Windows Color Selection:

Here you can browse the standard windows color dialog. You can create your own colors and the Color Picker will convert them to the format you want.

X11 Named Colors:

This is a set of named colors commonly used on the web. These originated from the X11 Unix palette.

RGB:

Selecting this option will return the color value in the rgb color format. The actual value will be displayed next to this option button.

Hex Value:

This will return the color value in a hexadecimal triplet that is really just the RGB values concatenated together. This is probably the most common color format used.

Name:

This will return the color value in an X11 named color value if it exists. If the selected color has an associated named value, it will automatically be selected in the selection box.


This displays all the colors in the Netscape web safe palette. These are colors that can be used safely and will render without dithering. That means that as long as the user has a 256 color resolution on their machine, they will get the color you expect them to get.


Here you can browse the standard windows color dialog. You can create your own colors and the Color Picker will convert them to the format you want.


This is a set of named colors commonly used on the web. These originated from the X11 Unix palette.


Selecting this option will return the color value in the rgb color format. The actual value will be displayed next to this option button.


The actual RGB Value that will be returned.


This will return the color value in a hexadecimal triplet that is really just the RGB values concatenated together. This is probably the most common color format used.


The actual Hex Value that will be returned.


This will return the color value in an X11 named color value if it exists. If the selected color has an associated named value, it will automatically be selected in the selection box.


The actual Named Value that will be returned.


Using the Image Preview

WebScripter’s Image Previewer is used by the interface as a selection dialog throughout WebScripter. Anytime you want select a source file in one of the dialogs, this  dialog will appear. You can select or browse for the image file you want and it will be displayed. You can resize the image in the previewer by percentage values. When you click OK, the width and height values that are used will be returned. This gives you the opportunity to view an image that you may want to shrink down in a page the way it will be displayed. You are able to see if the image will be distorted or not. You can also set the background color of the preview are so you can see the image in the context of the surrounding color you will be using.

Folder List:

This is an explorer type drop down box that allows you to select a folder or drive you want to browse.

File List:

This is an explorer type list box that allows you to select the image you wish to preview.

Save:

This allows you to save the file to another location or rename a file. A file can only be saved in its original format.

Background Color:

This allows you to change the background color of the display area.

Size Percentage:

This will resize the image by percentage. This keeps the ratio of the images width and height to minimize distortion. If an image is resized, the return values of width and height will be the actual resized values.

Reset Size:

This resets the size of the image in the display area.

Status Display:

In the status bar, you will always see the actual size of an image file in bytes, the width and height and the actual file path of the file.


This is an explorer type drop down box that allows you to select a folder or drive you want to browse.


This is an explorer type list box that allows you to select the image you wish to preview.


This will resize the image by percentage. This keeps the ratio of the images width and height to minimize distortion. If an image is resized, the return values of width and height will be the actual resized values.


This resets the size of the image in the display area.


Using Custom Code Templates

You have access to an unlimited number of custom code templates that you can create to fit your needs. Once you define a template, you can access that template by using the hot key combination for that type of template.

Ctrl + Shift + H for HTML templates

Ctrl + Shift + S for Style templates

Ctrl + Shift + J for JavaScript templates

When you use the hot key combination in the editor, you will get a list box that will appear where the cursor is. This will be a list of all the templates in that category. You can either scroll down the list, use your down arrow key or simply start to type the name of the template and it will automatically scroll to the template you want to insert. Once you have the desired template selected, simply press enter and it will be inserted into your document.

The only limitation on templates is the actual naming of the templates. You must Follow standard naming conventions.

Enter a name for the template, a description and then add the actual code for the template. This can be pasted in. Once you have the fields filled out, click Add. This will add the template to your list. To modify a template, select it from the list, make the changes and click Apply.

You can save your template files wherever you like, but there is a default template folder provided. You can have many different template files, which file you use is setup in the preferences dialog.

Tip: In the actual code for the template, you can add a “|” bar character and your cursor will be placed at the location of the bar when the code is inserted. This is obviously a problem if you want to use the or operator in JavaScript code, a small sacrifice.

Category:

This displays the current category and the hot keys used to access it.

Name:

This is a name for the template. Follow standard naming conventions.

Description:

This is a friendly description of the template, this will appear in the list also.

Template Code:

This is the actual code that will be inserted when that template is selected. You can paste code directly into this field.

Open:

This will display a standard open dialog with a template extension filter. You can open a pre-existing template file.

Save As:

This will display a standard Save As dialog so you can save the template file with either a new name or to a new location.

Save:

Saves the current template file. You are provided with a default template file.

Add:

Once you have all the fields filled in, click this button to add the template to the file.

Remove:

Deletes the currently selected template from the template file.

Apply:

Alters the currently selected template.


This displays the current category and the hot keys used to access it.


This displays the current list of templates in this template file.


This is a name for the template. Follow standard naming conventions.


This is a friendly description of the template, this will appear in the list also.


This is the actual code that will be inserted when that template is selected. You can paste code directly into this field.


This will display a standard open dialog with a template extension filter. You can open a pre-existing template file.


This will display a standard Save As dialog so you can save the template file with either a new name or to a new location.


Saves the current template file. You are provided with a default template file.


Once you have all the fields filled in, click this button to add the template to the file.


Deletes the currently selected template from the template file.


Alters the currently selected template.


Setting WebScripter Preferences

To setup the preferences in WebScripter, in the View menu, select Application Preferences.

General

All of this group of preferences will be overridden if their values are set in a project file.

Author Name:

Enter your name here and it will be inserted into new HTML documents as a comment.

Company:

Enter your company information here and it will be inserted into new HTML documents as a comment.

Copyright Info:

Enter copyright information here and it will be inserted into new HTML documents as a copyright comment.

HTML Template File:

Here you can browse for an html file that will be used as a template whenever you create a new document.

Browsers

This is where you can set up browsers for previewing. This will allow you to preview your documents in several different browsers for compatibility testing.

Name:

This will be the description that shows up in the menu as a preview browser.

File:

This is the actual path to the browser executable file.

Browse Button:

This allows you to browse for the browser executable. When you select the file it will be entered into the file field.

External Applications

This allows you to setup commonly used applications to be started from WebScripter. These could be external image editors etc.

Name:

This will be the description that shows up in the menu.

File:

This is the actual path to the executable file.

Browse Button:

This allows you to browse for the executable. When you select the file it will be entered into the file field.

Editor Options

Currently used Undo/Redo Memory:

This displays the amount of memory the undo stack is using in the editor.

Save Undo/Redo on file save:

This tells WebScripter not to reset the undo stack when you save the file. If this is not selected, when you save a file, you will no longer have the ability to undo changes made before the save. The default of this option is to reset on save.

Do not group Undo/Redo operations:

This allows you to tell the editor to save each character change as an undo operation. When this is off (default) the editor will save similar actions as one undo action. In other words, backspacing several characters is not saved as several actions but one.

Editor Options:

This opens the editor options dialog where you can setup more options such as syntax highlighting etc.

HTML Code Templates:

This is where you specify the code template file for use as template code.

Style Code Templates:

This is where you specify the code template file for use as template code.

JavaScript Code Templates:

This is where you specify the code template file for use as template code.

Browse Buttons:

These will allow you to browse for the code template file. When the file is selected, it will be entered into the template file field.


Enter your name here and it will be inserted into new HTML documents as a comment.


Enter your company information here and it will be inserted into new HTML documents as a comment.


Enter copyright information here and it will be inserted into new HTML documents as a copyright comment.


Here you can browse for an html file that will be used as a template whenever you create a new document.


This will be the description that shows up in the menu as a preview browser.


This is the actual path to the browser executable file.


This allows you to browse for the browser executable. When you select the file it will be entered into the file field.


This will be the description that shows up in the menu.


This is the actual path to the executable file.


This allows you to browse for the executable. When you select the file it will be entered into the file field.


This tells WebScripter not to reset the undo stack when you save the file. If this is not selected, when you save a file, you will no longer have the ability to undo changes made before the save. The default of this option is to reset on save.


This allows you to tell the editor to save each character change as an undo operation. When this is off (default) the editor will save similar actions as one undo action. In other words, backspacing several characters is not saved as several actions but one.


This opens the editor options dialog where you can setup more options such as syntax highlighting etc.


This is where you specify the code template file for use as template code.


These will allow you to browse for the code template file. When the file is selected, it will be entered into the template file field.


Using the Simple Find Feature

The find feature for a single document is similar to moist find features. You have several ways to specify the context of the search.

Text to Find:

This is where you type in the text to search for. If there was text highlighted in the editor when you invoked this dialog, that text will be entered here.

Case Sensitivity:

This specifies that search will be case sensitive.

Match whole words only:

This specifies that the search will only match complete word matches.

Plain Text:

This specifies that the search will use a plain text search.

Regular Expression:

This specifies that the search will use a regular expression to match the search text.

The following is a list of regular expression operators:

a+	One or more occurrences of a

a*	Zero or more occurrences of a

a?	Zero or one (i.e. optional) occurrence of a

a{n}	Exactly n occurrences of a

a{n,}	n or more occurrences of a

a{,m}	Zero or at most m occurrences of a

a{n,m}	At least n but not more than m occurrences of a

a|b	Either a or b

a||b	a or b or both a and b in any order

abc	a followed by b followed by c

[abc]	A single character, one of a or b or c

[a-b]	A single character, ranging in value from a to b inclusive

[^abc]	A single character, any except a, b or c

(abc)	a followed by b followed by c

"abc"	The letters a followed by b followed by c with no special significance attached to a, b or c

.	Any character except a new line

\a	The letter a, with no special significance attached to a, special forms:

\t	The tab character

\n	The new line character

\r	The return character

\f	The form feed character

\b	The backspace character

\xNN	The hex character NN

\0ooo	The octal character ooo

\w	A single character, one of [a-zA-Z0-9_]

\W	Any single character not matching \w

\d	A single character [0-9]

\D	A single character not matching \d

\s	A whitespace character [\t\r\n\f\b\ ]

\S	A single character not matching \s

Example:

("http://"|"mailto:"|"ftp://")[^ \n\r\"\<\\]+

The above regular expression would match all character strings that begin with

“http://” , “mailto:” or “ftp://”

Forward Search:

Specifies that the search will search downwards.

Backward Search:

Specifies that the search will search upwards.

From current cursor position:

Specifies that the search will begin at the cursor position.

From start of document:

Specifies that the search will begin at the top of the document.


This is where you type in the text to search for. If there was text highlighted in the editor when you invoked this dialog, that text will be entered here.


This specifies that search will be case sensitive.


This specifies that the search will only match complete word matches.


This specifies that the search will use a plain text search.


This specifies that the search will use a regular expression to match the search text.


Specifies that the search will search downwards.


Specifies that the search will search upwards.


Specifies that the search will begin at the cursor position.


Specifies that the search will begin at the top of the document.


Using the Find Files in Directories Feature

This find feature is for a search in either all open documents, all documents in a project or all documents in a directory. Any found matches will be displayed in the Info window. Double-clicking on any returned line will take you to that found match.

Text to Find:

This is where you type in the text to search for. If there was text highlighted in the editor when you invoked this dialog, that text will be entered here.

Case Sensitivity:

This specifies that search will be case sensitive.

Match whole words only:

This specifies that the search will only match complete word matches.

Plain Text:

This specifies that the search will use a plain text search.

Regular Expression:

This specifies that the search will use a regular expression to match the search text.

The following is a list of regular expression operators:

a+	One or more occurrences of a

a*	Zero or more occurrences of a

a?	Zero or one (i.e. optional) occurrence of a

a{n}	Exactly n occurrences of a

a{n,}	n or more occurrences of a

a{,m}	Zero or at most m occurrences of a

a{n,m}	At least n but not more than m occurrences of a

a|b	Either a or b

a||b	a or b or both a and b in any order

abc	a followed by b followed by c

[abc]	A single character, one of a or b or c

[a-b]	A single character, ranging in value from a to b inclusive

[^abc]	A single character, any except a, b or c

(abc)	a followed by b followed by c

"abc"	The letters a followed by b followed by c with no special significance attached to a, b or c

.	Any character except a new line

\a	The letter a, with no special significance attached to a, special forms:

\t	The tab character

\n	The new line character

\r	The return character

\f	The form feed character

\b	The backspace character

\xNN	The hex character NN

\0ooo	The octal character ooo

\w	A single character, one of [a-zA-Z0-9_]

\W	Any single character not matching \w

\d	A single character [0-9]

\D	A single character not matching \d

\s	A whitespace character [\t\r\n\f\b\ ]

\S	A single character not matching \s

Example:

("http://"|"mailto:"|"ftp://")[^ \n\r\"\<\\]+

The above regular expression would match all character strings that begin with

“http://” , “mailto:” or “ftp://”

Currently open documents:

Specifies the search be limited to the documents currently open in WebScripter.

All files in Project:

Specifies the search span all files currently included in the open project file.

Search in directory:

Specifies the search span all document files in the specified directory.

Directory:

This is the path to the directory for a directory search.

Browse Button:

Use this button to browse for a directory to search. When the directory is selected, it will be entered into the directory field.


Specifies the search be limited to the documents currently open in WebScripter.


Specifies the search span all files currently included in the open project file.


Specifies the search span all document files in the specified directory.


This is the path to the directory for a directory search.


Use this button to browse for a directory to search. When the directory is selected, it will be entered into the directory field.


Using the Search and Replace Feature

This feature will allow you to search for text that matches and replace it with the specifies replace text. You can do a replace all and specify whether or not to be prompted before each replace.

The find feature for a single document is similar to moist find features. You have several ways to specify the context of the search.

Text to Find:

This is where you type in the text to search for. If there was text highlighted in the editor when you invoked this dialog, that text will be entered here.

Replace with:

This is where you type in the text to replace the matched text with.

Case Sensitivity:

This specifies that search will be case sensitive.

Match whole words only:

This specifies that the search will only match complete word matches.

Plain Text:

This specifies that the search will use a plain text search.

Regular Expression:

This specifies that the search will use a regular expression to match the search text.

The following is a list of regular expression operators:

a+	One or more occurrences of a

a*	Zero or more occurrences of a

a?	Zero or one (i.e. optional) occurrence of a

a{n}	Exactly n occurrences of a

a{n,}	n or more occurrences of a

a{,m}	Zero or at most m occurrences of a

a{n,m}	At least n but not more than m occurrences of a

a|b	Either a or b

a||b	a or b or both a and b in any order

abc	a followed by b followed by c

[abc]	A single character, one of a or b or c

[a-b]	A single character, ranging in value from a to b inclusive

[^abc]	A single character, any except a, b or c

(abc)	a followed by b followed by c

"abc"	The letters a followed by b followed by c with no special significance attached to a, b or c

.	Any character except a new line

\a	The letter a, with no special significance attached to a, special forms:

\t	The tab character

\n	The new line character

\r	The return character

\f	The form feed character

\b	The backspace character

\xNN	The hex character NN

\0ooo	The octal character ooo

\w	A single character, one of [a-zA-Z0-9_]

\W	Any single character not matching \w

\d	A single character [0-9]

\D	A single character not matching \d

\s	A whitespace character [\t\r\n\f\b\ ]

\S	A single character not matching \s

Example:

("http://"|"mailto:"|"ftp://")[^ \n\r\"\<\\]+

The above regular expression would match all character strings that begin with

“http://” , “mailto:” or “ftp://”

Forward Search:

Specifies that the search will search downwards.

Backward Search:

Specifies that the search will search upwards.

From current cursor position:

Specifies that the search will begin at the cursor position.

From start of document:

Specifies that the search will begin at the top of the document.


Prompt before replacing:

Selecting this will prompt you for confirmation before each replacement is made.


This is where you type in the text to replace the matched text with.


Selecting this will prompt you for confirmation before each replacement is made.


How to Register WebScripter

WebScripter will run for a 30 day evaluation period. After the evaluation period, the software will discontinue to run until a license has been purchased. When you purchase a license (Register) you will be sent a registration key that will unlock the software. This will be emailed to you within 24 hours usually.

If you order on CD-ROM, once we have received your invoice, you can request a registration key to continue to use the software until the CD-ROM arrives.

You can register WebScripter and all other products from Code Generation online via our web site http://www.codegeneration.com.

The prices are as follows:

WebScripter Standard Edition: $49.95

WebScripter Professional: $99.95

*Please add $10.00 for shipping and handling on CD_ROM orders.

Upgrade pricing is available at our web site. You may also register via postal mail by sending a check or money order to:

Code Generation

35695 W State Highway BB

Bethany Missouri 64424

United States

Please include your mailing address if ordering on CD-ROM or an email address if you just want electronic delivery.

Thank you,

Code Generation®


Getting Support

Code Generation offers many links and other information on our web site support center.

http://www.codegeneration.com/support

You can also send an email to support@codegeneration.com

If you need to speak with someone on the phone, our number is:

(660) 425-8991